/*******************************************************************************
 * Licensed Materials - Property of IBM
 * Copyright IBM Corporation 2015.  All Rights Reserved.
 *
 * US Government Users Restricted Rights - Use, duplication or disclosure
 * restricted by GSA ADP Schedule Contract with IBM Corp.
 *******************************************************************************/
// NLS_CHARSET=UTF-8
/*
 * Note to translators: In these messages, variables named ${changesetTitle},
 * ${configurationTitle}, ${parentTitle} and similar refer to the name of the
 * change set or configuration that the user specified when they created it.
 * Variables ${configurationType} and ${parentType} refer to the specific type
 * of configuration and will be either "stream" or "baseline" (without the
 * quotation marks).
 */
({
	
	createWorkspaceButtonTitle: "建立串流",
	createSnapshotButtonTitle: "建立基準線",
	
	compareButtonTitle: "比較配置",
	compareWithFlowTargetButtonTitle: "與串流相互比較",
	compareWithBaseSnapshotButtonTitle: "與基準線相互比較",
	compareChangesetWithStreamButtonTitle: "與串流相互比較",
	
	archiveButtonTitle: "保存",
	unarchiveButtonTitle: "還原",
	
	associateProjectOrTeamAreaAction: "指派團隊所有權",
	associateProjectOrTeamAreaDialog: "指定用來控制配置存取權的區域",
	
	refreshButtonTitle: "重新整理",
	deliverButtonTitle: "交付變更",
	acceptButtonTitle: "接受變更",
	
	showAllTeamChangesets: "選取此項，則會包含其他使用者的變更集",
	showUsersChangesets: "取消選取此項，則會隱藏其他使用者的變更集",
	
	showActiveChangesets: "取消選取此項，則會隱藏已交付的變更集",
	showAllChangesets: "選取此項，則會包含已交付的變更集",
	
	getSaveButtonTitle: "儲存",
	
	expandAllButtonTitle: "全部展開",
	collapseAllButtonTitle: "全部收合",
	selectToCompareOrDeliver: "選取要交付或比較的配置",
	showArchivedButtonTitle: "顯示保存的配置",
	hideArchivedButtonTitle: "隱藏保存的配置",
	archivingConfigurationNotificationTitle: "正在保存配置...",
	archivingConfigurationNotificationDescription: "當作業完成時，頁面將自動重新整理。",
	unarchvingConfigurationNotificationTitle: "正在還原配置...",
	unarchivingConfigurationNotificationDescription: "當作業完成時，頁面將自動重新整理。",
		
	archive_operation_title: "保存檔",
	restore_operation_title: "還原",
		
	createChangeset: "建立變更集",
	
	shareChangeset: "交付變更集",
	shareSuccessTitle: "變更集已交付。",
	shareSuccessDescription: "變更集 '${changesetTitle}' 已交付。此變更集中不會有進一步的變更。需要新的變更集，才能進行進一步的變更。將這個串流當成流程目標的串流會將這些變更視為送入的變更。如果要使用這些變更，那些串流必須接受甚至可能合併變更。",
	
	discardChangeset: "捨棄變更集",
	discardSuccessTitle: "變更集已捨棄。",
	
	completeChangeset: "完成變更集",
	completeSuccessTitle: "變更集已完成。",
	completeSuccessDescription: "變更集 '${changesetTitle}' 已完成。此變更集中不會有進一步的變更。需要新的變更集，才能進行進一步的變更。",
	
	rename: "重新命名",
	renameChangeset: "重新命名變更集",
	renameChangesetMessage: "請輸入變更集的新名稱：",
	
	changesetWillNotBeRenamed: "如果要重新命名變更集，請提供新名稱。",
	changesetWillNotBeRenamedDescription: "變更集必須有名稱，且不能是空的。請輸入變更集的新名稱，或是按一下「確定」，依現狀保留名稱。",
	
	linkChangeset: "鏈結至工作項目",
	
	renameSuccessTitle: "變更集已重新命名。",
	renameSuccessDescription: "變更集 '${oldChangesetTitle}' 已重新命名。請根據其新名稱 '${newChangesetTitle}' 來參照變更集。",
	
	reverseChangeset: "反轉這個變更集",
	initializingReverseChangeset: "正在起始設定反轉變更集...",

	reverseChangesetTitle: "反轉變更集",
	reverseChangesetContent: "重要事項：由於 \"${changesetTitle}\" 變更集已交付，如果復原那些變更，可能使您的資源不一致。交付反轉變更集之前，請先驗證資源的完整性，並在串流中測試您的資源。然後再將反轉變更集交付至串流。",
	reverseChangesetOkButton: "反轉 ",
	cancelButton: "取消",	
	
	// Example of errorChildrenUnArchived: CRMVC0010E: The "Process Control" stream was not archived.
	// Example of errorChildrenUnArchived.useraction: "Archive the configurations that were created from the configuration you want to archive.<br \><br \>For example:<br\>1. Open the Configurations page.<br \>2. Open the configuration that you want to archive.<br \>3. Archive the configurations that are listed on the Streams and Baselines tabs.<br \>4. Return to the Configurations page.<br \>5. Now you can archive the "Process Control" stream.<br \>",
	errorChildrenUnArchived: "CRMVC0010E: 未保存 \"${configurationTitle}\" ${configurationType}。",
	"errorChildrenUnArchived.explanation": "您必須先保存從某項配置中建立的其他配置，才能保存該配置。您必須先捨棄或交付串流中任何作用中的變更集，才能保存該串流。",
	"errorChildrenUnArchived.useraction": "請保存從您想保存的某項配置來建立的其他配置。<br \><br \>例如：>1. 開啟「配置」頁面。<br \>2. 開啟您要保存的配置。<br \>3.保存「串流」和「基準線」標籤上所列出的配置。<br \>4. 回到「配置」頁面。<br \>5. 現在，您可以保存 \"${configurationTitle}\" ${configurationType}。<br \>",
	
	// Example of errorParentsArchived: CRMVC0011E: The "Process Control" stream was not restored.
	// Example of errorParentsArchived.useraction: The "Process Control" stream was created from the "Common Control" baseline. First, restore the "Common Control" baseline. Then, restore the "Process Control" stream.",
	errorParentsArchived: "CRMVC0011E: 未還原 \"${configurationTitle}\" ${configurationType}。",
	"errorParentsArchived.explanation": "必須等藉以建立配置的基準線或串流還原之後，才能還原該配置。",
	"errorParentsArchived.useraction": "\"${configurationTitle}\" ${configurationType} 是從 \"${parentTitle}\" ${parentType} 建立的。首先，請還原 \"${parentTitle}\" ${parentType}。然後還原 \"${configurationTitle}\" ${configurationType}。",
	
	linkChangesetSuccessTitle: "變更集已鏈結。",
	linkChangesetSuccessDescription: "變更集已鏈結至工作項目。",
	
	unableToLinkWorkItem: "無法建立鏈結",
	"unableToLinkWorkItem.explanation": "嘗試建立變更集鏈結時發生錯誤。",
	"unableToLinkWorkItem.useraction": "請檢查「變更管理」伺服器正在執行，然後再試一次。如果問題仍在，請聯絡管理者。",
	
	unlinkChangesetTitle: "解除鏈結變更集",
	unlinkChangesetDescription: "您想移除這個變更集的鏈結嗎？",
	unlinkChangesetOk: "解除鏈結",
	
	unlinkChangesetSuccessTitle: "鏈結已移除。",
	unlinkChangesetSuccessDescription: "變更集不再鏈結至工作項目。",
	
	unableToUnlinkWorkItem: "鏈結無法移除",
	"unableToUnlinkWorkItem.explanation": "嘗試移除變更集鏈結時發生錯誤。",
	"unableToUnlinkWorkItem.useraction": "請檢查「變更管理」伺服器正在執行，然後再試一次。如果問題仍在，請聯絡管理者。"
})

