/*******************************************************************************
 * Licensed Materials - Property of IBM
 * Copyright IBM Corporation 2015.  All Rights Reserved.
 *
 * US Government Users Restricted Rights - Use, duplication or disclosure
 * restricted by GSA ADP Schedule Contract with IBM Corp.
 *******************************************************************************/
// NLS_CHARSET=UTF-8
/*
 * Note to translators: In these messages, variables named ${changesetTitle},
 * ${configurationTitle}, ${parentTitle} and similar refer to the name of the
 * change set or configuration that the user specified when they created it.
 * Variables ${configurationType} and ${parentType} refer to the specific type
 * of configuration and will be either "stream" or "baseline" (without the
 * quotation marks).
 */
({
	
	createWorkspaceButtonTitle: "创建流",
	createSnapshotButtonTitle: "创建基线",
	
	compareButtonTitle: "比较配置",
	compareWithFlowTargetButtonTitle: "与流进行比较",
	compareWithBaseSnapshotButtonTitle: "与基线进行比较",
	compareChangesetWithStreamButtonTitle: "与流进行比较",
	
	archiveButtonTitle: "归档",
	unarchiveButtonTitle: "复原",
	
	associateProjectOrTeamAreaAction: "指定团队所有权",
	associateProjectOrTeamAreaDialog: "指定一个区域，用于控制对配置的访问",
	
	refreshButtonTitle: "刷新",
	deliverButtonTitle: "交付变更",
	acceptButtonTitle: "接受变更",
	
	showAllTeamChangesets: "选中表示包括来自其他用户的变更集",
	showUsersChangesets: "取消选中以隐藏来自其他用户的变更集",
	
	showActiveChangesets: "取消选中以隐藏已交付的变更集",
	showAllChangesets: "选中以包括已交付的变更集",
	
	getSaveButtonTitle: "保存",
	
	expandAllButtonTitle: "全部展开",
	collapseAllButtonTitle: "全部折叠",
	selectToCompareOrDeliver: "选择配置以进行交付或比较",
	showArchivedButtonTitle: "显示已归档的配置",
	hideArchivedButtonTitle: "隐藏已归档的配置",
	archivingConfigurationNotificationTitle: "正在对配置进行归档...",
	archivingConfigurationNotificationDescription: "操作完成后将自动刷新页面。",
	unarchvingConfigurationNotificationTitle: "正在复原配置...",
	unarchivingConfigurationNotificationDescription: "操作完成后将自动刷新页面。",
		
	archive_operation_title: "归档",
	restore_operation_title: "复原",
		
	createChangeset: "创建变更集",
	
	shareChangeset: "交付变更集",
	shareSuccessTitle: "已交付此变更集。",
	shareSuccessDescription: "已交付变更集“${changesetTitle}”。在此变更集中无法进一步进行变更。需要新的变更集才能进一步进行变更。将此流用作流向目标的流会看到这些变更作为传入变更。要使用这些变更，那些流必须接受这些变更，并可能必须合并这些变更。",
	
	discardChangeset: "废弃变更集",
	discardSuccessTitle: "已废弃此变更集。",
	
	completeChangeset: "完成变更集",
	completeSuccessTitle: "已完成此变更集。",
	completeSuccessDescription: "已完成变更集“${changesetTitle}”。在此变更集中无法进一步进行变更。需要新的变更集才能进一步进行变更。",
	
	rename: "重命名",
	renameChangeset: "重命名变更集",
	renameChangesetMessage: "输入变更集的新名称：",
	
	changesetWillNotBeRenamed: "要重命名变更集，请提供新名称。",
	changesetWillNotBeRenamedDescription: "变更集必须具有名称，不得为空。请输入变更集的新名称，或者单击“确定”以保留原来的名称。",
	
	linkChangeset: "链接到工作项",
	
	renameSuccessTitle: "已将此变更集重命名。",
	renameSuccessDescription: "已将变更集“${oldChangesetTitle}”重命名。请按照其新名称“${newChangesetTitle}”来引用此变更集。",
	
	reverseChangeset: "撤销此变更集",
	initializingReverseChangeset: "正在初始化撤销变更集...",

	reverseChangesetTitle: "撤销变更集",
	reverseChangesetContent: "重要说明：由于已交付“${changesetTitle}”变更集，因此撤销这些变更可能会导致资源不一致。在交付撤销变更集之前，请验证资源的完整性，并在流中测试资源。然后，随流一起交付撤销变更集。",
	reverseChangesetOkButton: "撤销",
	cancelButton: "取消",	
	
	// Example of errorChildrenUnArchived: CRMVC0010E: The "Process Control" stream was not archived.
	// Example of errorChildrenUnArchived.useraction: "Archive the configurations that were created from the configuration you want to archive.<br \><br \>For example:<br\>1. Open the Configurations page.<br \>2. Open the configuration that you want to archive.<br \>3. Archive the configurations that are listed on the Streams and Baselines tabs.<br \>4. Return to the Configurations page.<br \>5. Now you can archive the "Process Control" stream.<br \>",
	errorChildrenUnArchived: "CRMVC0010E: 未对“${configurationTitle}”${configurationType}进行归档。",
	"errorChildrenUnArchived.explanation": "在您可以对某项配置进行归档之前，必须对根据该配置创建的配置进行归档。在您可以对某个流进行归档之前，必须废弃或交付该流中的所有活动的变更集。",
	"errorChildrenUnArchived.useraction": "请对根据要归档的配置创建的配置进行归档。<br \><br \>例如：<br\>1. 打开“配置”页面。<br \>2. 打开要进行归档的配置。<br \>3. 对“流”和“基线”选项卡上列示的配置进行归档。<br \>4. 返回到“配置”页面。<br \>5. 现在，您可以对“${configurationTitle}”${configurationType} 进行归档。<br \>",
	
	// Example of errorParentsArchived: CRMVC0011E: The "Process Control" stream was not restored.
	// Example of errorParentsArchived.useraction: The "Process Control" stream was created from the "Common Control" baseline. First, restore the "Common Control" baseline. Then, restore the "Process Control" stream.",
	errorParentsArchived: "CRMVC0011E: 未复原“${configurationTitle}”${configurationType}。",
	"errorParentsArchived.explanation": "要复原某项配置，必须先复原创建该配置时所基于的基线或流。",
	"errorParentsArchived.useraction": "“${configurationTitle}”${configurationType} 是根据“${parentTitle}”${parentType} 创建的。首先，请复原“${parentTitle}”${parentType}。然后，复原“${configurationTitle}”${configurationType}。",
	
	linkChangesetSuccessTitle: "已链接变更集。",
	linkChangesetSuccessDescription: "变更集已链接到工作项。",
	
	unableToLinkWorkItem: "未能创建链接",
	"unableToLinkWorkItem.explanation": "尝试创建变更集链接时发生错误。",
	"unableToLinkWorkItem.useraction": "请检查变更管理服务器是否处于运行状态，然后重试。如果问题仍然存在，请与管理员联系",
	
	unlinkChangesetTitle: "取消链接变更集",
	unlinkChangesetDescription: "确定要从此变更集移除链接吗？",
	unlinkChangesetOk: "取消链接",
	
	unlinkChangesetSuccessTitle: "已移除链接。",
	unlinkChangesetSuccessDescription: "变更集不再链接到工作项。",
	
	unableToUnlinkWorkItem: "未能移除链接",
	"unableToUnlinkWorkItem.explanation": "尝试移除变更集链接时发生错误。",
	"unableToUnlinkWorkItem.useraction": "请检查变更管理服务器是否处于运行状态，然后重试。如果问题仍然存在，请与管理员联系"
})

