/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2010, 2013. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:  
 * Use, duplication or disclosure restricted by GSA ADP Schedule 
 * Contract with IBM Corp. 
 *******************************************************************************/
// NLS_CHARSET=UTF-8
({
	
	// template
	
	'heading': "Consumidores OAuth",
	'pageDescription' : "Utilice esta página para gestionar sus consumidores OAuth o para generar claves para consumidores nuevos. Un consumidor OAuth podría ser otra aplicación, un Jazz Team Server o un sitio web que tenga permiso para enviar solicitudes a este ${0} de parte de un usuario autorizado. Los consumidores firman sus solicitudes con una clave y un secreto de consumidor autorizado.  Para aplicaciones registradas por el asistente de configuración de Jazz Team Server, las claves de consumidor se han generado automáticamente.  Las solicitudes de amigo desde otros Jazz Team Server o aplicaciones generarán una clave y secreto de consumidor que precisarán de autorización. Estas solicitudes que precisan de autorización se pueden encontrar en la sección Clave provisional más abajo. La sección Clave autorizada muestra una lista de todas las claves de consumidor autorizadas. Tiene permiso para ver, modificar y eliminar claves de consumidor. Los consumidores de confianza podrán compartir su autorización con otros consumidores de confianza. A los usuarios no se les pedirá aprobación para acceder a los datos. Los sitios web y aplicaciones externas a su organización se deberían considerar como no de confianza.",
	'pageDescription_jts': "Jazz Team Server",
	'pageDescription_app': "aplicación",
	
	'displayConsumerTableHeading': "Claves autorizadas",
	'authorizedKeysDescription': "Las siguientes claves están autorizadas para firmar solicitudes para este ${0}. Para editar las propiedades de la clave de consumidor incluyendo nombre, secreto, ID de usuario funcional y valor de confianza, seleccione la fila que desee editar y pulse la acción \"Editar consumidor\" de la columna \"Acciones\". La asociación de un usuario funcional previamente autorizado con una clave de consumidor permite a las aplicaciones realizar solicitudes en actividades de segundo plano tales como notificaciones de envío de correo electrónico sin intervención del usuario.",
	'authorizedKeysDescription_jts': "Jazz Team Server",
	'authorizedKeysDescription_app': "aplicación",
	
	'registerConsumerHeading': "Registrar consumidor",
	'registerConsumerDescription': "Utilice el formulario que aparece a continuación para generar una clave de consumidor OAuth autorizada.",
	'registerButtonText': "Registrar",
	'consumerKeyLabel': "Clave de consumidor", 
	'consumerSecretLabel': "Clave secreta de consumidor",
	'retypeConsumerSecretLabel': "Volver a escribir clave secreta de consumidor",
	'consumerPublicKeyLabel': "Clave pública de consumidor",	
	'preAuthorizedUser': "ID de usuario funcional", 
	'selectUserLinkLabel': "Seleccionar usuario...",
	'clearUserLinkLabel': "Borrar usuario...",
	'consumerTrustedLabel': "De confianza", 
	'consumerAuthorized': "Autorizado", 
	'untrustedValue': "No seguro", 
	'trustedValue': "De confianza",
	'authorizedValue': "Autorizado",
	
	'consumerKeyGeneratedValue': "El servidor generará la clave",
	'pickConsumerKeyInstead': "Pulse aquí para elegir la clave de consumidor en su lugar.",
	'generateConsumerKeyInstead': "Pulse aquí para dejar que el servidor genere la clave de consumidor.",
	
	'usePublicKeyInstead': "Pulse aquí para utilizar una clave pública en su lugar.",
	'useSecretInstead': "Pulse aquí para utilizar un secreto compartido en su lugar.",
	
	'editConsumerHeading': "Clave de consumidor: ${0}",
	'editConsumerDialogTitle': "Editar propiedades de clave de consumidor",
	'confirmEditCancel': "¿Está seguro de que desea salir de este editor? Se perderán los cambios que se hayan hecho. Pulse Cancelar para continuar trabajando o Aceptar para salir.",
	
	'fieldNotBlank': "El nombre no se puede dejar vacío",
	'successMessage': "El consumidor se ha registrado correctamente con la clave de consumidor: ${0}", 
	'confirmDelete': "¿Está seguro de que desea suprimir esta clave de consumidor?",
	'removeConsumerButton': "Suprimir clave de consumidor",
	
	'authorizeProvisionalHeading': "Claves provisionales",
	'authorizeProvisionalDescription': "Los amigos de este ${0} pueden solicitar claves de consumidor OAuth provisionales. Las solicitudes firmadas con claves provisionales se rechazan. Utilice el formulario que aparece a continuación para autorizar cualquier clave provisional de modo que las solicitudes realizadas desde estas claves sean aceptadas.",
	'authorizeProvisionalDescription_jts': "Jazz Team Server",
	'authorizeProvisionalDescription_app': "aplicación",
	
	'noProvisional': "No hay claves provisionales.",
	'noConsumer': "No hay claves de consumidor.",
	'nameLabel': "Nombre de consumidor",
	'provisionalKeyLabel': "Clave provisional",
	'requestedAsLabel': "Solicitado como",
	'grantAsLabel': "De confianza", 
	'refresh': "Renovar", 
	'save': "Guardar",
	'pendingLabel': "Pendiente", 
	'approveLabel': "Aprobar", 
	'rejectLabel': "Rechazar",
	'approved': "Aprobado.",
	'rejected': "Rechazado",
	'approvedLabel': "La clave provisional se ha marcado como aprobada.", 
	'rejectedLabel': "La clave provisional se ha marcado como rechazada.",
	
	'actions': "Acciones",
	'editConsumer': "Editar consumidor",
	'removeConsumer': "Eliminar consumidor",
	
	// Help hover text
	'help_consumerSecret': "Una \"clave secreta\" o contraseña utilizada por el consumidor para establecer la propiedad de la clave de consumidor.",
	'help_trusted': " Los consumidores de confianza podrán compartir su autorización con otros consumidores de confianza.",
	'help_functionalId': "Al asociar un ID de usuario funcional con esta clave de consumidor se permite que las aplicaciones realicen solicitudes en actividades de fondo como, por ejemplo, enviar notificaciones de correo electrónico, sin la intervención del usuario.",
	
	'trustedWarning': "¿Está seguro de que desea autorizar esta clave como un consumidor de confianza?  Los consumidores de confianza podrán compartir su autorización con otros consumidores de confianza y no necesitarán aprobación de usuario para acceder a los datos.", 
	
	// Authorize OAuth module
	'moduleHeading': "Autorizar clave provisional",
	'moduleSummary': "Tiene acceso a \"${0}\" para autorizar la solicitud de clave provisional desde \"${1}\" para establecer comunicación de servidor-a-servidor.",
	'moduleDetails': "El \"Nombre de consumidor\" se puede modificar para identificar mejor el servidor que realiza la solicitud. Seleccione \"De confianza\" si el consumidor que realiza la solicitud debe poder compartir la autorización con otros consumidores autorizados.", 
	'moduleFailure': "CRJAZ1504E Se ha producido un error al guardar las actualizaciones de la clave provisional."	
})

