/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2010, 2013. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:  
 * Use, duplication or disclosure restricted by GSA ADP Schedule 
 * Contract with IBM Corp. 
 *******************************************************************************/
// NLS_CHARSET=UTF-8
({
	
	// template
	
	'heading': "Consumer OAuth",
	'pageDescription' : "Utilizzare questa pagina per gestire i consumer OAuth o per generare chiavi per nuovi consumer. Un consumer OAuth potrebbe essere un'altra applicazione, un Jazz Team Server oppure un sito Web a cui è consentito inviare richieste a questo ${0} per conto di un utente autorizzato. I consumer firmano le loro richieste con una chiave consumer e una parola segreta autorizzate.  Per le applicazioni registrate con la procedura guidata di installazione di Jazz Team Server, le chiavi consumer vengono generate automaticamente.  Le richieste friend di altri server o applicazioni Jazz Team Server genereranno una chiave consumer e una parola segreta che poi richiedono l'autorizzazione. Tali richieste che richiedono l'autorizzazione sono reperibili nella sezione Chiave provvisoria seguente. La sezione Chiavi autorizzate elenca tutte le chiavi consumer autorizzate. È possibile visualizzare, modificare e rimuovere chiavi consumer. I consumer sicuri potranno condividere la propria autorizzazione con altri consumer sicuri. Agli utenti non verrà chiesta l'approvazione per accedere ai dati. I siti Web e le applicazioni esterni all'organizzazione devono essere considerati non attendibili.",
	'pageDescription_jts': "Jazz Team Server",
	'pageDescription_app': "applicazione",
	
	'displayConsumerTableHeading': "Chiavi autorizzate",
	'authorizedKeysDescription': "Le seguenti chiavi sono autorizzate per la firma di richieste per questo ${0}. Per modificare le proprietà della chiave consumer, compreso il nome, il segreto, l'ID utente funzionale e le impostazioni di sicurezza, selezionare la riga che si desidera modificare e fare clic sull'azione \"Modifica consumer\" dalla colonna\"Azioni\". L'associazione di un utente funzionale pre-autorizzato a una chiave consumer consente alle applicazioni di effettuare richieste all'interno delle attività in background come l'invio di notifiche email, senza alcun intervento da parte dell'utente.",
	'authorizedKeysDescription_jts': "Jazz Team Server",
	'authorizedKeysDescription_app': "applicazione",
	
	'registerConsumerHeading': "Registra consumer",
	'registerConsumerDescription': "Utilizzare il modulo riportato di seguito per generare una chiave consumer OAuth autorizzata.",
	'registerButtonText': "Registra",
	'consumerKeyLabel': "Chiave consumer", 
	'consumerSecretLabel': "Parola segreta consumer",
	'retypeConsumerSecretLabel': "Immettere nuovamente la parola segreta del consumer",
	'consumerPublicKeyLabel': "Chiave pubblica consumer",	
	'preAuthorizedUser': "ID utente funzionale", 
	'selectUserLinkLabel': "Seleziona utente...",
	'clearUserLinkLabel': "Cancella utente...",
	'consumerTrustedLabel': "Attendibile", 
	'consumerAuthorized': "Autorizzato", 
	'untrustedValue': "Non attendibile", 
	'trustedValue': "Attendibile",
	'authorizedValue': "Autorizzato",
	
	'consumerKeyGeneratedValue': "La chiave verrà generata dal server",
	'pickConsumerKeyInstead': "Fare clic qui per selezionare la chiave consumer.",
	'generateConsumerKeyInstead': "Fare clic qui per consentire al server di generare la chiave consumer.",
	
	'usePublicKeyInstead': "Fare clic qui per utilizzare una chiave pubblica.",
	'useSecretInstead': "Fare clic qui per utilizzare una parola segreta condivisa.",
	
	'editConsumerHeading': "Chiave consumer: ${0}",
	'editConsumerDialogTitle': "Modifica proprietà chiave consumer",
	'confirmEditCancel': "Uscire da questo editor? Le eventuali modifiche andranno perse. Fare clic su Annulla per continuare a lavorare o su OK per uscire.",
	
	'fieldNotBlank': "Il nome non può essere vuoto",
	'successMessage': "Il consumer è stato registrato correttamente con la chiave consumer: ${0}", 
	'confirmDelete': "Eliminare questa chiave consumer?",
	'removeConsumerButton': "Elimina chiave consumer",
	
	'authorizeProvisionalHeading': "Chiavi provvisorie",
	'authorizeProvisionalDescription': "I friend di questo ${0} possono richiedere chiavi consumer OAuth provvisorie. Le richieste firmate con chiavi provvisorie vengono rifiutate. Utilizzare il modulo seguente per autorizzare chiavi provvisorie in modo che le richieste da queste chiavi vengano accettate.",
	'authorizeProvisionalDescription_jts': "Jazz Team Server",
	'authorizeProvisionalDescription_app': "applicazione",
	
	'noProvisional': "Non sono presenti chiavi provvisorie.",
	'noConsumer': "Non sono presenti chiavi consumer.",
	'nameLabel': "Nome consumer",
	'provisionalKeyLabel': "Chiave provvisoria",
	'requestedAsLabel': "Richiesta come",
	'grantAsLabel': "Attendibile", 
	'refresh': "Aggiorna", 
	'save': "Salva",
	'pendingLabel': "In sospeso", 
	'approveLabel': "Approva", 
	'rejectLabel': "Rifiuta",
	'approved': "Approvato.",
	'rejected': "Rifiutato",
	'approvedLabel': "La chiave provvisoria è stata contrassegnata come approvata.", 
	'rejectedLabel': "La chiave provvisoria è stata contrassegnata come rifiutata.",
	
	'actions': "Azioni",
	'editConsumer': "Modifica consumer",
	'removeConsumer': "Rimuovi consumer",
	
	// Help hover text
	'help_consumerSecret': "Un \"segreto\" o una password utilizzati dal consumer per stabilire la proprietà della chiave consumer.",
	'help_trusted': " I consumer sicuri potranno condividere la propria autorizzazione con altri consumer sicuri.",
	'help_functionalId': "L'associazione di un ID utente funzionale con questa chiave consumer consente alle applicazioni di effettuare richieste all'interno di attività in background, come ad esempio l'invio di notifiche email, senza alcun intervento da parte dell'utente.",
	
	'trustedWarning': "Autorizzare questa chiave come consumer attendibile? I consumer attendibili potranno condividere l'autorizzazione con altri consumer attendibili e non verrà richiesta l'approvazione dell'utente per l'accesso ai dati", 
	
	// Authorize OAuth module
	'moduleHeading': "Autorizzazione della chiave provvisoria",
	'moduleSummary': "L'utente ha accesso a \"${0}\" per autorizzare la richiesta della chiave provvisoria da \"${1}\" e stabilire la comunicazione da server a server.",
	'moduleDetails': "Il \"Nome consumer\" può essere modificato per identificare più precisamente il server di richiesta.  Selezionare \"Attendibile\" se si desidera che il consumer richiedente condivida le autorizzazioni con altri consumer attendibili.", 
	'moduleFailure': "CRJAZ1504E Si è verificato un errore nel salvataggio degli aggiornamenti alla chiave provvisoria."	
})

