/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2010, 2013. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:  
 * Use, duplication or disclosure restricted by GSA ADP Schedule 
 * Contract with IBM Corp. 
 *******************************************************************************/
// NLS_CHARSET=UTF-8
({
	
	// template
	
	'heading': "Consumidores OAuth",
	'pageDescription' : "Use esta página para gerenciar seus consumidores OAuth ou para gerar chaves para novos consumidores. Um consumidor OAuth pode ser um outro aplicativo, um Jazz Team Server ou um website que é permitido enviar solicitações para este ${0} em nome de um usuário autorizado. Os consumidores assinam suas solicitações com uma chave do consumidor e segredo autorizados.  Para aplicativos registrados pelo assistente de configuração do Jazz Team Server, as chaves de consumidor foram geradas automaticamente.  As solicitações de amigos de outros Jazz Team Servers ou aplicativos gerarão uma chave do consumidor e um segredo que irão requerer autorização. Essas solicitações que requerem autorização podem ser localizadas na seção Chave Provisória abaixo. A seção Chave Autorizada lista todas as chaves do consumidor autorizadas. Você é capaz de visualizar, modificar e remover chaves do consumidor. Consumidores confiáveis poderão compartilhar sua autorização com outros consumidores confiáveis. Os usuários não serão solicitados por aprovação para acessar os dados. Os websites e aplicativos externos à sua organização devem ser considerados não confiáveis.",
	'pageDescription_jts': "Jazz Team Server",
	'pageDescription_app': "aplicativo",
	
	'displayConsumerTableHeading': "Chaves Autorizadas",
	'authorizedKeysDescription': "As chaves a seguir são autorizadas para solicitações de assinatura para este ${0}. Para editar as propriedades da chave do consumidor, incluindo o nome, o segredo, o ID do usuário funcional e a configuração confiável, selecione a linha que você deseja editar e clique na ação \"Editar consumidor\" a partir da coluna \"Ações\". A associação de um usuário funcional pré-autorizado a uma chave do consumidor permite que aplicativos façam solicitações em atividades de segundo plano, como enviar notificações por email, sem intervenção do usuário.",
	'authorizedKeysDescription_jts': "Jazz Team Server",
	'authorizedKeysDescription_app': "aplicativo",
	
	'registerConsumerHeading': "Registrar Consumidor",
	'registerConsumerDescription': "Utilize o formulário abaixo para gerar uma chave do consumidor OAuth autorizada.",
	'registerButtonText': "Registrar",
	'consumerKeyLabel': "Chave do Consumidor", 
	'consumerSecretLabel': "Segredo do Consumidor",
	'retypeConsumerSecretLabel': "Digite novamente o Segredo do Consumidor",
	'consumerPublicKeyLabel': "Chave Pública do Consumidor",	
	'preAuthorizedUser': "ID do Usuário Funcional", 
	'selectUserLinkLabel': "Selecionar Usuário...",
	'clearUserLinkLabel': "Limpar Usuário...",
	'consumerTrustedLabel': "Confiável", 
	'consumerAuthorized': "Autorizado", 
	'untrustedValue': "Não confiável", 
	'trustedValue': "Confiável",
	'authorizedValue': "Autorizado",
	
	'consumerKeyGeneratedValue': "A chave será gerada pelo servidor",
	'pickConsumerKeyInstead': "Clique aqui para selecionar a chave do consumidor.",
	'generateConsumerKeyInstead': "Clique aqui para deixar o servidor gerar a chave do consumidor.",
	
	'usePublicKeyInstead': "Clique aqui para usar uma chave pública.",
	'useSecretInstead': "Clique aqui para usar um segredo compartilhado no lugar.",
	
	'editConsumerHeading': "Chave do Consumidor: ${0}",
	'editConsumerDialogTitle': "Editar Propriedades da Chave do Consumidor",
	'confirmEditCancel': "Tem certeza que deseja sair deste editor? As mudanças feitas serão perdidas. Clique em Cancelar para continuar trabalhando ou em OK para sair.",
	
	'fieldNotBlank': "Nome não pode ser vazio",
	'successMessage': "O cliente foi registrado com êxito com a Chave de Consumidor: ${0}", 
	'confirmDelete': "Tem certeza de que deseja excluir esta Chave de Consumidor?",
	'removeConsumerButton': "Excluir Chave de Consumidor",
	
	'authorizeProvisionalHeading': "Chaves Provisórias",
	'authorizeProvisionalDescription': "Amigos deste ${0} pode solicitar chaves do consumidor OAuth provisórias. Solicitações assinadas com chaves provisórias são rejeitadas. Utilize o formulário abaixo para autorizar quaisquer chaves provisórias para que as solicitações dessas chaves sejam aceitas.",
	'authorizeProvisionalDescription_jts': "Jazz Team Server",
	'authorizeProvisionalDescription_app': "aplicativo",
	
	'noProvisional': "Não existem chaves provisórias.",
	'noConsumer': "Não há nenhuma chave de consumidor.",
	'nameLabel': "Nome do Consumidor",
	'provisionalKeyLabel': "Chave Provisória",
	'requestedAsLabel': "Solicitado como",
	'grantAsLabel': "Confiável", 
	'refresh': "Atualizar", 
	'save': "Salvar",
	'pendingLabel': "Pendente", 
	'approveLabel': "Aprovar", 
	'rejectLabel': "Rejeitar",
	'approved': "Aprovado.",
	'rejected': "Rejeitado",
	'approvedLabel': "A Chave Provisória foi marcada como Aprovada.", 
	'rejectedLabel': "A Chave Provisória foi marcada como Rejeitada.",
	
	'actions': "Ações",
	'editConsumer': "Editar Consumidor",
	'removeConsumer': "Remover Consumidor",
	
	// Help hover text
	'help_consumerSecret': "Um \"segredo\" ou senha utilizado pelo Consumidor para estabelecer a propriedade da Chave do Consumidor.",
	'help_trusted': " Consumidores confiáveis poderão compartilhar sua autorização com outros consumidores confiáveis.",
	'help_functionalId': "A associação de um ID do usuário funcional com essa Chave do Consumidor permite que aplicativos façam solicitações em atividades de plano de fundo, como enviar notificações de e-mail, sem intervenção do usuário.",
	
	'trustedWarning': "Tem certeza de que deseja autorizar esta chave como um consumidor confiável? Os consumidores confiáveis poderão compartilhar a autorização com outros consumidores confiáveis e não irão requerer aprovação do usuário para acessar os dados", 
	
	// Authorize OAuth module
	'moduleHeading': "Autorizar Chave Provisória",
	'moduleSummary': "Você possui acesso a \"${0}\" para autorizar a solicitação de chave provisória em \"${1}\" para estabelecer a comunicação servidor-para-servidor.",
	'moduleDetails': "O \"Nome do Consumidor\" pode ser modificado para melhor identificar o servidor solicitante. Selecione \"Confiável\" se o consumidor solicitante deve ser capaz de compartilhar a autorização com outros consumidores confiáveis.", 
	'moduleFailure': "CRJAZ1504E Ocorreu um erro ao salvar as atualizações na chave provisória."	
})

