/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2010, 2013. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:  
 * Use, duplication or disclosure restricted by GSA ADP Schedule 
 * Contract with IBM Corp. 
 *******************************************************************************/
// NLS_CHARSET=UTF-8
({
	
	// template
	
	'heading': "OAuth 消費者",
	'pageDescription' : "請利用這個頁面來管理您的 OAuth 消費者，或產生新消費者的金鑰。OAuth 消費者可以是能夠代表授權使用者向這個 ${0} 傳送要求的另一個應用程式、一部 Jazz Team Server，或某個網站。消費者以授權消費者金鑰和密碼來簽署他們的要求。如果是 Jazz Team Server 設定精靈所登錄的應用程式，消費者金鑰會自動產生。其他 Jazz Team Server 或應用程式發出的夥伴要求，會產生需要進一步授權的消費者金鑰和密碼。在下面的「暫時性金鑰」區段中，可以找到這些需要授權的要求。「授權碼」區段列出所有已授權的消費者金鑰。您可以檢視、修改和移除消費者金鑰。授信消費者能夠讓其他的授信消費者共用其授權。系統不會向使用者發出存取資料的核准提示。組織之外的網站和應用程式應被視為未授信。",
	'pageDescription_jts': "Jazz Team Server",
	'pageDescription_app': "應用程式",
	
	'displayConsumerTableHeading': "授權碼",
	'authorizedKeysDescription': "已授權下列金鑰來簽署這項 ${0} 要求。如果要編輯消費者金鑰的內容，包括名稱、密碼、功能使用者 ID 和授信設定，請選取您要編輯之列，並且從「動作」直欄中按一下「編輯消費者」動作。將預先授權功能使用者與消費者金鑰相關聯，可讓應用程式在背景活動中發出要求（例如：傳送電子郵件通知），而不需要使用者介入。",
	'authorizedKeysDescription_jts': "Jazz Team Server",
	'authorizedKeysDescription_app': "應用程式",
	
	'registerConsumerHeading': "登錄消費者",
	'registerConsumerDescription': "請利用下列表單來產生授權 OAuth 消費者金鑰。",
	'registerButtonText': "登錄",
	'consumerKeyLabel': "消費者金鑰", 
	'consumerSecretLabel': "消費者密碼",
	'retypeConsumerSecretLabel': "重新輸入消費者密碼",
	'consumerPublicKeyLabel': "消費者公開金鑰",	
	'preAuthorizedUser': "功能使用者 ID", 
	'selectUserLinkLabel': "選取使用者...",
	'clearUserLinkLabel': "清除使用者...",
	'consumerTrustedLabel': "授信", 
	'consumerAuthorized': "授權", 
	'untrustedValue': "未授信", 
	'trustedValue': "授信",
	'authorizedValue': "授權",
	
	'consumerKeyGeneratedValue': "將由伺服器產生金鑰",
	'pickConsumerKeyInstead': "請按一下這裡，改以挑選消費者金鑰。",
	'generateConsumerKeyInstead': "請按一下這裡，讓伺服器產生消費者金鑰。",
	
	'usePublicKeyInstead': "請按一下這裡，改以使用公開金鑰。",
	'useSecretInstead': "請按一下這裡，改用共用密碼。",
	
	'editConsumerHeading': "消費者金鑰：${0}",
	'editConsumerDialogTitle': "編輯消費者金鑰內容",
	'confirmEditCancel': "您確定要結束這個編輯器嗎？任何變更都將遺失。請按一下「取消」繼續工作，或按一下「確定」結束作業。",
	
	'fieldNotBlank': "名稱不得為空的",
	'successMessage': "已使用消費者金鑰 ${0} 順利登錄消費者", 
	'confirmDelete': "您確定要刪除這個「消費者金鑰」嗎？",
	'removeConsumerButton': "刪除消費者金鑰",
	
	'authorizeProvisionalHeading': "暫時性金鑰",
	'authorizeProvisionalDescription': "這個 ${0} 的夥伴可以要求暫時性 OAuth 消費者金鑰。使用暫時性金鑰簽署的要求會被拒絕。請使用下列表單來授權任何暫時性金鑰，以便接受這些金鑰所發出的要求。",
	'authorizeProvisionalDescription_jts': "Jazz Team Server",
	'authorizeProvisionalDescription_app': "應用程式",
	
	'noProvisional': "沒有暫時性金鑰。",
	'noConsumer': "沒有任何消費者金鑰。",
	'nameLabel': "消費者名稱",
	'provisionalKeyLabel': "暫時性金鑰",
	'requestedAsLabel': "要求作為",
	'grantAsLabel': "授信", 
	'refresh': "重新整理", 
	'save': "儲存",
	'pendingLabel': "擱置中", 
	'approveLabel': "核准", 
	'rejectLabel': "拒絕",
	'approved': "已核准。",
	'rejected': "已拒絕",
	'approvedLabel': "已將「暫時性金鑰」標示為「已核准」。", 
	'rejectedLabel': "已將「暫時性金鑰」標示為「已拒絕」。",
	
	'actions': "動作",
	'editConsumer': "編輯消費者",
	'removeConsumer': "移除消費者",
	
	// Help hover text
	'help_consumerSecret': "「消費者」用來建立「消費者金鑰」所有權的「密碼」。",
	'help_trusted': " 授信消費者能夠讓其他的授信消費者共用其授權。",
	'help_functionalId': "將功能使用者 ID 和這個「消費者金鑰」相關聯，可讓應用程式在背景活動中發出要求（例如：傳送電子郵件通知），而不需要使用者介入。",
	
	'trustedWarning': "您確定要授權這個金鑰作為授信消費者嗎？授信消費者可與其他授信消費者共用授權，且不需經過使用者核准即能存取資料", 
	
	// Authorize OAuth module
	'moduleHeading': "授權暫時性金鑰",
	'moduleSummary': "您在 \"${0}\" 中具備存取權，而能夠授權給來自 \"${1}\" 的暫時性金鑰要求，來建立伺服器至伺服器的通訊。",
	'moduleDetails': "「消費者名稱」可以修改，以便更容易識別發出要求的伺服器。如果發出要求的消費者應能夠和其他授信消費者共用授權，請選取「授信」。", 
	'moduleFailure': "CRJAZ1504E 儲存暫時性金鑰的更新時，發生錯誤。"	
})

