/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2010, 2013. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:  
 * Use, duplication or disclosure restricted by GSA ADP Schedule 
 * Contract with IBM Corp. 
 *******************************************************************************/
// NLS_CHARSET=UTF-8
({
	
	// template
	
	'heading': "OAuth 使用者",
	'pageDescription' : "请使用此页面来管理 OAuth 使用者或为新使用者生成密钥。OAuth 使用者可以是允许其代表已授权用户将请求发送到此 ${0} 的另一个应用程序、Jazz Team Server 或 Web 站点。使用者使用已授权的使用者密钥和私钥对其请求进行签名。对于由 Jazz Team Server 设置向导注册的应用程序，已自动生成使用者密钥。来自其他 Jazz Team Server 或应用程序的好友请求将生成使用者密钥和私钥，然后该密钥和私钥需要授权。可在下面的“临时密钥”部分中找到需要授权的这些请求。“已授权的密钥”部分会列示所有已授权的使用者密钥。您能够查看、修改和除去使用者密钥。可信使用者将能够与其他可信使用者共享其授权。系统将不会提示用户进行核准以访问数据。应该将组织外部的 Web 站点和应用程序视为不可信。",
	'pageDescription_jts': "Jazz Team Server",
	'pageDescription_app': "应用程序",
	
	'displayConsumerTableHeading': "已授权的密钥",
	'authorizedKeysDescription': "下列密钥有权签署向此 ${0} 发出的请求。要编辑使用者密钥的属性，包括名称、私钥、功能用户标识以及可信设置，请选中要编辑的行，然后单击“操作”列中的“编辑使用者”操作。通过使预先进行了授权的功能用户与使用者密钥相关联，应用程序便可以在后台活动中发出请求（例如发送电子邮件通知），而无需用户干预。",
	'authorizedKeysDescription_jts': "Jazz Team Server",
	'authorizedKeysDescription_app': "应用程序",
	
	'registerConsumerHeading': "注册使用者",
	'registerConsumerDescription': "使用以下表单来生成已授权的 OAuth 使用者密钥。",
	'registerButtonText': "注册",
	'consumerKeyLabel': "使用者密钥", 
	'consumerSecretLabel': "使用者私钥",
	'retypeConsumerSecretLabel': "重新输入使用者私钥",
	'consumerPublicKeyLabel': "使用者公用密钥",	
	'preAuthorizedUser': "功能用户标识", 
	'selectUserLinkLabel': "选择用户...",
	'clearUserLinkLabel': "清除用户...",
	'consumerTrustedLabel': "可信", 
	'consumerAuthorized': "已授权", 
	'untrustedValue': "不可信", 
	'trustedValue': "可信",
	'authorizedValue': "已授权",
	
	'consumerKeyGeneratedValue': "密钥将由服务器生成",
	'pickConsumerKeyInstead': "单击此处以改为选择使用者密钥。",
	'generateConsumerKeyInstead': "单击此处以便让服务器生成使用者密钥。",
	
	'usePublicKeyInstead': "单击此处以改为使用公用密钥。",
	'useSecretInstead': "单击此处以改为使用共享私钥。",
	
	'editConsumerHeading': "使用者密钥：${0}",
	'editConsumerDialogTitle': "编辑使用者密钥属性",
	'confirmEditCancel': "您是否确定要退出此编辑器？所作的任何变更都将丢失。请单击“取消”以继续工作，单击“确定”以退出。",
	
	'fieldNotBlank': "名称不能为空",
	'successMessage': "已成功地通过使用者密钥来注册使用者：${0}", 
	'confirmDelete': "确定要删除此使用者密钥吗？",
	'removeConsumerButton': "删除使用者密钥",
	
	'authorizeProvisionalHeading': "临时密钥",
	'authorizeProvisionalDescription': "此 ${0} 的好友可以请求获取临时 OAuth 使用者密钥。使用临时密钥签署的请求将被拒绝。请使用以下表单对任何临时密钥进行授权，以便接受来自这些密钥的请求。",
	'authorizeProvisionalDescription_jts': "Jazz Team Server",
	'authorizeProvisionalDescription_app': "应用程序",
	
	'noProvisional': "没有临时密钥。",
	'noConsumer': "没有使用者密钥。",
	'nameLabel': "使用者名称",
	'provisionalKeyLabel': "临时密钥",
	'requestedAsLabel': "请求方式",
	'grantAsLabel': "可信", 
	'refresh': "刷新", 
	'save': "保存",
	'pendingLabel': "暂挂", 
	'approveLabel': "核准", 
	'rejectLabel': "拒绝",
	'approved': "已核准。",
	'rejected': "已拒绝",
	'approvedLabel': "已将临时密钥标记为“已核准”。", 
	'rejectedLabel': "已将临时密钥标记为“已拒绝”。",
	
	'actions': "操作",
	'editConsumer': "编辑使用者",
	'removeConsumer': "除去使用者",
	
	// Help hover text
	'help_consumerSecret': "这是一个“私钥”或密码，使用者将使用此“私钥”或密码来确定使用者密钥的所有权。",
	'help_trusted': " 可信使用者将能够与其他可信使用者共享其授权。",
	'help_functionalId': "通过使一个功能用户标识与此使用者密钥相关联，将允许应用程序从后台活动中发出请求（例如发送电子邮件通知），而不要求用户介入。",
	
	'trustedWarning': "确定要授权此密钥作为可信使用者吗？可信使用者将能够与其他可信使用者一起共享授权，而无需用户批准即可访问数据", 
	
	// Authorize OAuth module
	'moduleHeading': "授权临时密钥",
	'moduleSummary': "您对“${0}”拥有访问权，能够授权来自“${1}”的临时密钥请求建立服务器间通信。",
	'moduleDetails': "可以对“使用者名称”进行修改以便更好地标识发出请求的服务器。如果发出请求的使用者应该能够与其他可信使用者共享授权，那么请选择“可信”。", 
	'moduleFailure': "CRJAZ1504E 保存对临时密钥所作的更新时发生错误。"	
})

