/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2008, 2014. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *******************************************************************************/
// NLS_CHARSET=UTF-8
({
	
	// Operational Error Messages
	
	'msgReportLoadingFailed': "CRRDV0015E Les résultats de la requête de rapport ne peuvent pas s'afficher.",
	'msgReportLoadingFailed_explanation': "Le serveur a détecté une erreur inattendue qui l'a empêché d'extraire les résultats de la requête de rapport.",
	'msgReportLoadingFailed_useraction': "Pour trouver plus de détails sur cet incident, ouvrez la console JavaScript du navigateur en appuyant sur la touche F12, actualisez le widget et vérifiez si des erreurs apparaissent dans la console JavaScript.",
	// Last UA edit: 2/24/2012

	'msgReportNotDeployed': "CRRDV0016W La ressource de rapport '${0}' dont l'ID est '${1}' n'est pas déployée dans la zone de projet '${2}' sur le serveur.",
	'msgReportNotDeployed_explanation': "La ressource de rapport est obligatoire pour sauvegarder les requêtes de rapport et afficher les résultats.",
	'msgReportNotDeployed_useraction': "Demandez à un administrateur de la zone de projet de déployer la ressource de rapport sur le serveur.",
	// Last UA edit: 2/24/2012

	'msgReportNotDeployed2': "CRRDV0017W La ressource de rapport '${0}' dont l'ID est '${1}' n'est pas déployée dans la zone de projet sélectionnée sur le serveur.",
	'msgReportNotDeployed2_explanation': "La ressource de rapport est obligatoire pour sauvegarder les requêtes de rapport et afficher les résultats.",
	'msgReportNotDeployed2_useraction': "Demandez à un administrateur de la zone de projet de déployer la ressource de rapport sur le serveur.",
	// Last UA edit: 2/24/2012

	'msgReadPermissionError': "CRRDV0014E La requête de rapport ne peut pas s'afficher car le droit d'accès en lecture à la requête de rapport est manquant.",
	'msgReadPermissionError_explanation': "Le serveur ne peut pas extraire la requête de rapport en raison de privilèges insuffisants (code d'état HTTP : 403).",
	'msgReadPermissionError_useraction': "Contactez un administrateur pour la zone de projet qui contient la requête de rapport et demandez l'accès en lecture à la requête.",
	// Last UA edit: 2/24/2012

	'msgWhitelistError': "CRRDV0020E Les résultats de la requête de rapport ne peuvent pas s'afficher.",
	'msgWhitelistError_explanation': "Le serveur a détecté une erreur inattendue qui l'a empêché d'extraire la liste de zones de projet contenant la ressource de rapport.",
	'msgWhitelistError_useraction': "Pour trouver plus de détails sur cet incident, ouvrez la console JavaScript du navigateur en appuyant sur la touche F12, actualisez le widget et vérifiez si des erreurs apparaissent dans la console JavaScript.",
	// Last UA edit: 2/24/2012

	'msgQueryMismatchError': "CRRDV0012E La requête de rapport ne peut pas être sauvegardée.",
	'msgQueryMismatchError_explanation': "L'ID de la nouvelle requête de rapport ne correspond pas à l'ID de l'ancienne requête de rapport.",
	'msgQueryMismatchError_useraction': "Actualisez le navigateur en appuyant sur F5 et essayez à nouveau de sauvegarder la requête de rapport.",
	// Last UA edit: 2/24/2012

	// Operational Error Messages - Parameter Panel Messages
	
	'msgReportParamMissing': "CRRDV0018E Le paramètre de rapport '${0}' est manquant.",
	'msgReportParamMissing_explanation': "Le paramètre de rapport est obligatoire pour sauvegarder les requêtes de rapport et afficher les résultats.",
	'msgReportParamMissing_useraction': "Indiquez une valeur valide pour le paramètre de rapport.",
	// Last UA edit: 2/24/2012

	'msgNoParametersSelected': "CRRDV0011E Aucun paramètre de rapport n'a été spécifié.",
	'msgNoParametersSelected_explanation': "Les paramètres de rapport sont obligatoires pour sauvegarder les requêtes de rapport et afficher les résultats.",
	'msgNoParametersSelected_useraction': "Spécifiez des valeurs valides pour tous les paramètres de rapport.",
	// Last UA edit: 2/24/2012

	'msgReportParameterLoadingFailed': "CRRDV0019E Les paramètres de rapport ne peuvent pas s'afficher.",
	'msgReportParameterLoadingFailed_explanation': "Le serveur a détecté une erreur inattendue qui l'a empêché d'extraire les paramètres de rapport.",
	'msgReportParameterLoadingFailed_useraction': "Pour trouver plus de détails sur cet incident, ouvrez la console JavaScript du navigateur en appuyant sur la touche F12, ouvrez à nouveau la boîte de dialogue de paramètre de rapport et vérifiez si des erreurs apparaissent dans la console JavaScript.",
	// Last UA edit: 2/24/2012

	'msgQuerySaveFailed': "CRRDV0013E La requête de rapport ne peut pas être sauvegardée.",
	'msgQuerySaveFailed_explanation': "Le serveur a détecté une erreur inattendue qui l'a empêché de sauvegarder la requête de rapport.",
	'msgQuerySaveFailed_useraction': "Pour trouver plus de détails sur cet incident, ouvrez la console JavaScript du navigateur en appuyant sur la touche F12, sauvegardez à nouveau la requête de rapport et vérifiez si des erreurs apparaissent dans la console JavaScript.",
	// Last UA edit: 2/24/2012

	'msgInvalidQueryUUID': "CRRDV0010E La requête de rapport n'est pas valide.",
	'msgInvalidQueryUUID_explanation': "L'ID de requête de rapport n'est pas un identificateur unique universel (UUID) valide.",
	'msgInvalidQueryUUID_useraction': "Essayez de resélectionner les paramètres de rapport et de sauvegarder à nouveau la requête de rapport.",
	// Last UA edit: 2/24/2012

	// General Error Messages
	
	'msgError': "[Erreur] ${0}",
	'msgWarning': "[Avertissement] ${0}",
	'msgUnconfiguredReport': "Ce rapport n'est pas configuré.",
	'msgPreferenceLoadingFailure': "[Echec de chargement]",
	'msgPreferenceFailure': "Echec de chargement de la préférence",
	'msgSelectProjectAreaFirst': "Sélectionnez d'abord un projet",
	'msgNoReportsDeployed': "Aucune ressource de rapport déployée",
	
	// Actionable Status Messages
	
	'msgActionConfigureReport': "Cliquez <0>ici</0> pour configurer ce rapport.",
	'msgActionReportNotDeployed': "La ressource de rapport '${0}' dont l'ID est '${1}' n'est pas déployée dans la zone de projet '${2}'. Prenez contact avec votre administrateur Jazz pour déployer la ressource de rapport correspondante dans la zone de projet. Ou bien, cliquez <0>ici</0> pour sélectionner une autre zone de projet.",

	// General Status Messages
	
	'msgAll': "Tous",
	'msgYes': "Oui",
	'msgNo': "Non",
	'msgMyTeamAreas': "Mes zones d'équipe",
	'msgCurrentIteration': "Itération en cours",
	'msgLoading': "Chargement...",
	'msgProjectArea': "Zone de projet",
	'msgUndefined': "Non défini",
	'msgNoSelection': "Aucune sélection",
	'msgUnassigned': "Non affecté",
	
	// Parameters Control Area
	
	'msgShowParameters': "Afficher les paramètres",
	'msgHideParameters': "Masquer les paramètres",
	
	// Parameter Panel Messages
	
	'msgOK': "OK",
	'msgCancel': "Annuler",
	'msgPreview': "Aperçu",
	'msgPreviewLabel': "Aperçu :",
	'msgSelectProject': "Sélectionnez d'abord un projet.",
	'msgSelectReport': "Sélectionnez d'abord un rapport.",
	'msgNoQuerySpecified': "Aucune requête sélectionnée"
	
})

