/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2008, 2014. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *******************************************************************************/
// NLS_CHARSET=UTF-8
({
	
	// Operational Error Messages
	
	'msgReportLoadingFailed': "CRRDV0015E Os resultados da consulta de relatório não podem ser exibidos.",
	'msgReportLoadingFailed_explanation': "O servidor encontrou um erro inesperado que o impediu de recuperar os resultados da consulta do relatório.",
	'msgReportLoadingFailed_useraction': "Para localizar mais detalhes sobre esse problema, abra o console JavaScript de seu navegador pressionando F12, atualize o widget e verifique quaisquer erros resultantes no console JavaScript.",
	// Last UA edit: 2/24/2012

	'msgReportNotDeployed': "CRRDV0016W O recurso de relatório '${0}' com ID '${1}' não está implementado na área do projeto '${2}' no servidor.",
	'msgReportNotDeployed_explanation': "O recurso de relatório é necessário para salvar consultas do relatório e resultados da renderização.",
	'msgReportNotDeployed_useraction': "Peça a um administrador da área de projeto para implementar o recurso do relatório na área de projeto do servidor.",
	// Last UA edit: 2/24/2012

	'msgReportNotDeployed2': "CRRDV0017W O recurso de relatório '${0}' com o ID '${1}' não está implementado na área do projeto selecionada no servidor.",
	'msgReportNotDeployed2_explanation': "O recurso de relatório é necessário para salvar consultas do relatório e resultados da renderização.",
	'msgReportNotDeployed2_useraction': "Peça a um administrador da área de projeto para implementar o recurso do relatório na área de projeto do servidor.",
	// Last UA edit: 2/24/2012

	'msgReadPermissionError': "CRRDV0014E Os resultados da consulta do relatório não podem ser mostrados porque a permissão para ler a consulta de relatório está ausente.",
	'msgReadPermissionError_explanation': "O servidor não pode recuperar a consulta de relatório devido a privilégios insuficientes (Código de Status de HTTP: 403).",
	'msgReadPermissionError_useraction': "Entre em contato com um administrador da área de projeto que contém a consulta de relatório e solicite acesso de leitura à consulta.",
	// Last UA edit: 2/24/2012

	'msgWhitelistError': "CRRDV0020E Os resultados da consulta de relatório não podem ser exibidos.",
	'msgWhitelistError_explanation': "O servidor encontrou um erro inesperado que o impediu de recuperar a lista de áreas de projeto que contêm o recurso de relatório.",
	'msgWhitelistError_useraction': "Para localizar mais detalhes sobre esse problema, abra o console JavaScript de seu navegador pressionando F12, atualize o widget e verifique quaisquer erros resultantes no console JavaScript.",
	// Last UA edit: 2/24/2012

	'msgQueryMismatchError': "CRRDV0012E A consulta de relatório não pode ser salva.",
	'msgQueryMismatchError_explanation': "O novo ID da consulta de relatório não corresponde ao ID da consulta de relatório antigo.",
	'msgQueryMismatchError_useraction': "Atualize o navegador pressionando F5 e tente salvar a consulta de relatório novamente.",
	// Last UA edit: 2/24/2012

	// Operational Error Messages - Parameter Panel Messages
	
	'msgReportParamMissing': "CRRDV0018E O parâmetro de relatório '${0}' está ausente.",
	'msgReportParamMissing_explanation': "O parâmetro de relatório é necessário para salvar consultas de relatório e resultados da renderização.",
	'msgReportParamMissing_useraction': "Especifique um valor válido para o parâmetro de relatório.",
	// Last UA edit: 2/24/2012

	'msgNoParametersSelected': "CRRDV0011E Nenhum parâmetro de relatório foi especificado.",
	'msgNoParametersSelected_explanation': "Os parâmetros de relatório são necessários para salvar consultas de relatório e resultados da renderização.",
	'msgNoParametersSelected_useraction': "Especifique valores válidos para todos os parâmetros de relatório.",
	// Last UA edit: 2/24/2012

	'msgReportParameterLoadingFailed': "CRRDV0019E Os parâmetros de relatório não podem ser exibidos.",
	'msgReportParameterLoadingFailed_explanation': "O servidor encontrou um erro inesperado que o impediu de recuperar os parâmetros de relatório.",
	'msgReportParameterLoadingFailed_useraction': "Para localizar mais detalhes sobre esse problema, abra o console JavaScript do seu navegador pressionando F12, reabra o diálogo de parâmetro do relatório e verifique o console JavaScript para obter qualquer erro resultante.",
	// Last UA edit: 2/24/2012

	'msgQuerySaveFailed': "CRRDV0013E A consulta de relatório não pode ser salva.",
	'msgQuerySaveFailed_explanation': "O servidor encontrou um erro inesperado que o impediu de salvar a consulta de relatório.",
	'msgQuerySaveFailed_useraction': "Para localizar mais detalhes sobre esse problema, abra o console JavaScript de seu navegador pressionando F12, salve novamente a consulta de relatório e verifique o console JavaScript para obter qualquer erro resultante.",
	// Last UA edit: 2/24/2012

	'msgInvalidQueryUUID': "CRRDV0010E A consulta de relatório é inválida.",
	'msgInvalidQueryUUID_explanation': "O ID da consulta de relatório não é um identificador exclusivo universal (UUID).",
	'msgInvalidQueryUUID_useraction': "Tente selecionar novamente os parâmetros do relatório e salvar novamente a consulta de relatório.",
	// Last UA edit: 2/24/2012

	// General Error Messages
	
	'msgError': "[Erro] ${0}",
	'msgWarning': "[Aviso] ${0}",
	'msgUnconfiguredReport': "Este relatório não está configurado.",
	'msgPreferenceLoadingFailure': "[Carregamento Falho]",
	'msgPreferenceFailure': "Falha ao carregar a preferência",
	'msgSelectProjectAreaFirst': "Selecione um projeto primeiro",
	'msgNoReportsDeployed': "Nenhum recurso de relatório implementado",
	
	// Actionable Status Messages
	
	'msgActionConfigureReport': "Clique <0>aqui</0> para configurar esse relatório.",
	'msgActionReportNotDeployed': "O recurso de relatório '${0}' com ID '${1}' não está implementado na área do projeto '${2}'. Entre em contato com o administrador do Jazz para implementar o recurso de relatório correspondente na área do projeto. Caso contrário, clique <0>aqui</0> para selecionar uma área do projeto diferente.",

	// General Status Messages
	
	'msgAll': "Todos",
	'msgYes': "Sim",
	'msgNo': "Não",
	'msgMyTeamAreas': "Minhas Áreas de Equipe",
	'msgCurrentIteration': "Iteração Atual",
	'msgLoading': "Carregando...",
	'msgProjectArea': "Área do Projeto",
	'msgUndefined': "Não Definido",
	'msgNoSelection': "Nenhuma Seleção",
	'msgUnassigned': "Não designado",
	
	// Parameters Control Area
	
	'msgShowParameters': "Mostrar Parâmetros",
	'msgHideParameters': "Ocultar Parâmetros",
	
	// Parameter Panel Messages
	
	'msgOK': "OK",
	'msgCancel': "Cancelar",
	'msgPreview': "Visualizar",
	'msgPreviewLabel': "Visualização:",
	'msgSelectProject': "Selecione um projeto primeiro.",
	'msgSelectReport': "Selecione um relatório primeiro",
	'msgNoQuerySpecified': "Nenhuma consulta selecionada"
	
})

