/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2010, 2015. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:  
 * Use, duplication or disclosure restricted by GSA ADP Schedule 
 * Contract with IBM Corp. 
 *******************************************************************************/
// NLS_CHARSET=UTF-8
({
	'stepTitle': "Registrar aplicaciones",
	'description': "Utilice este paso para registrar las aplicaciones instaladas en Jazz Team Server. Para instalaciones donde todas las aplicaciones se encuentran en el mismo host, puede aceptar los valores predeterminados y continuar.",
	'descriptionOidc': "Utilice este paso para registrar las aplicaciones instaladas en Jazz Team Server y el servidor de autorización de Jazz. Para instalaciones donde todas las aplicaciones se encuentran en el mismo host, puede aceptar los valores predeterminados y continuar.",
	'step1Label': "Paso 1:",
	'step1Title': "Configurar servidor de autorización",
	'step2Label': "Paso 2:",
	'step2Title': "Verificar y actualizar aplicaciones descubiertas",
	'step3Label': "Paso 3:",
	'step3Title': "Registrar aplicaciones",
	'scanComplete': "Exploración completa",
	
	'titleLabel': "Instancia de aplicación",
	'typeLabel': "Tipo de aplicación",
	'srcUriLabel': "URL de descubrimiento",
	'actionsLabel': "Acciones",
	'version': "Versión",
	'preAuthUserLabel' : "ID de usuario funcional",
	'removeApplication': "No registre esta aplicación.",
	'confirmApplicationDelete': "¿Seguro que desea eliminar esta aplicación?",
	'appsDetectedOK': "Detección de aplicaciones correcta. Revise la lista de aplicaciones que figura más abajo.",
	'appsDetectedError': "CRJAZ1725E Se ha producido un error al explorar el servidor en busca de aplicaciones instaladas.",
	'appNameEmpty': "El nombre no puede estar vacío.",
	'appUrlEmpty': "El URL de descubrimiento no puede estar vacío.",
	'errorFunctionalAdminNotAllowed': "ADMIN no está permitido como un usuario funcional.",
	'appsRegisteredOkay': "Se han registrado correctamente las aplicaciones en este Jazz Team Server. Pulse Siguiente para continuar.",
	
	'appsRegisteredError': "CRJAZ1726E No se han podido registrar las aplicaciones en Jazz Team Server.",
	'appsRegisteredError.explanation': "Cuando se produce el error se proporcionan detalles sobre la anomalía de registro.",
	'appsRegisteredError.useraction': "Revise los detalles del error para determinar la causa del problema. En este asistente, verifique los valores de registro de las aplicaciones y vuelva a intentar el paso.",
	//Last revision:  01/25/2013
	
	'getAppsFailed': "CRJAZ1753E No se ha podido recuperar la lista de aplicaciones registradas.",
	'getAppsFailed.explanation': "Cuando se produce el error se proporcionan detalles sobre la recuperación fallida.",
	'getAppsFailed.useraction': "Revise los detalles del error para determinar la causa del problema. En este asistente, verifique los valores de registro de las aplicaciones y vuelva a intentar el paso.",
	//Last revision:  01/25/2013
	
	'ASVerificationFailed': "CRJAZ2826E Se ha producido algún problema muy grave al intentar la comunicación con un servidor de autorización.",
	'ASVerificationFailed.explanation': "El proceso de verificación del servidor de autorización ha fallado de forma inesperada.",
	'ASVerificationFailed.useraction': "Investigue los archivos de registro para esta aplicación o los archivos de registro del servidor de autorización para obtener información adicional sobre el origen de este error.",

	'ASVerificationUnreachable': "CRJAZ2831E La aplicación no puede hablar con el servidor para el URL proporcionado.",
	'ASVerificationUnreachable.explanation': "Un intento de configurar una conexión de red al URL proporcionado ha fallado.",
	'ASVerificationUnreachable.useraction': "Compruebe si el URL del servidor de autorización es correcto y se puede acceder a él.",

	'ASVerificationInvalidAsUrl': "CRJAZ2827E El URL no se reconoce como un servidor de autorización.",
	'ASVerificationInvalidAsUrl.explanation': "El URL proporcionado puede contener errores sintácticos o puede que apunte a un servidor que no es realmente un servidor de autorización.",
	'ASVerificationInvalidAsUrl.useraction': "Compruebe si el URL proporcionado del servidor de autorización es correcto.",
	
	'ASVerificationInvalidCredentials': "CRJAZ2828E Las credenciales proporcionadas para el servidor de autorización no son válidas.",
	'ASVerificationInvalidCredentials.explanation': "Para ponerse en contacto con un servidor de autorización, se requieren credenciales válidas.",
	'ASVerificationInvalidCredentials.useraction': "Compruebe las credenciales y vuélvalo a intentar.",
	
	'ASVerificationInvalidJsa': "CRJAZ2829E El URL de servidor proporcionado parece un servidor de autenticación Open ID Connect, pero no es compatible con Jazz Security Architecture.",
	'ASVerificationInvalidJsa.explanation': "El inicio de sesión único para aplicaciones Jazz requiere que el servidor de autorización sea compatible con Jazz Security Architecture.",
	'ASVerificationInvalidJsa.useraction': "Asegúrese de que el URL de servidor proporcionado apunte a un servidor de autorización que sea compatible con Jazz Security Architecture.",
	
	'ASVerificationNoAdmin': "CRJAZ2830E Las credenciales proporcionadas del servidor de autorización no permiten la creación de nuevos registros.",
	'ASVerificationNoAdmin.explanation': "Para crear registros en el servidor de autorización, se requieren credenciales con permisos suficientes.",
	'ASVerificationNoAdmin.useraction': "Compruebe las credenciales y vuélvalo a intentar.",
	
	'configuringAS': "Probando la conexión con el servidor de autorización. Espere, por favor...",
	'testASSettings': "Pruebe los valores para continuar.",
	
	'property': "Propiedad",
	'value': "Valor",
	
	'ASUrl': "URL del servidor de autorización",
	'ASAdminUserId': "ID del usuario administrador",
	'ASAdminPassword': "Contraseña de administrador",
	
	'ASUrlPlaceholder': "URL del servidor",
	'ASAdminUserIdPlaceholder': "ID de usuario",
	'ASAdminPasswordPlaceholder': "Contraseña",
	
	'ASUrlExample': "Ejemplo: https://localhost:9643/oidc/endpoint/jazzop",
	'ASUrlExampleDescription': "El URL de un servidor de autorización es el punto final de nivel superior de un proveedor OpenID Connect que implementa el perfil de Jazz Security Architecture. Una vez que se haya establecido, solo se podrá modificar realizando un cambio de nombre del servidor.",
	
	'configureASButton': "Probar conexión",
	'configureASInstructions': "Para registrar aplicaciones cuando el inicio de sesión único de Jazz Security Architecture está habilitado, debe proporcionar los siguientes parámetros de comunicación.",
	
	'credentialsStepTitle': "Credenciales de servidor de autorizaciones",
	'validUserIdPassword': "Las credenciales de Jazz Authorization Server proporcionadas son correctas.",
	'verifyingCredentials': "Verificando las credenciales para el servidor de autorizaciones. Espere, por favor...",
	
	'validASConfiguration': "La configuración proporcionada del servidor de autorización se ha registrado satisfactoriamente.",
	'noASUserIdPasswordProvided': "Para añadir una nueva configuración, debe proporcionar un ID de usuario y contraseña para registrar las aplicaciones en el servidor de autorización.",
	'noASUrlProvided': "Debe proporcionar una configuración de servidor de autorización válida para continuar.",
	
	'pendingDetectingApplications': "Espere mientras se detectan las aplicaciones y se ponen en contacto. Esto puede tardar unos minutos.",
	'pendingRegistration': "Espere mientras se registran las aplicaciones. Esto puede tardar unos minutos.",
	'regComplete': "Registro completado",
	'regFailed': "Ha fallado el registro. Consulte el mensaje de error al principio de esta página.",
	'noAppsDetected': "No se han detectado nuevas aplicaciones. No parece haber ninguna aplicación registrada en este servidor Jazz Team Server.",
	'newStepsAdded': "Las contribuciones de pasos adicionales de las aplicaciones recién registradas se han añadido al final de este asistente. Pulse Siguiente para continuar.",
	'errorBottom': "Se ha producido un error. Consulte el mensaje de error al principio de esta página.",
	
	'nameDesc': "Nombre de aplicación",
	'userDesc': "Crear nuevo usuario o ",
	'urlDesc': "URL de descubrimiento",
	'browse': "Examinar",
	'unknown': "Desconocido",
	
	'help_appInstance' : "El nombre de la instancia de aplicación aparecerá en la interfaz de usuario. El nombre debería ser exclusivo en este Jazz Team Server y significativo dentro de su organización.",
	'help_appType' : "Este es el tipo de aplicación que se ha detectado. Puede pasar el ratón sobre el tipo para ver la descripción de la aplicación.",
	'help_discoveryURI' : "El URL de descubrimiento hace referencia al recurso de colaboración de servicio (o SCR) de la aplicación.",
	'help_functionalId' : "Al asociar un ID de usuario funcional, se permite que las aplicaciones realicen solicitudes en actividades de fondo como, por ejemplo, enviar notificaciones de correo electrónico, sin la intervención del usuario. Para aplicaciones añadidas manualmente, puede especificar un ID de usuario nuevo o ya existente.",
	'loading': "Se está cargando...",
	'locatingSCR': "Espere mientras verificamos la URL de descubrimiento para esta aplicación. Si la aplicación se acaba de iniciar por primera vez, esto podría llevar unos minutos.",
	'addApplication': "Añadir aplicación...",
	'removeApp': "Eliminar aplicación",
	'skipRegistration': "Pulse \"Siguiente\" para saltar Registro de aplicaciones y continuar con el asistente.",
	'detectInstructions': "En esta primera sección, Jazz Team Server explorará su directorio de instalación para descubrir otras aplicaciones basadas en Jazz que puedan estar instaladas. Una vez completado, tendrá la opción de modificar las aplicaciones detectadas, así como de añadir manualmente nuevas aplicaciones. Para empezar, pulse el botón \"Rastrear en busca de aplicaciones instaladas\". Si no desea registrar ninguna aplicación en este momento, puede marcar el recuadro de abajo para omitir este paso. Podrá registrar aplicaciones más adelante si cambia de opinión.",

	'registerButton': "Registrar aplicaciones",
	'registerInstructions': "Una vez que haya verificado las aplicaciones y sus URL en el paso anterior, debe registrar las aplicaciones en este Jazz Team Server. Como parte del proceso de registro, el servidor intentará ponerse en contacto con cada aplicación y enviarle datos de configuración. Este operación puede tardar algunos minutos en completarse.",
	'registerOidcInstructions': "Una vez que haya verificado la configuración del servidor de autorización y las aplicaciones y sus URL en el paso anterior, debe registrar las aplicaciones en este Jazz Team Server y el servidor de autorización. Como parte del proceso de registro, el servidor intentará ponerse en contacto con cada aplicación y enviarle datos de configuración. Este operación puede tardar algunos minutos en completarse.",
	'verifyInstructions' : "En el sistema de archivos local se han detectado las aplicaciones siguientes. El nombre de la instancia de aplicación aparecerá en la interfaz de usuario. Se ha generado una propuesta de nombre de instancia en base a la raíz de contexto de la aplicación. Puede editar la propuesta. El nombre debería ser exclusivo en este Jazz Team Server y significativo dentro de su organización. El URL de descubrimiento ha tomado el valor predeterminado en base al URL público de este servidor y a la raíz de contexto de la aplicación. Se ha calculado un ID de usuario funcional predeterminado para cada aplicación. Al asociar un ID de usuario funcional, se permite que las aplicaciones realicen solicitudes en actividades de fondo como, por ejemplo, enviar notificaciones de correo electrónico, sin la intervención del usuario. Puede añadir manualmente una aplicación nueva (por ejemplo, una aplicación instalada en un servidor remoto) o elegir no registrar una aplicación pulsando en el icono \"X\".",
	'addAppExample' : "Para añadir una nueva aplicación especifique su URL de descubrimiento, que está normalmente en el siguiente formato, https://nombre_host.dominio:puerto/raízContexto/scr, por ejemplo https://myserver.ibm.com:9443/qm/scr.",
	'noteLPARequired' : "NOTA: Jazz Team Server necesita la aplicación Administración de proyecto de Lifecycle (ADMIN), que debe estar registrada.",
	
	'errorFetchingDiscovery': "CRJAZ2081E El servidor no ha podido acceder al URL de descubrimiento para la aplicación.",
	'errorFetchingDiscovery.explanation': "El servidor no puede acceder al URL de descubrimiento para la aplicación si la aplicación se ha instalado o suministrado incorrectamente.",
	'errorFetchingDiscovery.useraction': "Verifique que puede acceder al URL de descubrimiento para la aplicación especificando el URL en un navegador e intentando abrirlo. Si el problema continúa, pida al administrador que compruebe el estado de la aplicación y su instalación. Normalmente, el administrador del sistema es la persona que instala y mantiene las aplicaciones en el servidor.",
	//Last revision:  01/25/2013

	'errorFetchingAbout': "CRJAZ2080E Se ha producido un error al intentar acceder al servicio Acerca de la aplicación incluido en el documento de descubrimiento para esta aplicación. Asegúrese de que la aplicación se ha instalado y suministrado correctamente.",
	'virtualHostWarning': "Si ha configurado un host virtual para una aplicación, el nombre del host virtual debe utilizarse en el URL de la aplicación."
})	

