/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2010, 2015. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:  
 * Use, duplication or disclosure restricted by GSA ADP Schedule 
 * Contract with IBM Corp. 
 *******************************************************************************/
// NLS_CHARSET=UTF-8
({
	'stepTitle': "Amigos", 
	'description': "Utilice esta página para gestionar los amigos de este Jazz Team Server. Un amigo es una aplicación (como las que aparecen en la página \"Aplicaciones registradas\") u otro Jazz Team Server a los que se les permite realizar peticiones salientes a este Jazz Team Server y sus aplicaciones registradas a fin de consumir los servicios que proporciona el amigo.  Para proteger la comunicación entre los amigos, se utilizan una clave de consumidor y un secreto. No es necesario configurar como amigos las aplicaciones registradas en este Jazz Team Server.",
	'description_app': "Utilice esta página para gestionar los amigos de esta aplicación. Un amigo es una aplicación o un Jazz Team Server al que se permite a esta aplicación realizar solicitudes de salida, para así poder consumir los servicios proporcionados por el amigo.  Para proteger la comunicación entre los amigos, se utilizan una clave de consumidor y un secreto.",
	
	'step1Title': "Solicitar comunicación servidor-a-servidor",
	'step1Description': ".  Puede solicitar una clave de consumidor provisional de ese servidor y almacenar esta información en su lista de amigos del servidor.",

	'step2Title': "Autorizar clave provisional",
	'step2Description': "Una vez solicite una clave provisional, esta sección mostrará la clave almacenada.",
	
	'requestError': "CRJAZ1577E Se ha producido un error al conectarse a ${0}.  Verifique que el URL sea válido y que el servidor esté en ejecución.",
	
	'provisionalKey': "Clave provisional: ",
	'keyNeedsAuthorization': "La clave provisional que ha solicitado necesita contar con la autorización de un administrador del otro servidor.",
	'authorizationLink': "Si es un administrador del servidor \"${0}\", puede ",
	'grantAccessLink': "Otorgar acceso para la clave provisional.",
	'keyAuthorized': "La clave provisional está autorizada y almacenada en la lista de amigos. El servidor podrá ahora comunicarse con ${0}.", 
	'createFriend': "Crear amigo",
	'registerButtonText': "Solicitar acceso", 
	'propertyLabel': "Propiedad",
	'valueLabel': "Valor",
	'descriptionLabel': "Descripción",
	
	'titleLabel': "Nombre", 
	'titleDescrption': "Especifique un nombre para identificar esta entrada en la lista de amigos",
	'rootServicesLabel': "URI de servicios raíz", 
	'rootServicesDescription': "URI para los servicios raíz del servidor que desea añadir como amigo.",
	'rootServicesFormat': "Formato:",
	'serverUriLabel': "URI de Jazz Team Server", 
	'serverUriDescrption': "Es el servidor que desea añadir como amigo y establecer comunicación servidor-a-servidor.  (p. ej. 'https://otherJazzServer:9443/jazz/rootservices')",
	'secretLabel': "Clave secreta OAuth", 
	'secretDescrption': "Especifique una frase de código para asociarla con la nueva clave de consumidor de OAuth desde el servidor amigo.",
	'secretLabel2': "Volver a escribir clave secreta", 
	'secretDescrption2': "Vuelva a escribir la frase de codificación para evitar errores.",
	'secretMismatch': "Las claves secretas no coinciden",
	'trustedLabel': "De confianza", 
	'trustedDescription': "Los consumidores que se consideran fiables podrán compartir su autorización con otros consumidores fiables. A los usuarios no se les solicitará aprobación para acceder a los datos.  Es recomendable que los productos o sitios web externos se consideren como no fiables.",

	'correctFields': "Corrija los campos que aparecen más abajo.",
	'completeFields': "Configure la comunicación con otro servidor de Jazz Team Server o seleccione Siguiente para continuar.", 
	'someFieldsEmpty': "Es necesario rellenar todos los campos. Inténtelo de nuevo.",
		
	'postFriendError': "CRJAZ1576E Se ha producido un error al guardar un amigo en este servidor.",
	'testFriendError': "CRJAZ1665E Se ha producido un error al intentar acceder al URL de servicios raíz que se suministró. Compruebe el URL y vuélvalo a intentar.",
	'fetchFriendsError': "CRJAZ1574E Se ha producido un error al solicitar la lista de amigos en este servidor.",
	'fetchRootServicesError': "CRJAZ1575E Se ha producido un error al solicitar el documento de servicios raíz al servidor \"${0}\". Compruebe el URL y vuélvalo a intentar. ",
	'postNewApplicationError': "CRJAZ1664E Se ha producido un error al intentar añadir la nueva aplicación al servidor.",
	'requestKeyError': "CRJAZ1578E Se ha producido un error al solicitar una clave de consumidor OAuth al servidor \"${0}\".", 
	'deleteFriendError': "CRJAZ1573E Se ha producido un error al suprimir la entrada de amigo: ${0}",
	'friendsTableHeading': "Lista de amigos", 
	
	'friendsTableDescription_jts': "Utilice \"Añadir...\" para añadir un amigo. Necesitará su información de ubicación (el URI de servicios raíz) y la frase de código que desee utilizar como secreto de autenticación. Después solicite acceso al amigo. El amigo generará un clave de consumidor OAuth provisional que se almacena en la entrada del amigo. Las claves de consumidor provisionales tienen que ser autorizadas por un administrador de la aplicación amiga. Una vez autorizada la clave de consumidor OAuth, se permitirá a este Jazz Team Server y sus aplicaciones registradas enviar solicitudes de salida al amigo. Dado que casi todas las colaboraciones entre amigos son bidireccionales, al añadirse manualmente el amigo A al consumidor B, también deberá añadirse el amigo B al consumidor A.",
	'friendsTableDescription_app': "Utilice \"Añadir...\" para añadir un amigo. Necesitará su información de ubicación (el URI de servicios raíz) y la frase de código que desee utilizar como secreto de autenticación. Después solicite acceso al amigo. El amigo generará un clave de consumidor OAuth provisional que se almacena en la entrada del amigo. Las claves de consumidor provisionales tienen que ser autorizadas por un administrador de la aplicación amiga. Una vez autorizada la clave de consumidor OAuth, se permitirá a esta aplicación enviar peticiones salientes al amigo. Dado que casi todas las colaboraciones entre amigos son bidireccionales, al añadirse manualmente el amigo A al consumidor B, también deberá añadirse el amigo B al consumidor A.",
	'virtualFriendsTableDescription': "Amigos de Jazz Team Server (sólo lectura)",
	
	'noFriends': "No hay entradas en la lista de amigos de servidor.",
	
	'oAuthDomainLabel': "Dominio OAuth",
	'oAuthConsumerKeyLabel': "Clave de consumidor OAuth", 
	'removeFriendButton': "Eliminar amigo",
	'confirmDelete': "¿Está seguro de que desea suprimir esta entrada de amigo?", 
	'confirmApplicationDelete': "AVISO: Anular el registro de una aplicación provocará que se pierdan de forma permanente los datos almacenados previamente por la aplicación en este Jazz Team Server (los recursos del panel de control, por ejemplo). Esto solo se deberá realizar para reintentar una configuración fallida, o si desea eliminar de forma permanente una aplicación existente.",
	'confirmApplicationDeleteSecondCheck': "Confirmar esta acción anulará el registro de la aplicación seleccionada de este Jazz Team Server. ¿Está seguro de que desea eliminar esta aplicación y sus datos asociados? ",
	'requestingAccess': "Solicitando acceso...",
	
	// edit friend wizard 
	'editFriend': "Editar amigo",
	'editFriendHeading': "Editar propiedades de amigo",
	'editFriendDialogTitle': "Editar propiedades de amigo",
	'confirmEditCancel': "¿Está seguro de que desea salir de este editor? Se perderán los cambios que se hayan hecho. Pulse Cancelar para continuar trabajando o Aceptar para salir.",
	
	//edit application wizard
	'editApplicationHeading': "Editar propiedades de aplicación",
	'editApplicationDialogTitle': "Editar propiedades de aplicación",
	
	'internalLabel': "Interno", 
	'internalNo': "Público",
	
	//registered apps
	'pageTitle': "Aplicaciones registradas",
	'internalFriendsTableHeading': "Aplicaciones registradas", 
	'registeredAppsDescription': "Utilice esta página para ver las aplicaciones registradas o para registrar nuevas aplicaciones. Las aplicaciones que soportan una configuración automática deben registrarse mediante el asistente de instalación de Jazz Team Server. Esto es la lista de aplicaciones registradas en Jazz Team Server. Estas aplicaciones pueden proporcionar y consumir servicios proporcionados por este Jazz Team Server y otras aplicaciones registradas. El nombre aparecerá en las interfaces de usuario. Debe ser exclusivo en este Jazz Team Server y tener sentido dentro de la organización. El URL de descubrimiento hace referencia al servicio de descubrimiento de la aplicación.",
	'internalFriendsTableDescription': "Seleccione \"Añadir...\" para registrar una nueva aplicación con este Jazz Team Server. Se le solicitará que proporcione el nombre y el URL de descubrimiento (si procede), así como una frase de código utilizada como \"secreto\" de consumidor. También puede seleccionar un ID de usuario funcional previamente autorizado con la aplicación. Esto permite a las aplicaciones realizar solicitudes en actividades en segundo plano como, por ejemplo, envíos de notificaciones de correo electrónico, sin intervención del usuario. Cuando se registren varias instancias de aplicaciones del mismo tipo, deberá utilizarse el mismo ID de usuario funcional para todas las instancias. Al asociarse un usuario funcional previamente autorizado, se le dará a los JazzAdmins de la aplicación permisos en este Jazz Team Server, lo que solo debería permitirse en los casos de aplicaciones de confianza.  Jazz Team Server generará automáticamente una clave de consumidor para la aplicación, que puede copiarse y pegarse en la configuración de la aplicación (en el caso de las aplicaciones que requieran configuración manual).",
	'manageLink': "Gestionar esta aplicación",
	'settings': "Valores",
	'installed': "Instalado",
	'applicationID': "Id de aplicación",
	'appTypeLabel': "Tipo de aplicación",
	'consumerKeyLabel': "Clave de consumidor", 
	'consumerSecret': "Clave secreta de consumidor",
	'preAuthorizedUser': "ID de usuario funcional", 
	'selectUserLinkLabel': "Seleccionar usuario...",
	'browseUserLinkLabel': "Examinar...",
	'clearUserLinkLabel': "Borrar usuario...",
	'errorFunctionalAdminNotAllowed': "ADMIN no está permitido como un usuario funcional.  Elija un ID de usuario funcional distinto.",
	'editApplication': "Editar aplicación",
	'removeApplication': "Eliminar aplicación",
	'addFriendLink': "Añadir...",
	'addApplicationLink': "Añadir...",
	'statusLabel': "Estado",
	'nameLabel': "Nombre",
	'versionsLabel': "Versión",
	'srcUriLabel': "URL de descubrimiento",
	'applicationNameLabel': "Nombre de aplicación",
	'addApplicationStepHeader': "Añadir aplicación",
	'addFriendStepHeader': "Añadir amigo",
	'actionsLabel': "Acciones",
	'manageLabel': "Gestionar",
	'unknown': "Desconocido",
	'loadingApplications': "Cargando aplicaciones...",
	'noAppsYet': "Actualmente, no hay instalada ninguna aplicación en este grupo de aplicaciones. Pulse ${0} para instalar una aplicación nueva.",
	'noFriendsYet': "Actualmente, este servidor no tiene amigos. Pulse ${0} para conectarse a un nuevo amigo.",
	'noVirtualFriendsYet': "Actualmente, este servidor no tiene ningún amigo de Jazz Team Server.",
	'storedProvisionKeyOK': "Se ha añadido el amigo y se ha generado una clave provisional. Pulse Siguiente para continuar.",
	'OIDCFriendCreated': "Se ha añadido el Amigo.  Pulse Finalziar.",
	'registrationComplete': "La aplicación se ha registrado satisfactoriamente. Nota: algunas aplicaciones requieren una configuración adicional antes de poder ser utilizadas. Consulte la documentación para averiguar si esta aplicación requiere una configuración adicional.",
	'registrationCompleteWithSetup': "La aplicación se ha registrado satisfactoriamente. Esta aplicación requiere una configuración adicional antes de poder ser utilizada. Continúe en el ${0}Asistente de configuración de la aplicación${1} para finalizar el registro.",
	'savingUpdates': "Guardando actualizaciones...",
	'errorUpdating': "CRJAZ2083E Se ha producido un error al actualizar la aplicación.",
	'registeringApplication': "Espere mientras se registra la nueva aplicación. Esto puede tardar unos minutos.",
	'errorFetchingAbout': "CRJAZ2082E No se puede acceder al servicio Acerca de la aplicación que se lista en el documento de descubrimiento para esta aplicación.",
	'errorFetchingAbout.explanation': "La aplicación está incorrectamente instalada, no se está iniciando correctamente, o bien algún componente de red, como un cortafuegos, podría estar bloqueando una conexión.",
	'errorFetchingAbout.useraction': "Asegúrese de que la aplicación esté correctamente instalada. Para ver mensajes adicionales que podrían ayudarle a diagnosticar la causa exacta del problema, consulte los archivos de registro.",
	// Last UA revision: 20 Nov. 2014
	'loadingAbout': "Espere mientras recuperamos la información adicional acerca de esta aplicación...",
	
	// Help hover text
	'help_consumerSecret': "Una \"clave secreta\" o contraseña utilizada por la aplicación para establecer la propiedad de la clave de consumidor que se generará para esta aplicación.",
	'help_functionalId': "Al asociar un ID de usuario funcional, se permite que las aplicaciones realicen solicitudes en actividades de fondo como, por ejemplo, enviar notificaciones de correo electrónico, sin la intervención del usuario. Puede especificar un ID de usuario nuevo o ya existente, o bien \"Examinar\" los usuarios existentes."

})

