/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2010, 2014. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:  
 * Use, duplication or disclosure restricted by GSA ADP Schedule 
 * Contract with IBM Corp. 
 *******************************************************************************/
// NLS_CHARSET=UTF-8
({
	//template
	'step2Label': "Etape 2 :",
	'step2Title': "Configuration de Jazz Team Server pour utiliser un serveur LDAP comme mon registre d'utilisateurs",
	'description': "Une fois que vous avez configuré votre serveur d'applications et serveur LDAP comme décrit dans le guide de configuration du serveur, complétez ce formulaire pour configurer Jazz Team Server afin d'utiliser votre serveur LDAP pour les informations d'utilisateur et de groupe.",
	'description_oidc': "Une fois que vous avez configuré votre serveur d'autorisation et votre serveur LDAP comme décrit dans le guide de configuration du serveur, complétez ce formulaire pour configurer Jazz Team Server afin d'utiliser votre serveur LDAP pour les informations d'utilisateur et de groupe.",
	'helpLink': "Pour plus d'informations et pour obtenir de l'aide sur la navigation dans votre répertoire, consultez la rubrique expliquant ${0}comment vérifier les paramètres LDAP pour la configuration de Jazz Team Server${1}.",
	'userDescription': "Indiquez les propriétés suivantes pour configurer Jazz Team Server pour le mappage vers les utilisateurs dans le serveur LDAP.",
	'groupDescription': "Indiquez les propriétés suivantes pour configurer Jazz Team Server pour le mappage vers les groupes dans le serveur LDAP.",
	'computeDescription': "En fonction des valeurs de configuration fournies plus haut, nous pouvons calculer les requêtes LDAP restantes.  Il est recommandé de sélectionner l'option ci-dessous pour calculer les requêtes supplémentaires.  Vous pouvez visualiser et modifier les paramètres calculés à tout moment à partir de l'interface utilisateur de configuration d'administration.",
	'computeLabel': "Calculer et sauvegarder les requêtes LDAP supplémentaires en fonction de ces valeurs de configuration",

	'restoreLabel': "Restaurer les paramètres sauvegardés",
	'testConnectionLabel': "Tester la connexion",
	'validateUserLabel': "Valider l'utilisateur",
	'saveLdapConfigLabel': "Sauvegarder les fichiers de configuration LDAP",

	//widget

	'loading': "Chargement des paramètres LDAP...",  
	'testing': "Test de la connexion au serveur LDAP...",  
	'pendingOk': "La configuration comporte des modifications en attente. Testez la connexion pour continuer. ",  
	'pendingErr': "Certaines valeurs de propriété ne sont pas valides.  Corrigez les propriétés signalées avant de continuer.", 
	'pendingWarn': "Vérifiez les propriétés associées aux avertissements.  Testez la connexion pour continuer.", 
	'connectedOk': "La connexion LDAP a été établie.  Cliquez sur Suivant pour continuer.",
	
	'connectedErr': "CRJAZ1558E Le test de la connexion LDAP a échoué.",
	'connectedErr.explanation': "Lorsque la connexion LDAP a été testée, des erreurs sont survenues et le test a échoué. Les erreurs sont détaillées.",
	'connectedErr.useraction': "Consultez les détails pour en savoir plus sur les erreurs. Vérifiez la configuration LDAP et testez à nouveau la connexion.",
	//Last revision:  01/25/2013
	
	'connectedWarn': "CRJAZ1559W Une connexion LDAP a été établie mais a généré des avertissements. Résolvez les avertissements ou cliquez sur Suivant pour continuer.", 
	'connectedWarn.explanation': "Des avertissements ont été générés lors de la connexion LDAP. Les avertissements sont détaillés.",
	'connectedWarn.useraction': "Développez la section des détails pour en savoir plus sur les avertissements. Résolvez les avertissements ou cliquez sur Suivant pour continuer.",
	//Last revision:  01/25/2013

	'connectedWarn_Oidc': "CRJAZ2922E La connexion LDAP a échoué. Pour pouvoir utiliser LDAP pour le registre d'utilisateurs, vous devez résoudre les problèmes de connexion avant de continuer.",
	'connectedWarn_Oidc.explanation': "Si vous utilisez LDAP comme registre d'utilisateurs pour la connexion unique Jazz Security Architecture, la connexion LDAP doit être configurée et fonctionner correctement pour que le processus de configuration puisse être exécuté.",
	'connectedWarn_Oidc.useraction': "Pour plus d'informations sur le problème lié à la connexion LDAP, développez les détails de ce message. Pour pouvoir utiliser LDAP pour le registre d'utilisateurs, résolvez les problèmes de connexion et essayez à nouveau.",
	//Last UA revision: 27 March 2015
	
	'userOk': "L'utilisateur a été validé correctement. Cliquez sur Suivant pour continuer.",
	'userErr': "CRJAZ1851E Utilisateur introuvable dans l'annuaire LDAP.",
	'saveErr': "CRJAZ1561E Une erreur s'est produite lors de la sauvegarde des propriétés de configuration.",
	
	'connectionError': "CRJAZ1560E Une erreur s'est produite lors de l'extraction du statut de connexion.",
	'libertyConfCreated': "Les nouveaux fichiers de configuration ont été sauvegardés dans le dossier du serveur Liberty. <strong>Cliquez sur \"Suivant\" pour sauvegarder les paramètres LDAP.</strong> Remplacez l'élément include dans server.xml afin d'inclure conf/ldapUserRegsitry.xml au lieu de conf/basicUserRegistry.xml et redémarrez Liberty. ",
	'tomcatConfCreated': "Les nouveaux fichiers de configuration ont été sauvegardés dans le dossier tomcat. <strong>Cliquez sur \"Suivant\" pour sauvegarder les paramètres LDAP.</strong> Remplacez server.xml et web.xml par les nouveaux fichiers et redémarrez Tomcat.",
	
		
	//dialog
	'validateUserDescription': "Entrez un ID utilisateur pour valider que l'utilisateur peut se connecter à l'aide de droits d'administration une fois la configuration terminée.",
	'labelUserId': "ID utilisateur",
	'labelOk': "OK",
	'labelSkip': "Ignorer",
	'dialogTitle': "Valider l'utilisateur LDAP"
})	







