/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2010, 2015. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:  
 * Use, duplication or disclosure restricted by GSA ADP Schedule 
 * Contract with IBM Corp. 
 *******************************************************************************/
// NLS_CHARSET=UTF-8
({
	'stepTitle': "Enregistrement des applications",
	'description': "Cette étape permet d'enregistrer les applications installées avec Jazz Team Server. Dans le cas des installations où toutes les applications se trouvent sur le même hôte, vous pouvez accepter les valeurs par défaut et continuer.",
	'descriptionOidc': "Cette étape permet d'enregistrer les applications installées auprès de Jazz Team Server et du serveur d'autorisation Jazz. Dans le cas des installations où toutes les applications se trouvent sur le même hôte, vous pouvez accepter les valeurs par défaut et continuer.",
	'step1Label': "Etape 1 :",
	'step1Title': "Configuration du serveur d'autorisation",
	'step2Label': "Etape 2 :",
	'step2Title': "Vérification et mise à jour des applications détectées",
	'step3Label': "Etape 3 :",
	'step3Title': "Enregistrer les applications",
	'scanComplete': "Analyse terminée",
	
	'titleLabel': "Instance d'application",
	'typeLabel': "Type d'application",
	'srcUriLabel': "URL de reconnaissance",
	'actionsLabel': "Actions",
	'version': "Version",
	'preAuthUserLabel' : "ID utilisateur fonctionnel",
	'removeApplication': "Ne pas enregistrer cette application.",
	'confirmApplicationDelete': "Voulez-vous vraiment supprimer cette application ?",
	'appsDetectedOK': "Applications détectées OK. Vérifiez les applications répertoriées ci-dessous.",
	'appsDetectedError': "CRJAZ1725E Une erreur s'est produite lors de l'analyse du serveur à la recherche d'applications installées.",
	'appNameEmpty': "Le nom ne peut pas être vide.",
	'appUrlEmpty': "L'URL de reconnaissance ne peut pas être vide.",
	'errorFunctionalAdminNotAllowed': "ADMIN ne peut pas être un utilisateur fonctionnel.",
	'appsRegisteredOkay': "Les applications ont correctement été enregistrées auprès de ce serveur Jazz Team Server. Cliquez sur Suivant pour continuer.",
	
	'appsRegisteredError': "CRJAZ1726E Les applications n'ont pas pu être enregistrées auprès de Jazz Team Server.",
	'appsRegisteredError.explanation': "Des détails sur l'échec de l'enregistrement sont fournis avec l'erreur.",
	'appsRegisteredError.useraction': "Consultez les détails de l'erreur afin de déterminer l'origine du problème. Dans cet assistant, vérifiez les paramètres définis pour l'enregistrement des applications et renouvelez l'opération.",
	//Last revision:  01/25/2013
	
	'getAppsFailed': "CRJAZ1753E La liste des applications enregistrées n'a pas pu être extraite.",
	'getAppsFailed.explanation': "Des détails sur l'extraction ayant échoué sont fournis avec l'erreur.",
	'getAppsFailed.useraction': "Consultez les détails de l'erreur afin de déterminer l'origine du problème. Dans cet assistant, vérifiez les paramètres définis pour l'enregistrement des applications et renouvelez l'opération.",
	//Last revision:  01/25/2013
	
	'ASVerificationFailed': "CRJAZ2826E Un problème critique est survenu lors de la tentative de communication avec un serveur d'autorisation.",
	'ASVerificationFailed.explanation': "Le processus de vérification du serveur d'autorisation a échoué de manière inattendue.",
	'ASVerificationFailed.useraction': "Consultez les fichiers journaux de cette application ou du serveur d'autorisation pour plus d'informations sur l'origine de cette erreur.",

	'ASVerificationUnreachable': "CRJAZ2831E Votre application ne peut pas communiquer avec le serveur à l'URL fournie.",
	'ASVerificationUnreachable.explanation': "Une tentative de configuration d'une connexion réseau à l'URL fournie a échoué.",
	'ASVerificationUnreachable.useraction': "Vérifiez que l'URL du serveur d'autorisation est correcte et accessible.",

	'ASVerificationInvalidAsUrl': "CRJAZ2827E L'URL n'est pas reconnue comme serveur d'autorisation.",
	'ASVerificationInvalidAsUrl.explanation': "Il se peut que l'URL fournie contienne des erreurs syntaxiques ou qu'elle désigne un serveur qui n'est pas un serveur d'autorisation.",
	'ASVerificationInvalidAsUrl.useraction': "Vérifiez que l'URL fournie pour le serveur d'autorisation est correcte.",
	
	'ASVerificationInvalidCredentials': "CRJAZ2828E Les données d'identification fournies pour le serveur d'autorisation ne sont pas valides.",
	'ASVerificationInvalidCredentials.explanation': "Des données d'identification valides sont nécessaires pour contacter un serveur d'autorisation.",
	'ASVerificationInvalidCredentials.useraction': "Vérifiez vos données d'identification et essayez à nouveau.",
	
	'ASVerificationInvalidJsa': "CRJAZ2829E L'URL de serveur fournie semble être celle d'un serveur d'autorisation Open ID Connect mais n'est pas conforme à Jazz Security Architecture.",
	'ASVerificationInvalidJsa.explanation': "La connexion unique pour les applications Jazz exige que le serveur d'autorisation soit conforme à Jazz Security Architecture.",
	'ASVerificationInvalidJsa.useraction': "Assurez-vous que l'URL de serveur fournie désigne un serveur d'autorisation conforme à Jazz Security Architecture.",
	
	'ASVerificationNoAdmin': "CRJAZ2830E Les données d'identification fournies par le serveur d'autorisation ne permettent pas la création d'enregistrements.",
	'ASVerificationNoAdmin.explanation': "Des données d'identification associées à des droits suffisants sont requises pour créer des enregistrements sur le serveur d'autorisation.",
	'ASVerificationNoAdmin.useraction': "Vérifiez vos données d'identification et essayez à nouveau.",
	
	'configuringAS': "Test de la connexion au serveur d'autorisation. Veuillez patienter...",
	'testASSettings': "Testez les paramètres pour pouvoir continuer.",
	
	'property': "Propriété",
	'value': "Valeur",
	
	'ASUrl': "URL du serveur d'autorisation",
	'ASAdminUserId': "ID administrateur",
	'ASAdminPassword': "Mot de passe de l'administrateur",
	
	'ASUrlPlaceholder': "URL du serveur",
	'ASAdminUserIdPlaceholder': "ID utilisateur",
	'ASAdminPasswordPlaceholder': "Mot de passe",
	
	'ASUrlExample': "Exemple : https://localhost:9643/oidc/endpoint/jazzop",
	'ASUrlExampleDescription': "L'URL du serveur d'autorisation est le noeud final de niveau supérieur d'un fournisseur OpenID Connect qui implémente le profil de Jazz Security Architecture. Une fois définie, elle ne peut être changée qu'en renommant le serveur.",
	
	'configureASButton': "Tester la connexion",
	'configureASInstructions': "Pour enregistrer des applications lorsque la connexion unique Jazz Security Architecture est activée, vous devez indiquer les paramètres de communication ci-après.",
	
	'credentialsStepTitle': "Données d'identification pour le serveur d'autorisation ",
	'validUserIdPassword': "Les données d'identification indiquées pour le serveur d'autorisation Jazz sont correctes. ",
	'verifyingCredentials': "Vérification des données d'identification pour le serveur d'autorisation. Veuillez patienter...",
	
	'validASConfiguration': "La configuration fournie pour le serveur d'autorisation a été enregistrée.",
	'noASUserIdPasswordProvided': "Pour ajouter une nouvelle application, vous devez indiquer un ID utilisateur et un mot de passe afin d'enregistrer les applications sur le serveur d'autorisation.",
	'noASUrlProvided': "Vous devez indiquer une configuration de serveur d'autorisation valide pour continuer.",
	
	'pendingDetectingApplications': "Veuillez patienter pendant que les applications sont détectées et contactées. Cette opération va prendre quelques minutes.",
	'pendingRegistration': "Veuillez patienter pendant l'enregistrement des applications. Cette opération peut prendre quelques minutes.",
	'regComplete': "Enregistrement terminé",
	'regFailed': "Echec de l'enregistrement. Consultez le message d'erreur figurant dans la partie supérieure de cette page.",
	'noAppsDetected': "Aucune nouvelle application détectée. Ce serveur Jazz Team Server ne semble contenir aucune application non enregistrée.",
	'newStepsAdded': "Des contributions d'étapes supplémentaires à partir des applications nouvellement enregistrées ont été ajoutées à la fin de cet assistant. Cliquez sur Suivant pour continuer.",
	'errorBottom': "Une erreur est survenue. Consultez le message d'erreur figurant dans la partie supérieure de cette page.",
	
	'nameDesc': "Nom d'application",
	'userDesc': "Créer un utilisateur ou ",
	'urlDesc': "URL de reconnaissance",
	'browse': "Parcourir",
	'unknown': "Inconnu",
	
	'help_appInstance' : "Le nom de l'instance d'application sera affiché dans l'interface utilisateur. Ce nom doit être unique sur ce serveur Jazz Team Server et significatif au sein de votre organisation.",
	'help_appType' : "Type de l'application détectée. Placez la souris sur le type pour afficher la description de l'application.",
	'help_discoveryURI' : "L'URL de reconnaissance fait référence à la ressource de contribution de service (ou SCR) de l'application.",
	'help_functionalId' : "L'association d'un ID utilisateur fonctionnel permet aux applications de créer des demandes dans le cadre des activités d'arrière-plan, telles que l'envoi de notifications par courrier électronique, sans l'intervention de l'utilisateur. Pour les applications ajoutées manuellement, vous pouvez entrer un ID utilisateur nouveau ou existant.",
	'loading': "Chargement...",
	'locatingSCR': "Veuillez patienter pendant la vérification de l'URL de reconnaissance pour cette application. Cela peut prendre quelques minutes s'il s'agit du premier démarrage de cette application.",
	'addApplication': "Ajouter une application...",
	'removeApp': "Supprimer l'application",
	'skipRegistration': "Cliquez sur \"Suivant\" pour ignorer l'enregistrement d'application et continuer à l'aide de l'assistant.",
	'detectInstructions': "Dans cette première section, le serveur Jazz Team Server va analyser son répertoire d'installation pour détecter d'autres applications reposant sur Jazz qui sont peut-être installées. Une fois l'analyse terminée, vous avez la possibilité de modifier les applications détectées et d'ajouter manuellement de nouvelles applications. Pour commencer, cliquez sur le bouton \"Rechercher les applications installées\". Si vous ne voulez pas enregistrer d'applications à ce stade, vous pouvez cocher la case située en dessous pour ignorer cette étape. Vous pourrez alors enregistrer des applications ultérieurement si vous changez d'avis.",

	'registerButton': "Enregistrer les applications",
	'registerInstructions': "Une fois que vous avez vérifié les applications et leurs URL à l'étape précédente, vous devez enregistrer les applications auprès de ce serveur Jazz Team Server. Dans le cadre du processus d'enregistrement, le serveur va tenter de contacter chaque application et lui envoyer des données de configuration. Cette opération peut prendre quelques minutes.",
	'registerOidcInstructions': "Une fois que vous avez vérifié la configuration du serveur d'autorisation ainsi que les applications et leurs URL à l'étape précédente, vous devez enregistrer les applications auprès de Jazz Team Server et du serveur d'autorisation. Dans le cadre du processus d'enregistrement, le serveur va tenter de contacter chaque application et lui envoyer des données de configuration. Cette opération peut prendre quelques minutes.",
	'verifyInstructions' : "Les applications ci-dessous ont été détectées dans le système de fichiers local. Le nom de l'instance d'application sera affiché dans l'interface utilisateur. Une proposition de nom d'instance a été générée en fonction de la racine de contexte de l'application. Vous pouvez modifier la proposition. Ce nom doit être unique sur ce serveur Jazz Team Server et significatif au sein de votre organisation. L'URL de reconnaissance a été définie par défaut en fonction de l'URI public de ce serveur et de la racine de contexte de l'application. Un ID utilisateur fonctionnel par défaut a été généré pour chaque application. L'association d'un ID utilisateur fonctionnel permet aux applications de créer des demandes dans le cadre des activités d'arrière-plan, telles que l'envoi de notifications par courrier électronique, sans l'intervention de l'utilisateur. Vous pouvez ajouter une nouvelle application manuellement (par exemple, une application installée sur un serveur distant) ou choisir de ne pas enregistrer une application en cliquant sur l'icône \"X\".",
	'addAppExample' : "Pour ajouter une nouvelle application, entrez son URL de reconnaissance, dont le format est généralement https://nomhôte.domaine:port/racineContexte/scr, par exemple https://monserveur.ibm.com:9443/qm/scr.",
	'noteLPARequired' : "REMARQUE : L'application Administration de projet de cycle de vie (ADMIN) est requise par le serveur Jazz Team Server et doit être enregistrée.",
	
	'errorFetchingDiscovery': "CRJAZ2081E Le serveur n'a pas pu accéder à l'URL de reconnaissance de l'application.",
	'errorFetchingDiscovery.explanation': "Le serveur ne peut pas accéder à l'URL de reconnaissance de l'application si l'application n'est pas installée et configurée correctement.",
	'errorFetchingDiscovery.useraction': "Vérifiez que vous pouvez accéder à l'URL de reconnaissance de l'application en entrant l'URL dans un navigateur et en essayant de l'ouvrir. Si le problème persiste, demandez à un administrateur système de vérifier le statut de l'application et son installation. Généralement, l'administrateur système est la personne qui installe et gère les applications sur le serveur.",
	//Last revision:  01/25/2013

	'errorFetchingAbout': "CRJAZ2080E Une erreur est survenue lors de la tentative d'accès au service des informations sur l'application répertorié dans le document de reconnaissance pour cette application. Vérifiez que l'application a été installée et configurée correctement.",
	'virtualHostWarning': "Si vous avez configuré un hôte virtuel pour une application, celui-ci doit être utilisé dans l'URL pour cette application."
})	

