/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2010, 2015. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:  
 * Use, duplication or disclosure restricted by GSA ADP Schedule 
 * Contract with IBM Corp. 
 *******************************************************************************/
// NLS_CHARSET=UTF-8
({
	'stepTitle': "Amis", 
	'description': "Utilisez cette page pour gérer les amis de ce serveur Jazz Team Server. Un ami est une application (comme celles qui sont répertoriées dans la page \"Applications enregistrées\") ou un autre serveur Jazz Team Server auquel ce serveur Jazz Team Server et ses applications enregistrées peuvent soumettre des demandes sortantes afin de consommer les services fournis par l'ami.  Une clé de consommateur et une valeur confidentielle sont utilisées pour sécuriser les communications entre les amis. Il n'est pas nécessaire de configurer les applications enregistrées auprès de ce serveur Jazz Team Server en tant qu'amis.",
	'description_app': "Utilisez cette page pour gérer les amis de cette application. Un ami est une application ou un serveur Jazz Team Server auquel cette application est autorisée à envoyer des demandes sortantes, afin de consommer les services fournis par l'ami.  Une clé de consommateur et une valeur confidentielle sont utilisées pour sécuriser les communications entre les amis.",
	
	'step1Title': "Demande de communication de serveur à serveur",
	'step1Description': ".  Vous pouvez ensuite demander une clé de consommateur provisoire à partir de ce serveur et stocker ces informations dans la liste d'amis de votre serveur.",

	'step2Title': "Autorisation d'une clé provisoire",
	'step2Description': "Une fois que vous avez demandé une clé provisoire, cette section affiche la clé stockée.",
	
	'requestError': "CRJAZ1577E Une erreur est survenue lors de la connexion à ${0}.  Vérifiez la validité de l'URL et que le serveur est démarré.",
	
	'provisionalKey': "Clé provisoire : ",
	'keyNeedsAuthorization': "La clé provisoire que vous avez demandée doit être autorisée par un administrateur sur l'autre serveur.",
	'authorizationLink': "Si vous êtes administrateur sur le serveur \"${0}\", vous pouvez ",
	'grantAccessLink': "Accorder l'accès pour la clé provisoire.",
	'keyAuthorized': "La clé provisoire est autorisée et stockée dans la liste d'amis. Le serveur peut désormais communiquer avec ${0}.", 
	'createFriend': "Créer un ami",
	'registerButtonText': "Demander l'accès", 
	'propertyLabel': "Propriété",
	'valueLabel': "Valeur",
	'descriptionLabel': "Description",
	
	'titleLabel': "Nom", 
	'titleDescrption': "Entrez un nom identifiant cette entrée dans la liste d'amis",
	'rootServicesLabel': "URI des services racine", 
	'rootServicesDescription': "L'URI des services racine sur le serveur à ajouter comme ami.",
	'rootServicesFormat': "Format :",
	'serverUriLabel': "URI de Jazz Team Server", 
	'serverUriDescrption': "Il s'agit du serveur à ajouter en tant qu'ami et pour lequel établir une communication de serveur à serveur  (par exemple 'https://otherJazzServer:9443/jazz/rootservices').",
	'secretLabel': "Valeur confidentielle OAuth", 
	'secretDescrption': "Entrez une expression à associer à la nouvelle clé de consommateur OAuth à partir du serveur ami.",
	'secretLabel2': "Confirmation de la valeur confidentielle", 
	'secretDescrption2': "Entrez à nouveau votre expression afin d'éviter les erreurs de frappe.",
	'secretMismatch': "Les valeurs confidentielles ne concordent pas",
	'trustedLabel': "Digne de confiance", 
	'trustedDescription': "Les consommateurs accrédités pourront partager l'autorisation avec d'autres consommateurs accrédités et les utilisateurs ne devront pas obtenir une approbation pour pouvoir accéder aux données.  Il est recommandé de considérer les sites ou les produits Web externes comme n'étant pas accrédités.",

	'correctFields': "Corrigez les zones ci-dessous.",
	'completeFields': "Configurez la communication avec un autre serveur Jazz Team Server ou sélectionnez Suivant pour continuer.", 
	'someFieldsEmpty': "Vous devez remplir toutes les zones. Faites une nouvelle tentative.",
		
	'postFriendError': "CRJAZ1576E Une erreur s'est produite lors de la sauvegarde d'un ami sur ce serveur.",
	'testFriendError': "CRJAZ1665E Une erreur s'est produite lors de la tentative d'accès à l'URL Rootservices fournie. Vérifiez l'URL, puis faites une nouvelle tentative.",
	'fetchFriendsError': "CRJAZ1574E Une erreur s'est produite lors de la demande de la liste des amis sur ce serveur.",
	'fetchRootServicesError': "CRJAZ1575E Une erreur s'est produite lors de la demande du document des services racine au serveur \"${0}\". Vérifiez l'URL, puis faites une nouvelle tentative. ",
	'postNewApplicationError': "CRJAZ1664E Une erreur s'est produite lors de la tentative d'ajout de la nouvelle application au serveur.",
	'requestKeyError': "CRJAZ1578E Une erreur s'est produite lors de la demande d'une clé de consommateur OAuth au serveur \"${0}\".", 
	'deleteFriendError': "CRJAZ1573E Une erreur s'est produite lors de la suppression de l'entrée amie : ${0}",
	'friendsTableHeading': "Liste d'amis", 
	
	'friendsTableDescription_jts': "Utilisez \"Ajouter...\" pour ajouter un ami. Vous aurez besoin de ses informations d'emplacement (URI de services racine) et d'une expression de votre choix à utiliser comme valeur confidentielle d'authentification. Demandez ensuite l'accès à l'ami. Ce dernier va générer une clé de consommateur OAuth provisoire qui est stockée dans l'entrée d'ami. Les clés de consommateur provisoires doivent être autorisées par un administrateur de l'application amie. Une fois la clé de consommateur OAuth autorisée, ce serveur Jazz Team Server et ses applications enregistrées seront autorisés à envoyer des demandes sortantes à l'ami. Dans la mesure où la quasi-totalité de la collaboration entre les amis est bidirectionnelle, lorsque vous ajoutez manuellement l'ami A à un consommateur B, vous devez également ajouter l'ami B au consommateur A.",
	'friendsTableDescription_app': "Utilisez \"Ajouter...\" pour ajouter un ami. Vous aurez besoin de ses informations d'emplacement (URI de services racine) et d'une expression de votre choix à utiliser comme valeur confidentielle d'authentification. Demandez ensuite l'accès à l'ami. Ce dernier va générer une clé de consommateur OAuth provisoire qui est stockée dans l'entrée d'ami. Les clés de consommateur provisoires doivent être autorisées par un administrateur de l'application amie. Une fois la clé de consommateur OAuth autorisée, cette application sera autorisée à envoyer des demandes sortantes à l'ami. Dans la mesure où la quasi-totalité de la collaboration entre les amis est bidirectionnelle, lorsque vous ajoutez manuellement l'ami A à un consommateur B, vous devez également ajouter l'ami B au consommateur A.",
	'virtualFriendsTableDescription': "Amis Jazz Team Server (lecture seule)",
	
	'noFriends': "Il n'existe pas d'entrée dans la liste des amis du serveur.",
	
	'oAuthDomainLabel': "Domaine OAuth",
	'oAuthConsumerKeyLabel': "Clé de consommateur OAuth", 
	'removeFriendButton': "Retirer l'ami",
	'confirmDelete': "Voulez-vous vraiment supprimer cette entrée d'ami ?", 
	'confirmApplicationDelete': "AVERTISSEMENT : L'annulation de l'enregistrement entraîne la perte définitive des données stockées précédemment par l'application dans ce serveur Jazz Team Server (ressources de tableau de bord, par exemple). Cette action ne doit être effectuée que pour renouveler une configuration ayant échoué ou si vous souhaitez retirer de manière définitive une application existante. ",
	'confirmApplicationDeleteSecondCheck': "La confirmation de cette action entraîne l'annulation de l'enregistrement de l'application sélectionnée sur ce serveur Jazz Team Server. Voulez-vous vraiment retirer cette application et les données qui lui sont associées ? ",
	'requestingAccess': "Demande d'accès...",
	
	// edit friend wizard 
	'editFriend': "Modifier l'ami",
	'editFriendHeading': "Edition des propriétés de l'ami",
	'editFriendDialogTitle': "Edition des propriétés de l'ami",
	'confirmEditCancel': "Voulez-vous vraiment quitter cet éditeur ? Les modifications apportées seront perdues. Cliquez sur Annuler pour continuer votre travail ou sur OK pour quitter.",
	
	//edit application wizard
	'editApplicationHeading': "Edition des propriétés de l'application",
	'editApplicationDialogTitle': "Edition des propriétés de l'application",
	
	'internalLabel': "Interne", 
	'internalNo': "Public",
	
	//registered apps
	'pageTitle': "Applications enregistrées",
	'internalFriendsTableHeading': "Applications enregistrées", 
	'registeredAppsDescription': "Utilisez cette page pour afficher les applications enregistrées ou pour enregistrer de nouvelles applications. Les applications prenant en charge la configuration automatique doivent être enregistrées à l'aide de l'assistant de configuration de Jazz Team Server. Il s'agit de la liste des applications enregistrées auprès du serveur Jazz Team Server. Ces applications peuvent fournir des services et consommer les services fournis par ce Jazz Team Server et d'autres applications enregistrées. Le nom apparaît dans les interfaces utilisateur. Il doit être unique sur ce serveur Jazz Team Server et significatif au sein de votre organisation. L'URL de reconnaissance fait référence au service de reconnaissance de l'application.",
	'internalFriendsTableDescription': "Cliquez sur \"Ajouter...\" pour enregistrer une nouvelle application auprès de ce serveur Jazz Team Server. Vous serez invité à fournir le nom et l'URL de reconnaissance (le cas échéant), ainsi qu'une expression servant de \"valeur confidentielle\" de consommateur. Vous pouvez également sélectionner un ID utilisateur fonctionnel préautorisé à l'aide de l'application. Cela permet aux applications de créer des demandes dans le cadre des activités d'arrière-plan, telles que l'envoi de notifications par courrier électronique, sans l'intervention de l'utilisateur. Lors de l'enregistrement de plusieurs instances des applications du même type, le même ID utilisateur fonctionnel doit être utilisé pour toutes les instances. L'association d'un utilisateur fonctionnel préautorisé fournit aux administrateurs d'application JazzAdmins les droits d'accès sur ce serveur Jazz Team Server, et doit être autorisée uniquement pour les applications que vous considérez comme fiables.  Le serveur Jazz Team Server va automatiquement générer une clé de consommateur pour l'application, qui peut être copiée et collée dans la configuration de l'application (pour les applications nécessitant une configuration manuelle).",
	'manageLink': "Gérer cette application",
	'settings': "Paramètres",
	'installed': "Installée",
	'applicationID': "ID application",
	'appTypeLabel': "Type d'application",
	'consumerKeyLabel': "Clé du consommateur", 
	'consumerSecret': "Valeur confidentielle du consommateur",
	'preAuthorizedUser': "ID utilisateur fonctionnel", 
	'selectUserLinkLabel': "Sélectionner un utilisateur...",
	'browseUserLinkLabel': "Parcourir...",
	'clearUserLinkLabel': "Supprimer l'utilisateur...",
	'errorFunctionalAdminNotAllowed': "ADMIN ne peut pas être un utilisateur fonctionnel.  Sélectionnez un autre ID utilisateur fonctionnel.",
	'editApplication': "Modifier l'application",
	'removeApplication': "Retirer l'application",
	'addFriendLink': "Ajouter...",
	'addApplicationLink': "Ajouter...",
	'statusLabel': "Statut",
	'nameLabel': "Nom",
	'versionsLabel': "Version",
	'srcUriLabel': "URL de reconnaissance",
	'applicationNameLabel': "Nom de l'application",
	'addApplicationStepHeader': "Ajouter une application",
	'addFriendStepHeader': "Ajouter un ami",
	'actionsLabel': "Actions",
	'manageLabel': "Gérer",
	'unknown': "Inconnu",
	'loadingApplications': "Chargement des applications...",
	'noAppsYet': "A l'heure actuelle, aucune application n'est installée dans ce groupe d'applications. Cliquez sur ${0} pour installer une nouvelle application.",
	'noFriendsYet': "A l'heure actuelle, ce serveur ne possède aucun ami. Cliquez sur ${0} pour vous connecter à un nouvel ami.",
	'noVirtualFriendsYet': "A l'heure actuelle, ce serveur ne possède pas d'ami Jazz Team Server.",
	'storedProvisionKeyOK': "L'ami a été ajouté et une clé provisoire a été générée. Cliquez sur Suivant pour continuer.",
	'OIDCFriendCreated': "L'ami a été ajouté.  Cliquez sur Terminer.",
	'registrationComplete': "L'application a correctement été enregistrée. Remarque : certaines applications nécessitent une configuration supplémentaire avant qu'elles soient prêtes à l'emploi. Consultez la documentation pour vérifier si cette application nécessite une configuration supplémentaire.",
	'registrationCompleteWithSetup': "L'application a correctement été enregistrée. Cette application nécessite une configuration supplémentaire avant qu'elle soit prête à l'emploi. Accédez à l'${0}assistant de configuration d'application${1} pour terminer l'enregistrement.",
	'savingUpdates': "Sauvegarde des mises à jour...",
	'errorUpdating': "CRJAZ2083E Une erreur est survenue lors de la mise à jour de l'application.",
	'registeringApplication': "Veuillez patienter pendant l'enregistrement de l'application. Cette opération peut prendre quelques minutes.",
	'errorFetchingAbout': "CRJAZ2082E Le service des informations sur l'application qui est répertorié dans le document de reconnaissance pour cette application n'est pas accessible.",
	'errorFetchingAbout.explanation': "L'application n'est pas installée correctement ou ne démarre pas correctement, ou des composants réseau, tels qu'un pare-feu, bloquent une connexion.",
	'errorFetchingAbout.useraction': "Vérifiez que l'application est installée correctement. Pour d'autres messages pouvant vous aider à diagnostiquer la cause exacte du problème, voir les fichiers journaux.",
	// Last UA revision: 20 Nov. 2014
	'loadingAbout': "Veuillez patienter pendant l'extraction des informations complémentaires sur cette application...",
	
	// Help hover text
	'help_consumerSecret': "\"Valeur confidentielle\" ou mot de passe utilisé par l'application pour établir le droit de propriété de la clé de consommateur qui sera générée pour cette application.",
	'help_functionalId': "L'association d'un ID utilisateur fonctionnel permet aux applications de créer des demandes dans le cadre des activités d'arrière-plan, telles que l'envoi de notifications par courrier électronique, sans l'intervention de l'utilisateur. Vous pouvez entrer un ID utilisateur nouveau ou existant ou \"parcourir\" les utilisateurs existants."

})

