/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2010, 2015. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:  
 * Use, duplication or disclosure restricted by GSA ADP Schedule 
 * Contract with IBM Corp. 
 *******************************************************************************/
// NLS_CHARSET=UTF-8
({
	'stepTitle': "Registrazione applicazioni",
	'description': "Utilizzare questo passo per registrare le applicazioni installate con il Jazz Team Server. Per le installazioni in cui tutte le applicazioni risiedono sullo stesso host, è possibile accettare le impostazioni predefinite e continuare.",
	'descriptionOidc': "Utilizzare questo passo per registrare le applicazioni installate con Jazz Team Server e Jazz Authorization Server. Per le installazioni in cui tutte le applicazioni risiedono sullo stesso host, è possibile accettare le impostazioni predefinite e continuare.",
	'step1Label': "Passo 1:",
	'step1Title': "Configura server di autorizzazione",
	'step2Label': "Passo 2:",
	'step2Title': "Verifica e aggiornamento delle applicazioni rilevate",
	'step3Label': "Passo 3:",
	'step3Title': "Registrazione applicazioni",
	'scanComplete': "Scansione completata",
	
	'titleLabel': "Istanza applicazione",
	'typeLabel': "Tipo di applicazione",
	'srcUriLabel': "URL di rilevamento",
	'actionsLabel': "Azioni",
	'version': "Versione",
	'preAuthUserLabel' : "ID utente funzionale",
	'removeApplication': "Non registrare questa applicazione.",
	'confirmApplicationDelete': "Rimuovere questa applicazione?",
	'appsDetectedOK': "Applicazioni rilevate OK. Rivedere le applicazioni nell'elenco seguente.",
	'appsDetectedError': "CRJAZ1725E Si è verificato un errore durante la scansione di applicazioni installate nel server.",
	'appNameEmpty': "Il nome non può essere vuoto.",
	'appUrlEmpty': "L'URL di rilevamento non può essere vuoto.",
	'errorFunctionalAdminNotAllowed': "ADMIN non è un utente funzionale.",
	'appsRegisteredOkay': "Le applicazioni sono state registrate correttamente con questo Jazz Team Server. Fare clic su Avanti per continuare.",
	
	'appsRegisteredError': "CRJAZ1726E Non è stato possibile registrare le applicazioni con JTS (Jazz Team Server).",
	'appsRegisteredError.explanation': "I dettagli sull'errore di registrazione vengono forniti quando si verifica l'errore.",
	'appsRegisteredError.useraction': "Esaminare i dettagli dell'errore per determinare la causa del problema. In questa procedura guidata, verificare le impostazioni per la registrazione delle applicazioni e provare ad eseguire di nuovo il passo.",
	//Last revision:  01/25/2013
	
	'getAppsFailed': "CRJAZ1753E Impossibile recuperare l'elenco delle applicazioni registrate.",
	'getAppsFailed.explanation': "I dettagli sull'errore di recupero vengono forniti quando si verifica l'errore.",
	'getAppsFailed.useraction': "Esaminare i dettagli dell'errore per determinare la causa del problema. In questa procedura guidata, verificare le impostazioni per la registrazione delle applicazioni e provare ad eseguire di nuovo il passo.",
	//Last revision:  01/25/2013
	
	'ASVerificationFailed': "CRJAZ2826E Si sono verificati alcuni problemi irreversibili durante il tentativo di comunicare con il server di autorizzazione.",
	'ASVerificationFailed.explanation': "Il processo di verifica del server di autorizzazione non è riuscito in modo inaspettato.",
	'ASVerificationFailed.useraction': "Esaminare i file di log per questa applicazione o i file di log del server di autorizzazione per ulteriori informazioni sull'origine di questo errore.",

	'ASVerificationUnreachable': "CRJAZ2831E L'applicazione non è in grado di comunicare con il server mediante l'URL fornito.",
	'ASVerificationUnreachable.explanation': "Non è riuscito il tentativo di configurare una connessione di rete per l'URL fornito.",
	'ASVerificationUnreachable.useraction': "Verificare se l'URL del server di autorizzazione è corretto e raggiungibile.",

	'ASVerificationInvalidAsUrl': "CRJAZ2827E L'URL non è riconosciuto come un server di autorizzazione.",
	'ASVerificationInvalidAsUrl.explanation': "L'URL fornito può contenere errori sintattici o può puntare ad un server che attualmente non è sul server di autorizzazione.",
	'ASVerificationInvalidAsUrl.useraction': "Verificare se l'URL del server di autorizzazione fornito è corretto.",
	
	'ASVerificationInvalidCredentials': "CRJAZ2828E Le credenziali fornite per il server di autorizzazione non sono valide.",
	'ASVerificationInvalidCredentials.explanation': "Per contattare il server di autorizzazione, sono necessarie credenziali valide.",
	'ASVerificationInvalidCredentials.useraction': "Verificare le credenziali e ritentare.",
	
	'ASVerificationInvalidJsa': "CRJAZ2829E L'URL del server fornito sembra essere un server di autorizzazione OIDC (Open ID Connect), ma non conforme alla Jazz Security Architecture.",
	'ASVerificationInvalidJsa.explanation': "Il single sign-on per le applicazioni Jazz richiede che il server di autorizzazione sia conforme alla Jazz Security Architecture.",
	'ASVerificationInvalidJsa.useraction': "Accertarsi che l'URL server fornito punti ad un server di autorizzazione che sia conforme alla Jazz Security Architecture.",
	
	'ASVerificationNoAdmin': "CRJAZ2830E Le credenziali fornite per il server di autorizzazione non consentono la creazione di nuove registrazioni.",
	'ASVerificationNoAdmin.explanation': "Per creare le registrazioni sul server di autorizzazione, sono richieste credenziali con autorizzazioni sufficienti.",
	'ASVerificationNoAdmin.useraction': "Verificare le credenziali e ritentare.",
	
	'configuringAS': "Esecuzione del test di connessione al server di autorizzazione. Attendere...",
	'testASSettings': "Eseguire il test delle impostazioni per continuare.",
	
	'property': "Proprietà",
	'value': "Valore",
	
	'ASUrl': "URL server di autorizzazione",
	'ASAdminUserId': "ID utente amministratore",
	'ASAdminPassword': "Password amministratore",
	
	'ASUrlPlaceholder': "URL server",
	'ASAdminUserIdPlaceholder': "ID utente",
	'ASAdminPasswordPlaceholder': "Password",
	
	'ASUrlExample': "Esempio: https://localhost:9643/oidc/endpoint/jazzop",
	'ASUrlExampleDescription': "L'URL del server di autorizzazione è l'endpoint di livello superiore di un provider OIDC (OpenID Connect) che implementa il profilo Jazz Security Architecture. Una volta impostato può essere modificata solo rinominando il server.",
	
	'configureASButton': "Verifica connessione",
	'configureASInstructions': "Per registrare le applicazioni quando è abilitato Jazz Security Architecture Single Sign-On è necessario fornire i seguenti parametri di comunicazione.",
	
	'credentialsStepTitle': "Credenziali del server di autorizzazione ",
	'validUserIdPassword': "Le credenziali del server di autorizzazione Jazz fornite sono corrette. ",
	'verifyingCredentials': "Verifica delle credenziali sul server di autorizzazione. Attendere...",
	
	'validASConfiguration': "La configurazione fornita per il server di autorizzazione è stata registrata correttamente.",
	'noASUserIdPasswordProvided': "Per aggiungere una nuova applicazione, è necessario fornire un ID utente e password per registrare le applicazioni sul server di autorizzazione.",
	'noASUrlProvided': "Per continuare, è necessario fornire una configurazione del server di autorizzazione valida.",
	
	'pendingDetectingApplications': "Attendere il rilevamento e il contatto delle applicazioni, che potrebbe durare qualche minuto.",
	'pendingRegistration': "Attendere la registrazione delle applicazioni. Questa operazione può impiegare qualche minuto.",
	'regComplete': "Registrazione completata",
	'regFailed': "Registrazione non riuscita. Vedere il messaggio di errore nella parte superiore di questa pagina.",
	'noAppsDetected': "Nessuna nuova applicazione rilevata. Non sembrano esserci applicazioni non registrate in Jazz Team Server.",
	'newStepsAdded': "Ulteriori contributi del passo dalle applicazioni appena registrate sono stati aggiunti alla fine di questa procedura guidata. Fare clic su Avanti per continuare.",
	'errorBottom': "Si è verificato un errore. Vedere il messaggio di errore nella parte superiore di questa pagina.",
	
	'nameDesc': "Nome applicazione",
	'userDesc': "Crea nuovo utente o ",
	'urlDesc': "URL di rilevamento",
	'browse': "Sfoglia",
	'unknown': "Sconosciuto",
	
	'help_appInstance' : "Il nome dell'istanza dell'applicazione apparirà nell'interfaccia utente. Il nome deve essere univoco in questo Jazz Team Server e significativo nell'organizzazione.",
	'help_appType' : "Questo è il tipo di applicazione che è stato rilevato. Passare con il mouse sul tipo per visualizzarne la descrizione.",
	'help_discoveryURI' : "L'URL di rilevamento fa riferimento alla SCR (Service Contribution Resource) dell'applicazione.",
	'help_functionalId' : "L'associazione di un ID utente funzionale consente alle applicazioni di formulare richieste nelle attività in background, ad esempio l'invio di notifiche email, senza intervento dell'utente. Per applicazioni aggiunte manualmente è possibile immettere un nuovo ID utente o un ID utente esistente.",
	'loading': "Caricamento in corso...",
	'locatingSCR': "Attendere durante la verifica dell'URL di rilevamento per questa applicazione. Se l'applicazione è stata avviata per la prima volta, questa operazione potrebbe richiedere alcuni minuti.",
	'addApplication': "Aggiungi applicazione...",
	'removeApp': "Rimuovi applicazione",
	'skipRegistration': "Fare clic su \"Avanti\" per ignorare la registrazione delle applicazioni e continuare con la procedura guidata.",
	'detectInstructions': "In questa prima sezione, Jazz Team Server eseguirà la scansione della propria directory di installazione per rilevare altre applicazioni basate su Jazz eventualmente installate. Al termine, sarà possibile modificare le applicazioni rilevate e aggiungere manualmente nuove applicazioni. Per iniziare, fare clic sul pulsante \"Scansione applicazioni installate\". Se non si desidera registrare applicazioni in questo momento, è possibile selezionare la casella seguente per ignorare questo passo. Sarà comunque possibile registrare le applicazioni in un secondo momento.",

	'registerButton': "Registrazione applicazioni",
	'registerInstructions': "Una volta verificate le applicazioni ed i relativi URL nel passo precedente, è necessario registrare le applicazioni con questo Jazz Team Server. In quanto parte del processo di registrazione, il server tenterà di contattare ogni applicazione e inviare i dati di configurazione. Questa operazione può richiedere dei minuti per essere completata.",
	'registerOidcInstructions': "Una volta verificata la configurazione del server di autorizzazione e le applicazioni e i relativi URL nel passo precedente, si dovrebbero registrare le applicazioni con questo Jazz Team Server e il server di autorizzazione. In quanto parte del processo di registrazione, il server tenterà di contattare ogni applicazione e inviare i dati di configurazione. Questa operazione può richiedere dei minuti per essere completata.",
	'verifyInstructions' : "Le seguenti applicazioni sono state rilevate nel file system locale. Il nome dell'istanza dell'applicazione apparirà nell'interfaccia utente. È stata generata una proposta di nome dell'istanza in base alla root di contesto dell'applicazione. La proposta può essere modificata. Il nome deve essere univoco in questo Jazz Team Server e significativo nell'organizzazione. È stata ripristinata l'impostazione predefinita dell'URL di rilevamento in base all'URI pubblico di questo server e alla root di contesto dell'applicazione. Per ogni applicazione è stato calcolato un ID utente funzionale predefinito. L'associazione di un ID utente funzionale consente alle applicazioni di formulare richieste nelle attività in background, ad esempio l'invio di notifiche email, senza intervento dell'utente. È possibile aggiungere manualmente una nuova applicazione (ad esempio un'applicazione installata in un server remoto) o scegliere di non registrare un'applicazione facendo clic sull'icona \"X\".",
	'addAppExample' : "Per aggiungere una nuova applicazione, immettere il relativo URL di rilevamento, che generalmente è nel seguente formato, https://hostname.domain:port/contextRoot/scr; ad esempio, https://myserver.ibm.com:9443/qm/scr. ",
	'noteLPARequired' : "Nota: l'applicazione Gestione progetti ciclo di vita (ADMIN) è richiesta dal Jazz Team Server e dovrà essere registrata.",
	
	'errorFetchingDiscovery': "CRJAZ2081E Il server non è riuscito ad accedere all'URL di rilevamento per l'applicazione.",
	'errorFetchingDiscovery.explanation': "Il server non riesce ad accedere all'URL di rilevamento per l'applicazione se l'applicazione non è installata o impostata correttamente.",
	'errorFetchingDiscovery.useraction': "Verificare che sia possibile accedere all'URL di rilevamento per l'applicazione digitando l'URL in un browser e tentare di aprirlo. Se il problema persiste, chiedere a un amministratore di sistema di controllare lo stato dell'applicazione e della relativa installazione. Generalmente, l'amministratore di sistema è la persona che installa e gestisce le applicazioni sul server.",
	//Last revision:  01/25/2013

	'errorFetchingAbout': "CRJAZ2080E Si è verificato un errore durante il tentativo di accesso al servizio Informazioni sull'applicazione riportato nel documento di rilevamento per questa applicazione. Verificare che l'applicazione sia stata installata e configurata correttamente.",
	'virtualHostWarning': "Se è stato configurato un host virtuale per un'applicazione, il nome dell'host virtuale deve essere utilizzato nell'URL per l'applicazione."
})	

