/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2010, 2015. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:  
 * Use, duplication or disclosure restricted by GSA ADP Schedule 
 * Contract with IBM Corp. 
 *******************************************************************************/
// NLS_CHARSET=UTF-8
({
	'stepTitle': "Friend", 
	'description': "Utilizzare questa pagina per gestire friend di questo Jazz Team Server. Un friend è un'applicazione (come quelle riportate sulla pagina \"Applicazioni registrate\") o un altro Jazz Team Server a cui questo Jazz Team Server e le relative applicazioni registrate possono effettuare richieste in uscita, per poter utilizzare i servizi forniti dal friend stesso. Per la comunicazione tra friend sono utilizzati una chiave consumer e un segreto. Le applicazioni registrate con questo Jazz Team Server non devono essere configurate come friend.",
	'description_app': "Utilizzare questa pagina per gestire friend di questa applicazione. Un friend è un'applicazione o un Jazz Team Server a cui questa applicazione può effettuare richieste in uscita, in modo da poter utilizzare i servizi forniti dal friend stesso. Per la comunicazione tra friend sono utilizzati una chiave consumer e un segreto.",
	
	'step1Title': "Richiesta di comunicazione da server a server",
	'step1Description': ".  È possibile, quindi, chiedere una chiave consumer provvisoria e memorizzare queste informazioni nell'elenco friend del server.",

	'step2Title': "Autorizzazione della chiave provvisoria",
	'step2Description': "Una volta richiesta una chiave provvisoria, questa sezione visualizzerà la chiave archiviata.",
	
	'requestError': "CRJAZ1577E Si è verificato un errore nella connessione a ${0}. Verificare se l'URL è valido e se il server è in esecuzione.",
	
	'provisionalKey': "Chiave provvisoria:",
	'keyNeedsAuthorization': "La chiave provvisoria richiesta deve essere autorizzata da un amministratore nell'altro server.",
	'authorizationLink': "L'amministratore nel server \"${0}\" può",
	'grantAccessLink': "Concedere l'accesso per la chiave provvisoria.",
	'keyAuthorized': "La chiave provvisoria viene autorizzata e archiviata nell'elenco friend. Il server sarà quindi in grado di comunicare con ${0}.", 
	'createFriend': "Crea friend",
	'registerButtonText': "Richiedi accesso", 
	'propertyLabel': "Proprietà",
	'valueLabel': "Valore",
	'descriptionLabel': "Descrizione",
	
	'titleLabel': "Nome", 
	'titleDescrption': "Immettere un nome per identificare questa voce nell'elenco di friend",
	'rootServicesLabel': "URI servizi root", 
	'rootServicesDescription': "L'URI per servizi root nel server che si desidera aggiungere come friend.",
	'rootServicesFormat': "Formato:",
	'serverUriLabel': "URI Jazz Team Server", 
	'serverUriDescrption': "È il server da aggiungere come friend e con cui stabilire la comunicazione da server a server (ad es. 'https://otherJazzServer:9443/jazz/rootservices')",
	'secretLabel': "Parola segreta OAuth", 
	'secretDescrption': "Immettere una frase in codice da associare alla nuova chiave consumer OAuth dal server friend.",
	'secretLabel2': "Immettere nuovamente la parola segreta", 
	'secretDescrption2': "Immettere nuovamente la frase in codice per evitare errori di battitura.",
	'secretMismatch': "Le parole segrete non corrispondono",
	'trustedLabel': "Attendibile", 
	'trustedDescription': "I consumatori sicuri saranno in grado di condividere l'autorizzazione con altri consumatori sicuri ed agli utenti non verrà richiesta l'approvazione per accedere ai dati.  Si consiglia di considerare non sicuri i siti Web o i prodotti esterni.",

	'correctFields': "Correggere i campi riportati di seguito.",
	'completeFields': "Configurare la comunicazione a un altro Jazz Team Server o selezionare Avanti per continuare.", 
	'someFieldsEmpty': "È necessario riempire tutti i campi. Provare di nuovo.",
		
	'postFriendError': "CRJAZ1576E Si è verificato un errore durante il salvataggio di un friend in questo server.",
	'testFriendError': "CRJAZ1665E Si è verificato un errore durante il tentativo di accedere all'URL Rootservices fornito. Controllare l'URL ed eseguire un nuovo tentativo.",
	'fetchFriendsError': "CRJAZ1574E Si è verificato un errore durante la richiesta dell'elenco friend in questo server.",
	'fetchRootServicesError': "CRJAZ1575E Si è verificato un errore durante la richiesta del documento dei servizi root dal server \"${0}\". Verificare l'URL ed eseguire un nuovo tentativo.",
	'postNewApplicationError': "CRJAZ1664E Si è verificato un errore durante il tentativo di aggiungere la nuova applicazione al server.",
	'requestKeyError': "CRJAZ1578E Si è verificato un errore durante la richiesta di una chiave consumer OAuth dal server \"${0}\".", 
	'deleteFriendError': "CRJAZ1573E Si è verificato un errore durante l'eliminazione della voce friend: ${0}",
	'friendsTableHeading': "Elenco friend", 
	
	'friendsTableDescription_jts': "Utilizzare \"Aggiungi...\" per aggiungere un friend. Saranno necessarie le informazioni sulla posizione (URI di servizi root) e una code phrase da utilizzare come segreto di autenticazione. Quindi sarà necessario richiedere l'accesso al friend. Il friend genererà una chiave consumer OAuth provvisoria memorizzata nella voce del friend. Le chiavi consumer provvisorie devono essere autorizzate da un amministratore dell'applicazione friend. Una volta autorizzata la chiave consumer OAuth, questo Jazz Team Server e le relative applicazioni registrate potranno inviare richieste in uscita al friend. Poiché la maggior parte della collaborazione tra friend è bidirezionale, quando si aggiunge manualmente il friend A a un consumer B, sarà necessario anche aggiungere un friend B al consumer A.",
	'friendsTableDescription_app': "Utilizzare \"Aggiungi...\" per aggiungere un friend. Saranno necessarie le informazioni sulla posizione (URI di servizi root) e una code phrase da utilizzare come segreto di autenticazione. Quindi sarà necessario richiedere l'accesso al friend. Il friend genererà una chiave consumer OAuth provvisoria memorizzata nella voce del friend. Le chiavi consumer provvisorie devono essere autorizzate da un amministratore dell'applicazione friend. Una volta autorizzata la chiave consumer OAuth, questa applicazione potrà inviare richieste in uscita al friend. Poiché la maggior parte della collaborazione tra friend è bidirezionale, quando si aggiunge manualmente il friend A a un consumer B, sarà necessario anche aggiungere un friend B al consumer A.",
	'virtualFriendsTableDescription': "Friend Jazz Team Server (sola lettura)",
	
	'noFriends': "Non esistono voci nell'elenco friend del server.",
	
	'oAuthDomainLabel': "Dominio OAuth",
	'oAuthConsumerKeyLabel': "Chiave consumer OAuth", 
	'removeFriendButton': "Rimuovi friend",
	'confirmDelete': "Eliminare questa voce friend?", 
	'confirmApplicationDelete': "AVVERTENZA: l'annullamento della registrazione di un'applicazione causerà la perdita permanente dei dati precedentemente memorizzati dall'applicazione in questo Jazz Team Server (ad esempio, risorse dashboard). Questa operazione deve essere eseguita solo per ritentare una configurazione non riuscita o se si desidera rimuovere in modo permanente un'applicazione esistente.",
	'confirmApplicationDeleteSecondCheck': "La conferma di questa azione annullerà la registrazione dell'applicazione selezionata da questo Jazz Team Server. Si è sicuri di voler rimuovere questa applicazione e i relativi dati associati?",
	'requestingAccess': "Richiesta di accesso in corso...",
	
	// edit friend wizard 
	'editFriend': "Modifica friend",
	'editFriendHeading': "Modifica proprietà friend",
	'editFriendDialogTitle': "Modifica proprietà friend",
	'confirmEditCancel': "Uscire da questo editor? Le eventuali modifiche andranno perse. Fare clic su Annulla per continuare a lavorare o su OK per uscire.",
	
	//edit application wizard
	'editApplicationHeading': "Modifica proprietà applicazione",
	'editApplicationDialogTitle': "Modifica proprietà applicazione",
	
	'internalLabel': "Interno", 
	'internalNo': "Pubblico",
	
	//registered apps
	'pageTitle': "Applicazioni registrate",
	'internalFriendsTableHeading': "Applicazioni registrate", 
	'registeredAppsDescription': "Utilizzare questa pagina per visualizzare le applicazioni registrate o per registrare nuove applicazioni. Le applicazioni che supportano la configurazione automatica devono essere registrate con la procedura guidata di impostazione del Jazz Team Server, Questo è l'elenco di applicazioni registrate con il Jazz Team Server. Tali applicazioni possono fornire servizi e utilizzare i servizi forniti dal Jazz Team Server e da altre applicazioni registrate. Il nome delle applicazioni apparirà nelle interfacce utente. Esso deve essere univoco sul Jazz Team Server e deve avere un significato all'interno della propria organizzazione. L'URL di rilevamento fa riferimento al servizio di rilevamento dell'applicazione.",
	'internalFriendsTableDescription': "Selezionare \"Aggiungi...\" per registrare una nuova applicazione con questo Jazz Team Server. Sarà richiesto di fornire il nome e l'URL di rilevamento (se applicabile) e una code phrase utilizzata come \"segreto\" del consumer. È inoltre possibile selezionare un ID utente pre-autorizzato con l'applicazione. Ciò consente alle applicazioni di effettuare richieste all'interno delle attività in background, come ad esempio, l'invio di notifiche email, senza alcun intervento da parte dell'utente. Quando si registrano più istanze delle applicazioni dello stesso tipo, dovrà essere utilizzato lo stesso ID utente funzionale per tutte le istanze. L'associazione di un utente funzionale pre-autorizzato fornirà all'applicazione le autorizzazioni JazzAdmins su questo Jazz Team Server e deve essere consentita solo per le applicazioni sicure. Il Jazz Team Server genererà automaticamente una chiave consumer per l'applicazione, che potrà essere copiata e incollata nella configurazione dell'applicazione (per le applicazioni che richiedono la configurazione manuale).",
	'manageLink': "Gestisci questa applicazione",
	'settings': "Impostazioni",
	'installed': "Installato",
	'applicationID': "ID applicazione",
	'appTypeLabel': "Tipo di applicazione",
	'consumerKeyLabel': "Chiave consumer", 
	'consumerSecret': "Parola segreta consumer",
	'preAuthorizedUser': "ID utente funzionale", 
	'selectUserLinkLabel': "Seleziona utente...",
	'browseUserLinkLabel': "Sfoglia...",
	'clearUserLinkLabel': "Cancella utente...",
	'errorFunctionalAdminNotAllowed': "ADMIN non è un utente funzionale. Scegliere un altro ID utente funzionale.",
	'editApplication': "Modifica applicazione",
	'removeApplication': "Rimuovi applicazione",
	'addFriendLink': "Aggiungi...",
	'addApplicationLink': "Aggiungi...",
	'statusLabel': "Stato",
	'nameLabel': "Nome",
	'versionsLabel': "Versione",
	'srcUriLabel': "URL di rilevamento",
	'applicationNameLabel': "Nome applicazione",
	'addApplicationStepHeader': "Aggiungi applicazione",
	'addFriendStepHeader': "Aggiungi friend",
	'actionsLabel': "Azioni",
	'manageLabel': "Gestisci",
	'unknown': "Sconosciuto",
	'loadingApplications': "Caricamento in corso delle applicazioni...",
	'noAppsYet': "Attualmente non sono installate applicazioni in questo gruppo di applicazioni. Fare clic su ${0} per installare una nuova applicazione.",
	'noFriendsYet': "Al momento, questo server non ha alcun friend. Fare clic su ${0} per collegarsi a un nuovo friend.",
	'noVirtualFriendsYet': "Attualmente, questo server non dispone di friend Jazz Team Server.",
	'storedProvisionKeyOK': "Il friend è stato aggiunto ed è stata generata una chiave provvisoria. Fare clic su Avanti per continuare.",
	'OIDCFriendCreated': "Il friend è stato aggiunto.  Fare clic su Fine.",
	'registrationComplete': "L'applicazione è stata registrata correttamente. Nota: alcune applicazioni richiedono un'ulteriore configurazione prima di poter essere utilizzate. Consultare la documentazione per controllare se questa applicazione richiede un'ulteriore configurazione.",
	'registrationCompleteWithSetup': "L'applicazione è stata registrata correttamente. Questa applicazione richiede un'ulteriore configurazione prima di poter essere utilizzata. Passare alla ${0}procedura guidata di impostazione applicazione${1} per terminare la registrazione.",
	'savingUpdates': "Salvataggio aggiornamenti in corso...",
	'errorUpdating': "CRJAZ2083E Si è verificato un errore durante l'aggiornamento dell'applicazione.",
	'registeringApplication': "Attendere la registrazione della nuova applicazione. Questa operazione può impiegare qualche minuto.",
	'errorFetchingAbout': "CRJAZ2082E Impossibile accedere al servizio Informazioni sull'applicazione elencato nel documento di rilevamento per questa applicazione.",
	'errorFetchingAbout.explanation': "L'applicazione è installata in modo non corretto, non viene avviata correttamente oppure alcuni componenti di rete, come ad esempio un firewall, potrebbero bloccare una connessione.",
	'errorFetchingAbout.useraction': "Verificare che l'applicazione sia installata correttamente. Per ulteriori messaggi che potrebbero consentire di individuare la causa esatta del problema, consultare i file di log.",
	// Last UA revision: 20 Nov. 2014
	'loadingAbout': "Attendere il recupero delle informazioni aggiuntive su questa applicazione...",
	
	// Help hover text
	'help_consumerSecret': "Un \"segreto\" o una password utilizzati dall'applicazione per stabilire la proprietà della chiave consumer che verrà generata per questa applicazione.",
	'help_functionalId': "L'associazione di un ID utente funzionale consente alle applicazioni di formulare richieste nelle attività in background, ad esempio l'invio di notifiche email, senza intervento dell'utente. È possibile immettere un nuovo ID utente o un ID utente esistente o scegliere \"Sfoglia\" per trovare utenti esistenti."

})

