/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2010, 2015. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:  
 * Use, duplication or disclosure restricted by GSA ADP Schedule 
 * Contract with IBM Corp. 
 *******************************************************************************/
// NLS_CHARSET=UTF-8
({
	'stepTitle': "Amigos", 
	'description': "Use esta página para gerenciar amigos deste Jazz Team Server. Um amigo é um aplicativo (como aqueles listados na página \"Aplicativos registrados\") ou outro Jazz Team Server para o qual esse Jazz Team Server e seus aplicativos registrados têm permissão para fazer solicitações de saída, a fim de consumir os serviços fornecidos pelo amigo.  Uma chave e um segredo do consumidor são usados para comunicações seguras entre os amigos. Os aplicativos registrados com este Jazz Team Server não precisam ser configurados como amigos.",
	'description_app': "Use esta página para gerenciar amigos deste aplicativo. Um amigo é um aplicativo ou um Jazz Team Server para o qual este aplicativo tem permissão para fazer solicitações de saída, para consumir os serviços fornecidos pelo amigo.  Uma chave e um segredo do consumidor são usados para comunicações seguras entre os amigos.",
	
	'step1Title': "Solicitar Comunicação Servidor-para-Servidor",
	'step1Description': ".  Em seguida, você pode solicitar uma chave de consumidor provisória a partir desse servidor e armazenar essa informação na lista de amigos em seu servidor.",

	'step2Title': "Autorizar Chave Provisória",
	'step2Description': "Após solicitar uma chave provisória, esta seção exibirá a chave armazenada.",
	
	'requestError': "CRJAZ1577E Houve um erro de conexão com ${0}. Verifique se o URL é válido e se o servidor está em execução.",
	
	'provisionalKey': "Chave Provisória: ",
	'keyNeedsAuthorization': "A chave provisória solicitada precisa ser autorizada por um administrador no outro servidor.",
	'authorizationLink': "Se você for um administrador no servidor \"${0}\", poderá ",
	'grantAccessLink': "Conceder acesso para a chave provisória.",
	'keyAuthorized': "A chave provisória é autorizada e armazenada na lista de amigos. Agora o servidor conseguirá comunicação com o ${0}.", 
	'createFriend': "Criar Amigo",
	'registerButtonText': "Solicitar Acesso", 
	'propertyLabel': "Propriedade",
	'valueLabel': "Valor",
	'descriptionLabel': "Descrição",
	
	'titleLabel': "Nome", 
	'titleDescrption': "Insira um nome para identificar esta entrada na lista de amigos",
	'rootServicesLabel': "URI de Serviços Raiz", 
	'rootServicesDescription': "O URI para serviços raiz no servidor que você deseja incluir como um amigo.",
	'rootServicesFormat': "Formato:",
	'serverUriLabel': "URI do Jazz Team Server", 
	'serverUriDescrption': "Este é o servidor que você deseja incluir como um amigo e estabelecer a comunicação servidor-para-servidor.  (Por exemplo, 'https://otherJazzServer:9443/jazz/rootservices')",
	'secretLabel': "OAuth Secreto", 
	'secretDescrption': "Insira uma senha para ser associada à nova chave de consumidor OAuth a partir do servidor amigo.",
	'secretLabel2': "Redigitar Segredo", 
	'secretDescrption2': "Redigite seu segredo para ajudar a evitar erros de digitação.",
	'secretMismatch': "Segredos Não Correspondem",
	'trustedLabel': "Confiável", 
	'trustedDescription': "Os consumidores confiáveis poderão compartilhar a autorização com outros consumidores confiáveis e os usuários não serão solicitados por aprovação para acessar os dados.  Recomendamos que Web sites ou produtos externos sejam considerados como não confiáveis.",

	'correctFields': "Corrija os campos a seguir.",
	'completeFields': "Configure a comunicação com outro Jazz Team Server ou selecione Avançar para continuar.", 
	'someFieldsEmpty': "Você deve preencher todos os campos. Tente novamente.",
		
	'postFriendError': "CRJAZ1576E Ocorreu um erro ao salvar um amigo neste servidor.",
	'testFriendError': "CRJAZ1665E Ocorreu um erro ao tentar acessar o URL do Rootservices que for fornecido. Verifique o URL e tente novamente.",
	'fetchFriendsError': "CRJAZ1574E Ocorreu um erro ao solicitar a lista de amigos neste servidor.",
	'fetchRootServicesError': "CRJAZ1575E Ocorreu um erro ao solicitar o documento de serviços raiz do servidor \"${0}\". Verifique o URL e tente novamente. ",
	'postNewApplicationError': "CRJAZ1664E Ocorreu um erro ao tentar incluir o novo aplicativo no servidor.",
	'requestKeyError': "CRJAZ1578E Ocorreu um erro ao solicitar uma chave do consumidor OAuth do servidor \"${0}\".", 
	'deleteFriendError': "CRJAZ1573E Ocorreu um erro ao excluir a entrada do amigo: ${0}",
	'friendsTableHeading': "Lista de Amigos", 
	
	'friendsTableDescription_jts': "Use \"Incluir...\" para incluir um amigo. Serão necessárias suas informações de local (URI de serviços raiz) e uma frase de código que você deseja usar como o segredo de autenticação. Em seguida, solicite o acesso ao amigo. O amigo gerará uma chave do consumidor OAuth provisória que é armazenada na entrada confiável. As chaves do consumidor provisórias precisam ser autorizadas por um administrador do aplicativo confiável. Depois que a chave do consumidor OAuth estiver autorizada, esse Jazz Team Server e seus aplicativos registrados terão permissão para enviar solicitações de saída para o amigo. Como praticamente toda a colaboração entre amigos é bidirecional, quando você inclui manualmente um amigo A em um consumidor B, também é necessário incluir um amigo B em um consumidor A.",
	'friendsTableDescription_app': "Use \"Incluir...\" para incluir um amigo. Serão necessárias suas informações de local (URI de serviços raiz) e uma frase de código que você deseja usar como o segredo de autenticação. Em seguida, solicite o acesso ao amigo. O amigo gerará uma chave do consumidor OAuth provisória que é armazenada na entrada confiável. As chaves do consumidor provisórias precisam ser autorizadas por um administrador do aplicativo confiável. Depois que a chave do consumidor OAuth estiver autorizado, esse aplicativo terá permissão para enviar solicitações de saída para o amigo. Como praticamente toda a colaboração entre amigos é bidirecional, quando você inclui manualmente um amigo A em um consumidor B, também é necessário incluir um amigo B em um consumidor A.",
	'virtualFriendsTableDescription': "Amigos do Jazz Team Server (somente leitura)",
	
	'noFriends': "Não há nenhuma entrada na lista de amigos do servidor.",
	
	'oAuthDomainLabel': "Domínio OAuth",
	'oAuthConsumerKeyLabel': "Chave do Consumidor OAuth", 
	'removeFriendButton': "Remover Amigo",
	'confirmDelete': "Tem certeza de que deseja excluir esta entrada de amigo?", 
	'confirmApplicationDelete': "AVISO: O cancelamento de registro de um aplicativo fará com que os dados armazenados anteriormente pelo aplicativo neste Jazz Team Server (recursos do Painel, por exemplo) sejam permanentemente perdidos. Isso deve ser feito somente para tentar novamente uma configuração com falha, ou se você desejar remover permanentemente um aplicativo existente.",
	'confirmApplicationDeleteSecondCheck': "A confirmação desta ação cancelará o registro do aplicativo selecionado desse Jazz Team Server. Tem certeza de que deseja remover esse aplicativo e seus dados associados?",
	'requestingAccess': "Solicitando Acesso...",
	
	// edit friend wizard 
	'editFriend': "Editar Amigo",
	'editFriendHeading': "Editar Propriedades do Amigo",
	'editFriendDialogTitle': "Editar Propriedades do Amigo",
	'confirmEditCancel': "Tem certeza que deseja sair deste editor? As mudanças feitas serão perdidas. Clique em Cancelar para continuar trabalhando ou em OK para sair.",
	
	//edit application wizard
	'editApplicationHeading': "Editar Propriedades do Aplicativo",
	'editApplicationDialogTitle': "Editar Propriedades do Aplicativo",
	
	'internalLabel': "Interno", 
	'internalNo': "Público",
	
	//registered apps
	'pageTitle': "Aplicativos Registrados",
	'internalFriendsTableHeading': "Aplicativos Registrados", 
	'registeredAppsDescription': "Use esta página para visualizar aplicativos registrados ou para registrar novos aplicativos. Os aplicativos que suportam a configuração automática devem ser registrados usando o assistente de configuração do Jazz Team Server. Esta é a lista de aplicativos registrados com o Jazz Team Server. Esses aplicativos podem fornecer serviços e podem consumir serviços fornecidos por esse Jazz Team Server e outros aplicativos registrados. O Nome aparecerá em interfaces com o usuário. Ele deve ser exclusivo neste Jazz Team Server e significativo em sua organização. A URL de Descoberta refere-se ao serviço de descoberta do aplicativo.",
	'internalFriendsTableDescription': "Selecione \"Incluir...\" para registrar um novo aplicativo com esse Jazz Team Server. Você será solicitado a fornecer o Nome e a URL de descoberta (se aplicável), bem como uma frase de código usada como um \"segredo\" do consumidor. Você também pode selecionar um ID de usuário funcional pré-autorizado com o aplicativo. Isso permite que aplicativos façam solicitações em atividades de segundo plano, como o envio de notificações por email, sem a intervenção do usuário. Ao registrar várias instâncias de aplicativos do mesmo tipo, o mesmo ID do usuário funcional deve ser usado para todas as instâncias. A associação de um usuário funcional pré-autorizado fornecerá ao aplicativo as permissões JazzAdmins neste Jazz Team Server e devem ser permitidas somente para aplicativos confiáveis.  O Jazz Team Server gerará automaticamente uma chave do consumidor para o aplicativo, que podem ser copiada e colada na configuração do aplicativo (para aplicativos que requerem configuração manual).",
	'manageLink': "Gerenciar este Aplicativo",
	'settings': "Configurações",
	'installed': "Instalado",
	'applicationID': "ID do Aplicativo",
	'appTypeLabel': "Tipo de Aplicativo",
	'consumerKeyLabel': "Chave do Consumidor", 
	'consumerSecret': "Segredo do Consumidor",
	'preAuthorizedUser': "ID do Usuário Funcional", 
	'selectUserLinkLabel': "Selecionar Usuário...",
	'browseUserLinkLabel': "Procurar...",
	'clearUserLinkLabel': "Limpar Usuário...",
	'errorFunctionalAdminNotAllowed': "ADMIN não pode ser um usuário funcional.  Escolha um ID de usuário funcional diferente.",
	'editApplication': "Editar Aplicativo",
	'removeApplication': "Remover Aplicativo",
	'addFriendLink': "Incluir...",
	'addApplicationLink': "Incluir...",
	'statusLabel': "Status",
	'nameLabel': "Nome",
	'versionsLabel': "Versão",
	'srcUriLabel': "URL do Discovery",
	'applicationNameLabel': "Nome do Aplicativo",
	'addApplicationStepHeader': "Incluir Aplicativo",
	'addFriendStepHeader': "Incluir Amigo",
	'actionsLabel': "Ações",
	'manageLabel': "Gerenciar",
	'unknown': "Desconhecido(a)",
	'loadingApplications': "Carregando Aplicativos...",
	'noAppsYet': "Atualmente, não há nenhum aplicativo instalado neste grupo de aplicativos. Clique em ${0} para instalar um novo aplicativo.",
	'noFriendsYet': "Atualmente, este servidor não possui nenhum amigo. Clique em ${0} para conectar-se a um novo amigo.",
	'noVirtualFriendsYet': "Atualmente, este servidor não tem nenhum amigo do Jazz Team Server.",
	'storedProvisionKeyOK': "O Amigo foi incluído e uma chave provisória foi gerada. Clique em Avançar para continuar.",
	'OIDCFriendCreated': "O Amigo foi incluído.  Clique em Concluir.",
	'registrationComplete': "O aplicativo foi registrado com sucesso. Nota: Alguns aplicativos requerem uma configuração adicional antes de estarem prontos para uso. Consulte a documentação para saber se este aplicativo requer configuração adicional.",
	'registrationCompleteWithSetup': "O aplicativo foi registrado com sucesso. Este aplicativo requer configuração adicional antes de estar pronto para uso. Continue em ${0}Assistente de Configuração do Aplicativo${1} para concluir o registro.",
	'savingUpdates': "Salvando atualizações...",
	'errorUpdating': "CRJAZ2083E Ocorreu um erro ao atualizar o aplicativo.",
	'registeringApplication': "Aguarde enquanto o novo aplicativo está sendo registrado. Isso pode demorar alguns minutos.",
	'errorFetchingAbout': "CRJAZ2082E O serviço Sobre do Aplicativo que é listado no documento de Descoberta para este aplicativo não pode ser acessado.",
	'errorFetchingAbout.explanation': "O aplicativo está instalado inadequadamente, ele não está iniciando corretamente ou os componentes de rede, como um firewall, podem estar bloqueando uma conexão.",
	'errorFetchingAbout.useraction': "Certifique-se de que o aplicativo esteja instalado adequadamente. Para obter mais mensagens que podem ajudar a diagnosticar a causa exata do problema, veja os arquivos de log.",
	// Last UA revision: 20 Nov. 2014
	'loadingAbout': "Aguarde enquanto recuperamos informações adicionais sobre este aplicativo...",
	
	// Help hover text
	'help_consumerSecret': "Um \"segredo\" ou senha utilizado pelo Aplicativo para estabelecer a propriedade da Chave do Consumidor que será gerada para este Aplicativo.",
	'help_functionalId': "A associação de um ID de usuário funcional permite que aplicativos façam solicitações em atividades de segundo plano, como o envio de notificações por email, sem a intervenção do usuário. Você pode inserir um ID de usuário novo ou existente ou \"Procurar\" os usuários existentes."

})

