/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2010, 2015. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:  
 * Use, duplication or disclosure restricted by GSA ADP Schedule 
 * Contract with IBM Corp. 
 *******************************************************************************/
// NLS_CHARSET=UTF-8
({
	'stepTitle': "友元", 
	'description': "使用此页面可以管理此 Jazz Team Server 的友元。友元是一个应用程序（例如“已注册的应用程序”页面上列出的应用程序），或者是另一个 Jazz Team Server（此 Jazz Team Server 及其已注册的应用程序能够向该 Jazz Team Server 发出出站请求，以使用该友元所提供的服务）。使用者密钥和私钥用于对友元之间的通信进行保护。向此 Jazz Team Server 注册的应用程序无需配置为友元。",
	'description_app': "使用此页面可以管理此应用程序的友元。友元是一个应用程序或 Jazz Team Server，此应用程序可以向该应用程序或 Jazz Team Server 发出出站请求以使用友元提供的服务。使用者密钥和私钥用于对友元之间的通信进行保护。",
	
	'step1Title': "请求进行服务器间通信",
	'step1Description': ".  然后，可请求从该服务器获取临时使用者密钥并将此信息存储在服务器的友元列表中。",

	'step2Title': "授权临时密钥",
	'step2Description': "在请求获取临时密钥之后，此部分将显示已存储的密钥。",
	
	'requestError': "CRJAZ1577E 连接到 ${0} 时发生错误。请验证 URL 是否有效以及服务器是否处于运行状态。",
	
	'provisionalKey': "临时密钥：",
	'keyNeedsAuthorization': "您请求获取的临时密钥必须得到另一服务器上管理员的授权。",
	'authorizationLink': "如果您是“${0}”服务器上的管理员，那么可以",
	'grantAccessLink': "授予临时密钥访问权。",
	'keyAuthorized': "临时密钥已得到授权并存储在友元列表中。此服务器现在将能够与 ${0} 进行通信。", 
	'createFriend': "创建友元",
	'registerButtonText': "请求访问", 
	'propertyLabel': "属性",
	'valueLabel': "值",
	'descriptionLabel': "描述",
	
	'titleLabel': "名称", 
	'titleDescrption': "请输入名称以便在友元列表中标识此条目",
	'rootServicesLabel': "根服务 URI", 
	'rootServicesDescription': "要添加为友元的服务器上的根服务 URI。",
	'rootServicesFormat': "格式：",
	'serverUriLabel': "Jazz Team Server URI", 
	'serverUriDescrption': "这是要添加为友元并与其建立服务器间通信的服务器。（例如“https://otherJazzServer:9443/jazz/rootservices”）",
	'secretLabel': "OAuth 私钥", 
	'secretDescrption': "输入要与来自友元的新 OAuth 使用者密钥相关联的暗号。",
	'secretLabel2': "重新输入私钥", 
	'secretDescrption2': "请重新输入暗号以帮助避免输入错误。",
	'secretMismatch': "私钥不匹配",
	'trustedLabel': "可信", 
	'trustedDescription': "可信的使用者将可以与其他可信的使用者一起共享权限，而将不会提示用户批准访问数据。建议将外部 Web 站点或产品视为不可信。",

	'correctFields': "请更正下列字段。",
	'completeFields': "请配置与另一个 Jazz Team Server 的通信，或者选择“下一步”继续。", 
	'someFieldsEmpty': "必须填写所有字段。请重试。",
		
	'postFriendError': "CRJAZ1576E 将友元保存至此服务器时发生错误。",
	'testFriendError': "CRJAZ1665E 尝试访问所提供的 Rootservices URL 时发生错误。请检查该 URL 并重试。",
	'fetchFriendsError': "CRJAZ1574E 请求获取此服务器上的友元列表时发生错误。",
	'fetchRootServicesError': "CRJAZ1575E 请求从服务器“${0}”获取根服务文档时发生错误。请检查该 URL 并重试。",
	'postNewApplicationError': "CRJAZ1664E 尝试将新应用程序添加到服务器时发生错误。",
	'requestKeyError': "CRJAZ1578E 请求从服务器“${0}”获取 OAuth 使用者密钥时发生错误。", 
	'deleteFriendError': "CRJAZ1573E 删除友元条目时发生错误：${0}",
	'friendsTableHeading': "友元列表", 
	
	'friendsTableDescription_jts': "使用“添加...”可以添加友元。您将需要其位置信息（根服务 URI）以及要用作认证私钥的暗语。然后，请求访问该友元。该友元将生成临时 OAuth 使用者密钥，该密钥存储在友元条目中。临时使用者密钥必须由友元应用程序的管理员进行授权。OAuth 使用者密钥获得授权后，此 Jazz Team Server 及其已注册的应用程序便能够向该友元发送出站请求。由于友元之间的几乎所有协作都是双向协作，因此您将友元 A 手动添加到使用者 B 时，还需要将友元 B 添加到使用者 A。",
	'friendsTableDescription_app': "使用“添加...”可以添加友元。您将需要其位置信息（根服务 URI）以及要用作认证私钥的暗语。然后，请求访问该友元。该友元将生成临时 OAuth 使用者密钥，该密钥存储在友元条目中。临时使用者密钥必须由友元应用程序的管理员进行授权。OAuth 使用者密钥获得授权后，此应用程序便能够向该友元发送出站请求。由于友元之间的几乎所有协作都是双向协作，因此您将友元 A 手动添加到使用者 B 时，还需要将友元 B 添加到使用者 A。",
	'virtualFriendsTableDescription': "Jazz Team Server 友元（只读）",
	
	'noFriends': "服务器友元列表未包含任何条目。",
	
	'oAuthDomainLabel': "OAuth 域",
	'oAuthConsumerKeyLabel': "OAuth 使用者密钥", 
	'removeFriendButton': "移除友元",
	'confirmDelete': "确定要删除此友元条目吗？", 
	'confirmApplicationDelete': "警告：注销应用程序将会导致先前由此 Jazz Team Server 中的该应用程序存储的数据（例如仪表板资源）永久丢失。仅当要重试失败的设置，或者要永久移除现有应用程序时，才应该进行注销。",
	'confirmApplicationDeleteSecondCheck': "确认此操作将会从此 Jazz Team Server 中注销所选应用程序。确定要移除此应用程序及其关联数据吗？",
	'requestingAccess': "正在请求进行访问...",
	
	// edit friend wizard 
	'editFriend': "编辑友元",
	'editFriendHeading': "编辑友元属性",
	'editFriendDialogTitle': "编辑友元属性",
	'confirmEditCancel': "您是否确定要退出此编辑器？所作的任何变更都将丢失。请单击“取消”以继续工作，单击“确定”以退出。",
	
	//edit application wizard
	'editApplicationHeading': "编辑应用程序属性",
	'editApplicationDialogTitle': "编辑应用程序属性",
	
	'internalLabel': "内部", 
	'internalNo': "公共",
	
	//registered apps
	'pageTitle': "已注册的应用程序",
	'internalFriendsTableHeading': "已注册的应用程序", 
	'registeredAppsDescription': "使用此页面可以查看已注册的应用程序或者注册新应用程序。支持自动配置的应用程序应该通过 Jazz Team Server 设置向导进行注册。这是向 Jazz Team Server 注册的应用程序的列表。这些应用程序可以提供服务，并可以使用由此 Jazz Team Server 以及其他已注册的应用程序提供的服务。名称将显示在用户界面中。此名称在此 Jazz Team Server 上应该唯一并且对于贵公司而言有意义。发现 URL 是指应用程序的发现服务。",
	'internalFriendsTableDescription': "选择“添加...”可以向此 Jazz Team Server 注册新应用程序。系统将要求您提供名称和发现 URL（如果适用）以及用作使用者“私钥”的暗语。并且，您还可以随应用程序一起选择预先进行了授权的功能用户标识。这将允许应用程序从后台活动中发出请求（例如发送电子邮件通知），而不需要用户干预。注册同一类型的应用程序的多个实例时，应该将同一个功能用户标识用于所有这些实例。通过关联预先进行了授权的功能用户，会将对此 Jazz Team Server 的 JazzAdmins 许可权授予应用程序，您只应该对信任的应用程序这样做。Jazz Team Server 将为该应用程序自动生成使用者密钥，该密钥可以复制并粘贴到应用程序的配置中（对于要求进行手动配置的应用程序）。",
	'manageLink': "管理此应用程序",
	'settings': "设置",
	'installed': "已安装",
	'applicationID': "应用程序标识",
	'appTypeLabel': "应用程序类型",
	'consumerKeyLabel': "使用者密钥", 
	'consumerSecret': "使用者私钥",
	'preAuthorizedUser': "功能用户标识", 
	'selectUserLinkLabel': "选择用户...",
	'browseUserLinkLabel': "浏览...",
	'clearUserLinkLabel': "清除用户...",
	'errorFunctionalAdminNotAllowed': "不允许将 ADMIN 用作功能用户。请选择另一功能用户标识。",
	'editApplication': "编辑应用程序",
	'removeApplication': "移除应用程序",
	'addFriendLink': "添加...",
	'addApplicationLink': "添加...",
	'statusLabel': "状态",
	'nameLabel': "名称",
	'versionsLabel': "版本",
	'srcUriLabel': "发现 URL",
	'applicationNameLabel': "应用程序名称",
	'addApplicationStepHeader': "添加应用程序",
	'addFriendStepHeader': "添加友元",
	'actionsLabel': "操作",
	'manageLabel': "管理",
	'unknown': "未知",
	'loadingApplications': "正在装入应用程序...",
	'noAppsYet': "目前，在此应用程序组中没有已安装的应用程序。请单击${0}以安装新应用程序。",
	'noFriendsYet': "目前，此服务器没有任何友元。请单击${0}以连接到新友元。",
	'noVirtualFriendsYet': "目前，此服务器没有任何 Jazz Team Server 友元。",
	'storedProvisionKeyOK': "已添加友元并生成临时密钥。请单击“下一步”继续。",
	'OIDCFriendCreated': "已添加友元。请单击“完成”。",
	'registrationComplete': "已成功地注册此应用程序。注意：某些应用程序要求进行其他配置才可供使用。请参阅文档，以了解此应用程序是否要求进行其他配置。",
	'registrationCompleteWithSetup': "已成功地注册此应用程序。此应用程序要求进行其他设置才可供使用。请转到${0}应用程序设置向导${1}以完成注册。",
	'savingUpdates': "正在保存更新...",
	'errorUpdating': "CRJAZ2083E 更新应用程序时发生错误。",
	'registeringApplication': "正在注册新应用程序，请稍候。这可能需要几分钟时间。",
	'errorFetchingAbout': "CRJAZ2082E 无法访问此应用程序的“发现”文档中列出的“应用程序关于”服务。",
	'errorFetchingAbout.explanation': "此应用程序未进行正确安装或者未正确启动，或者网络组件（例如防火墙）阻止了连接。",
	'errorFetchingAbout.useraction': "请确保正确安装此应用程序。要获取更多可以帮助您诊断此问题的准确原因的消息，请参阅日志文件。",
	// Last UA revision: 20 Nov. 2014
	'loadingAbout': "正在检索有关此应用程序的更多信息，请稍候...",
	
	// Help hover text
	'help_consumerSecret': "这是一个“私钥”或密码，应用程序将使用此“私钥”或密码来确定将为此应用程序生成的使用者密钥的所有权。",
	'help_functionalId': "关联有效用户标识将允许应用程序从后台活动中发出请求（例如，发送电子邮件通知），而不需要用户干预。可输入新的用户标识或现有用户标识，或者“浏览”现有用户。"

})

