#!/bin/sh
# *******************************************************************************
#  Materiales bajo licencia - Propiedad de IBM
#  (c) Copyright IBM Corporation 2015. Reservados todos los derechos.
#
#  Nota sobre los derechos restringidos de los usuarios del Gobierno de EE.UU:
#  Utilización, duplicación o divulgación restringidas por el GSA ADP Schedule
#  Contract con IBM Corp.
#  *******************************************************************************
# NLS_MESSAGEFORMAT_NONE
# NLS_ENCODING=UTF-8


# #############################################################
# #
# # Defina las variables de entorno que corresponden a los
# # parámetros del script ldx_upgrade.sh y sus valores predeterminados
# #
# #===========================================================
# #
# # Este archivo se lee al principio de la ejecución del script
# # ldx_upgrade.sh. Define una variable de entorno por
# # cada parámetro válido con un valor predeterminado.
# #
# # Los usuarios pueden querer modificar el valor predeterminado para poder
# # iniciar el script ldx_upgrade.sh con sus propios valores sin tener
# # que entrar el parámetro y su valor correspondiente
# # manualmente en la línea de mandatos.
# #
# # AVISO:
# # No es necesario definir todas las variables para cada
# # aplicación.  Lea cada comentario detenidamente antes de modificar
# # el valor.
# #
# #############################################################

# Parámetro: -oldApplicationHome
# Uso: -oldApplicationHome <vía acceso dir>
# Descripción:
# 	Vía de acceso completa al directorio de inicio de la aplicación en la instalación anterior.
#  Valor predeterminado:
# 	<ninguno>
# Restricciones:
#  - es un parámetro obligatorio
#  - <vía acceso dir> debe ser un directorio existente que termine en 'server/conf'
#    e.g. /QIBM/UserData/JazzTeamServer301/server/conf
#
OLD_APPLICATION_HOME=

# Parámetro: -newApplicationHome
# Uso: -newApplicationHome <vía acceso dir>
# Descripción:
# 	Vía de acceso al directorio de inicio de la aplicación de la nueva instalación.
# Valor predeterminado:
# 	conf
# Restricciones:
#  - Solo se acepta para la actualización de RTC, QM, LDX y RM
#  - Cuando se acepta, esto es un parámetro obligatorio
#  - <dir path> debe ser un directorio existente acabado en 'server/conf'
#    por ej. /Jazz/IBM/RRC_4.0/JazzTeamServer/server/conf
#
NEW_APPLICATION_HOME="$START_DIR/conf"
