#!/bin/sh
# *******************************************************************************
#  Licensed Materials - Property of IBM
#  (c) Copyright IBM Corporation 2015. All Rights Reserved. #
#  Note to U.S. Government Users Restricted Rights:
#  Use, duplication or disclosure restricted by GSA ADP Schedule
#  Contract with IBM Corp.
#  *******************************************************************************
# NLS_MESSAGEFORMAT_NONE
# NLS_ENCODING=UTF-8


# #############################################################
# #
# # ldx_upgrade.sh スクリプト・パラメーターとそのデフォルト値に
# # 対応する環境変数の定義
# #
# #===========================================================
# #
# # このファイルは ldx_upgrade.sh スクリプトの実行の開始時に
# # 読み取られます。このファイルで、有効なパラメーターごと
# # に、1 つの環境変数と定義済みのデフォルト値が設定されます。
# #
# # ユーザーは、デフォルト値を変更して ldx_upgrade.sh スク
# # リプトを独自の値で起動することもできます。そうすれば、
# # コマンド行でパラメーターとそれに対応する値を手動で入力
# # する必要はありません。
# #
# # 警告:
# # すべてのアプリケーションにすべての変数を設定する必要は
# # ありません。値を変更する前に、それぞれのコメントを注意
# # 深くお読みください。
# #
# #############################################################

# パラメーター: -oldApplicationHome
# 使用法: -oldApplicationHome <ディレクトリー・パス>
# 説明:
# 	旧インストール済み環境でのアプリケーション・ホーム・ディレクトリーの絶対パス。
# デフォルト:
# 	<なし>
# 制約:
#  - これは必須パラメーターです
#  - <ディレクトリー・パス> は「server/conf」で終わる既存のディレクトリーでなければなりません
#    例: /QIBM/UserData/JazzTeamServer301/server/conf
#
OLD_APPLICATION_HOME=

# パラメーター: -newApplicationHome
# 使用法: -newApplicationHome <ディレクトリー・パス>
# 説明:
# 	新規インストール済み環境でのアプリケーション・ホーム・ディレクトリーへのパス。
# デフォルト:
# 	conf
# 制約:
#  - RTC、QM、LDX、および RM のアップグレードの場合のみ受諾されます
#  - 受諾された場合、これは必須パラメーターとなります
#  - <ディレクトリー・パス> は「server/conf」で終わる既存のディレクトリーでなければなりません
#    例: /Jazz/IBM/RRC_4.0/JazzTeamServer/server/conf
#
NEW_APPLICATION_HOME="$START_DIR/conf"
