#!/bin/sh
# *******************************************************************************
#  Licensed Materials - Property of IBM
#  (c) Copyright IBM Corporation 2015. Todos os direitos reservados.
#
#  Nota para usuários do governo dos EUA. Direitos restritos:
#  Uso, duplicação ou divulgação restritos pelo GSA ADP Schedule
#  Contract com a IBM Corp.
#  *******************************************************************************
# NLS_MESSAGEFORMAT_NONE
# NLS_ENCODING=UTF-8


# #############################################################
# #
# # Definir as variáveis de ambiente correspondentes aos parâmetros de script
# # ldx_upgrade.sh e seus valores padrão
# #
# #===========================================================
# #
# # Esse arquivo é lido no início da execução do script ldx_upgrade.sh.
Ele configura uma variável de ambiente
# # por parâmetro válido com um valor padrão predefinido.
# #
# # Os usuários talvez queiram modificar o valor padrão para ativar
# # o script ldx_upgrade.sh com seus próprios valores, sem precisar
# # inserir o parâmetro e seu valor correspondente
# # manualmente na linha de comandos.
# #
# # AVISO:
# # Nem todas as variáveis precisam ser configuradas para todo
# # aplicativo.  Leia cada comentário cuidadosamente antes de modificar
# # o valor.
# #
# #############################################################

# Parâmetro: -oldApplicationHome
# Uso: -oldApplicationHome <dir path>
# Descrição:
# 	Caminho completo para o diretório inicial do aplicativo na instalação antiga.
# Padrão:
# 	<none>
# Restrições:
#  - este é um parâmetro obrigatório
#  - <dir path> deve ser um diretório existente terminado com 'server/conf'
#    por exemplo, /QIBM/UserData/JazzTeamServer301/server/conf
#
OLD_APPLICATION_HOME=

# Parâmetro: -newApplicationHome
# Uso: -newApplicationHome <dir path>
# Descrição:
# 	Caminho para o diretório inicial do aplicativo na nova instalação.
# Padrão:
# 	conf
# Restrições:
#  - Aceito apenas para upgrade do RTC, QM, LDX e RM
#  - Quando aceito, esse é um parâmetro obrigatório
#  - <dir path> deve ser um diretório existente terminado em 'server/conf'
#    por exemplo, /Jazz/IBM/RRC_4.0/JazzTeamServer/server/conf
#
NEW_APPLICATION_HOME="$START_DIR/conf"
