#!/bin/sh
# *******************************************************************************
#  Licensed Materials - Property of IBM
#  (c) Copyright IBM Corporation 2015. All Rights Reserved.
#
#  Note to U.S. Government Users Restricted Rights:
#  Use, duplication or disclosure restricted by GSA ADP Schedule
#  Contract with IBM Corp.
#  *******************************************************************************
# NLS_MESSAGEFORMAT_NONE
# NLS_ENCODING=UTF-8


# #############################################################
# #
# # 定义与 ldx_upgrade.sh 脚本参数相对应的环境变量及其缺省值
# #
# #===========================================================
# #
# # 在开始执行 ldx_upgrade.sh 脚本时，将读取本文件。
# # 将为每个有效参数设置一个环境变量，并提供预定义的缺省值。
# #
# #
# # 用户可能希望修改缺省值，以便使用他们自己的值来
# # 启动 ldx_upgrade.sh 脚本，
# # 而不必在命令行中手动输入参数及其相应值。
# #
# # 警告：
# # 并不需要为每个应用程序都设置所有变量。
# # 在修改值之前，请仔细阅读每条注释。
# #
# #
# #############################################################

# 参数：-oldApplicationHome
# 用法：-oldApplicationHome <目录路径>
# 描述：
# 	旧安装中的应用程序主目录的完整路径。
# 缺省值：
# 	<无>
# 约束：
#  - 这是一个必需参数
#  - <目录路径> 必须是以“server/conf”结尾的现有目录
#    例如，/QIBM/UserData/JazzTeamServer301/server/conf
#
OLD_APPLICATION_HOME=

# 参数：-newApplicationHome
# 用法：-newApplicationHome <目录路径>
# 描述：
# 	新安装中的应用程序主目录的路径。
# 缺省值：
# 	conf
# 约束：
#  - 只有对 RTC、QM、LDX 和 RM 进行升级才接受此参数
#  - 接受此参数时，这是必需参数
#  - <目录路径> 必须为以“server/conf”结尾的现有目录
#    #  例如，/Jazz/IBM/RRC_4.0/JazzTeamServer/server/conf
#
NEW_APPLICATION_HOME="$START_DIR/conf"
