#!/bin/sh
# *******************************************************************************
#  Licensed Materials - Property of IBM
#  (c) Copyright IBM Corporation 2015. All Rights Reserved. #
#  Note to U.S. Government Users Restricted Rights:
#  Use, duplication or disclosure restricted by GSA ADP Schedule
#  Contract with IBM Corp.
#  *******************************************************************************
# NLS_MESSAGEFORMAT_NONE
# NLS_ENCODING=UTF-8


# #############################################################
# #
# # 定義對應至 ldx_upgrade.sh Script
# # 參數的環境變數及其預設值
# #
# #===========================================================
# #
# # 開始執行 ldx_upgrade.sh Script 時，會
# # 讀取這個檔案。它會利用預先定義的預設值，
# # 針對每個有效的參數來設定一個環境變數。
# #
# # 使用者可能會想修改預設值，以他們本身
# # 的值來啟動 ldx_upgrade.sh Script，而
# # 不必在指令行中手動輸入參數及其對應的
# # 值。                                    
# #
# # 警告：
# # 對每一個應用程式來說，並非所有的變數
# # 都需要設定。修改值之前，請仔細閱讀每
# # 一則註解。
# #
# #############################################################

# 參數：-oldApplicationHome
# 用法：-oldApplicationHome <目錄路徑>
# 說明：
# 	舊安裝架構中應用程式起始目錄的完整路徑。

# 預設值：
# 	<無>
# 限制：
#  - 這是必要參數
#  - <目錄路徑> 必須是現有目錄，且結尾是 'server/conf'
#    例如 /QIBM/UserData/JazzTeamServer301/server/conf
#
OLD_APPLICATION_HOME=

# 參數：-newApplicationHome
# 用法：-newApplicationHome <目錄路徑>
# 說明：
# 	新安裝架構中應用程式起始目錄的路徑。
# 預設值：
# 	conf
# 限制：
#  - 必須是 RTC、QM、LDX 和 RM 升級作業，才會接受此參數
#  - 當接受時，這是必要參數
#  - <目錄路徑> 必須是現有目錄，且結尾是 'server/conf'
#  例如 /Jazz/IBM/RRC_4.0/JazzTeamServer/server/conf
#
NEW_APPLICATION_HOME="$START_DIR/conf"
