@echo off
rem *******************************************************************************
rem  Materiales bajo licencia - Propiedad de IBM
rem  (c) Copyright IBM Corporation 2011, 2015. Reservados todos los derechos.
rem
rem  Note to U.S. Government Users Restricted Rights:
rem  Use, duplication or disclosure restricted by GSA ADP Schedule
rem  Contract with IBM Corp.
rem  *******************************************************************************

rem ################################################################################
rem
rem Archivo de los mensajes que muestran los scripts automticos de actualizacin.
rem
rem ################################################################################

setlocal
set TAB=     
if "%1" == "" goto :LBLEND
if "%1" == "HELP" goto :LBLHELP
goto LBLMSG_%1


REM ************************************
REM * Mensajes de verificacin inicial *
REM ************************************

:LBLMSG_NO_ADMIN_PRIVILEGES
echo.
echo La actualizacin se debe ejecutar con permisos de administrador.
echo.
goto LBLEND

:LBLMSG_INVALID_LAUNCH
set TAB=    
echo.
echo No ejecute el script app_upgrade directamente.  Para actualizar JTS o la aplicacin, ejecute uno de los siguientes mandatos:
echo %TAB%ccm_upgrade
echo %TAB%gc_upgrade
echo %TAB%jts_upgrade
echo %TAB%qm_upgrade
echo %TAB%rm_upgrade
echo Utilice -help para obtener una descripcin completa de los mandatos anteriores.
echo.
goto LBLEND

:LBLMSG_INVALID_START_DIR
set TAB=    
echo.
echo Salvo cuando se utiliza el parmetro -help, el script %2 se debe ejecutar desde %3
echo.
goto LBLEND

:LBLMSG_SHOW_PARAM_FILE_NAME
echo.
echo El archivo "%2" contiene los valores de parmetro del script de actualizacin.
echo Si necesita modificar alguno de los valores de parmetro predeterminados, puede editar estos archivos o puede especificar los valores de parmetro como argumentos de lnea de mandatos en los scripts de actualizacin.
echo.
goto LBLEND

:LBLMSG_SHOW_PARAM_FILE_NAMES_LIST
echo.
echo El siguiente conjunto de archivos contiene valores de parmetro predeterminados para un aplicacin o actualizacin de JTS.  Si necesita modificar alguno de los valores de parmetro predeterminados, puede editar estos archivos o puede especificar los valores de parmetro como argumentos de lnea de mandatos en los scripts de actualizacin.
echo %TAB%- CCM upgrade: "%2params\ccm_params%3.bat"
echo %TAB%- GC upgrade:  "%2params\gc_params%3.bat"
echo %TAB%- QM upgrade:  "%2params\qm_params%3.bat"
echo %TAB%- RM upgrade:  "%2params\rm_params%3.bat"
echo %TAB%- JTS upgrade: "%2params\jts_params%3.bat"
echo.
goto LBLEND


REM ************************************
REM * Mensajes de verificacin de parmetros *
REM ************************************

REM Verificacin intrnseca
rem ======================

:LBLMSG_MISSING_APP_TYPE
echo.
echo No se ha especificado JTS ni ningn tipo de aplicacin.  Para actualizar JTS o la aplicacin, ejecute uno de los siguientes mandatos:
echo     ccm_upgrade
echo     gc_upgrade
echo     jts_upgrade
echo     qm_upgrade
echo     rm_upgrade
echo Utilice -help para obtener una descripcin completa de los mandatos siguientes.
echo.
goto LBLEND

:LBLMSG_INVALID_APP_TYPE
echo.
echo %2 no es un JTS o un tipo de aplicacin vlido.  Para actualizar JTS o la aplicacin, ejecute uno de los siguientes mandatos:
echo     ccm_upgrade
echo     gc_upgrade
echo     jts_upgrade
echo     qm_upgrade
echo     rm_upgrade
echo Utilice -help para obtener una descripcin completa de los mandatos siguientes.
echo.
goto LBLEND

:LBLMSG_MISSING_PARAM_VALUE
echo.
echo Falta un valor para el parmetro %2.
echo Utilice -help para obtener una descripcin completa de los parmetros.
echo.
goto LBLEND

:LBLMSG_INVALID_PARAM_DIR
echo.
echo El directorio %3 especificado para el parmetro %2 no existe o no es vlido.
echo Utilice -help para obtener una descripcin completa de los parmetros.
echo.
goto LBLEND

:LBLMSG_RELATIVE_PARAM_DIR
echo.
echo El directorio %3 especificado para el parmetro %2 debe ser una va de acceso absoluta.
echo Utilice -help para obtener una descripcin completa de los parmetros.
echo.
goto LBLEND

:LBLMSG_INVALID_PARAM_FILE
echo.
echo El archivo %3 especificado para el parmetro %2 no existe o no es vlido.
echo Utilice -help para obtener una descripcin completa de los parmetros.
echo.
goto LBLEND

:LBLMSG_INVALID_PARAM_VALUE
echo.
echo %3 es un valor no vlido para el parmetro %2.
echo Utilice -help para obtener una descripcin completa de los parmetros.
echo.
goto LBLEND

:LBLMSG_INVALID_PARAM
echo.
echo %2 es un parmetro desconocido.
echo Utilice -help para obtener una descripcin completa de los parmetros.
echo.
goto LBLEND


REM Verificacin extrnseca
rem ======================

:LBLMSG_MISSING_HOME_PARAM
echo.
echo Falta el parmetro del directorio de inicio %2.
echo Utilice -help para obtener una descripcin completa de los parmetros.
echo.
goto LBLEND

:LBLMSG_DIR_NOT_FOUND
echo.
echo El directorio %2 no existe o no es vlido.
echo.
goto LBLEND

:LBLMSG_CMD_NOT_FOUND_2X_APP
echo.
echo No se puede encontrar el mandato repotools de aplicacin '%2'.
echo.
echo Compruebe que el parmetro -oldApplicationHome '%3' seala al directorio de configuracin del servidor antiguo; por ejemplo, 'JazzInstallRoot\server\conf'.
echo.
goto LBLEND

:LBLMSG_CMD_NOT_FOUND_OLD_APP
echo.
echo No se puede encontrar el mandato repotools de aplicacin '%2'.
echo.
echo Verifique que el parmetro -oldApplicationHome '%3' seale al directorio de configuracin de servidor anterior, por ejemplo, 'JazzInstallRoot\server\conf' y que el parmetro -jtsContextRoot '%4' sea correcto.
echo.
goto LBLEND

:LBLMSG_TSP_NOT_FOUND_2X_APP
echo.
echo No se puede encontrar el archivo de configuracin '%2'.
echo.
echo Compruebe que el parmetro -oldApplicationHome '%3' seala al directorio de configuracin del servidor antiguo; por ejemplo, 'JazzInstallRoot\server\conf'.
echo.
goto LBLEND

:LBLMSG_TSP_NOT_FOUND_OLD_APP
echo.
echo No se puede encontrar el archivo de configuracin '%2'.
echo.
echo Verifique que el parmetro -oldApplicationHome '%3' seale al directorio de configuracin de servidor, por ejemplo, 'JazzInstallRoot\server\conf' y que el parmetro -applicationContextRoot '%4' sea correcto.
echo.
goto LBLEND

:LBLMSG_CMD_NOT_FOUND_NEW_APP
echo.
echo No se puede encontrar el mandato repotools de aplicacin '%2'.  
echo.
echo Verifique que el parmetro -newApplicationHome '%3' seale al nuevo directorio de configuracin del servidor de aplicaciones, por ejemplo, 'JazzInstallRoot\server\conf' y que el parmetro -applicationContextRoot '%4' sea correcto.
echo Si va a realizar una actualizacin desde un release anterior, asegrese de que ha seleccionado las races de contexto correctas.  Por ejemplo, si utiliza Gestor de instalacin, debe seleccionar la opcin de raz de contexto %5 en el panel "Opciones de raz de contexto".  Si ha seleccionado por accidente una opcin diferente, debe volver a instalar el producto con la opcin de raz de contexto %5.
echo.
goto LBLEND

:LBLMSG_TSP_NOT_FOUND_NEW_APP
echo.
echo No se puede encontrar el archivo de configuracin '%2'.
echo.
echo Verifique que el parmetro -newApplicationHome '%3' seale al nuevo directorio de configuracin de servidor JTS, por ejemplo, 'JazzInstallRoot\server\conf' y que el parmetro -applicationContextRoot sea correcto.
echo Si va a realizar una actualizacin desde un release anterior, asegrese de que ha seleccionado las races de contexto correctas.  Por ejemplo, si utiliza Gestor de instalacin, debe seleccionar la opcin de raz de contexto %5 en el panel "Opciones de raz de contexto".  Si ha seleccionado por accidente una opcin diferente, debe volver a instalar el producto con la opcin de raz de contexto %5.
echo.
goto LBLEND

:LBLMSG_CMD_NOT_FOUND_OLD_JTS
echo.
echo No se puede encontrar el mandato repotools de JTS '%2'.
echo.
echo Verifique que el parmetro -oldJTSHome '%3' seale al antiguo directorio de configuracin de servidor JTS, por ejemplo, 'JazzInstallRoot\server\conf' y que el parmetro -jtsContextRoot '%4' sea correcto.
echo.
goto LBLEND

:LBLMSG_TSP_NOT_FOUND_OLD_JTS
echo.
echo No se puede encontrar el archivo de configuracin '%2'.
echo.
echo Verifique que el parmetro -oldJTSHome '%3' seale al antiguo directorio de configuracin de servidor JTS, por ejemplo, 'JazzInstallRoot\server\conf' y que el parmetro -jtsContextRoot '%4' sea correcto.
echo.
goto LBLEND

:LBLMSG_CMD_NOT_FOUND_NEW_JTS
echo.
echo No se puede encontrar el mandato repotools de JTS '%2'.
echo.
echo Verifique que el parmetro -newJTSHome '%3' seale al nuevo directorio de configuracin del servidor JTS, por ejemplo, 'JazzInstallRoot\server\conf' y que el parmetro -jtsContextRoot '%4' sea correcto.
echo.
goto LBLEND

:LBLMSG_TSP_NOT_FOUND_NEW_JTS
echo.
echo No se puede encontrar el archivo de configuracin '%2'.
echo.
echo Verifique que el parmetro -newJTSHome '%3' seale al nuevo directorio de configuracin del servidor JTS, por ejemplo, 'JazzInstallRoot\server\conf' y que el parmetro -jtsContextRoot '%4' sea correcto.
echo.
goto LBLEND

:LBLMSG_MISSING_IMPORT_FROM_FILE
echo.
echo Se necesita un archivo tar que contenga los datos de la versin 2.x para actualizar %2.
echo Utilice -help para obtener una descripcin completa de los parmetros.
echo.
goto LBLEND


REM **********************
REM * Mensajes de ejecucin *
REM **********************

:LBLMSG_BANNER_jts
echo.
echo.
echo =============================================
echo ===    Actualizacin de JTS    ===
echo =============================================
echo.
goto LBLEND

:LBLMSG_BANNER_ccm
echo.
echo.
echo =============================================
echo ===    Actualizacin de CCM    ===
echo =============================================
echo.
goto LBLEND

:LBLMSG_BANNER_gc
echo.
echo.
echo =============================================
echo ===    Actualizacin de GC                ===
echo =============================================
echo.
goto LBLEND

:LBLMSG_BANNER_qm
echo.
echo.
echo ============================================
echo ===    Actualizacin de QM    ===
echo ============================================
echo.
goto LBLEND

:LBLMSG_BANNER_rm
echo.
echo.
echo ============================================
echo ===    Actualizacin de RM    ===
echo ============================================
echo.
goto LBLEND

:LBLMSG_RM_CHECK_OLD_VERSION )
echo Comprobando la versin de aplicacin anterior de RM...
goto LBLEND

:LBLMSG_RM_DISPLAY_OLD_VERSION )
echo La versin de aplicacin anterior de RM es '%~2'
goto LBLEND

REM ************************
REM * Conmutar primer paso *
REM ************************

:LBLMSG_INITIAL_STEP_FAILED
echo.
echo La ltima ejecucin fall en el paso inicial...
goto LBLEND

:LBLMSG_LAST_STEP_FAILED
echo.
echo La ltima ejecucin fall en el paso %2...
echo Desea reiniciar la actualizacin desde este paso o desde otro anterior? 
goto LBLEND

:LBLMSG_LAST_STEP_FAILED_RESUME
echo.
echo La ltima ejecucin ha fallado en el paso %2...
echo Reiniciando la actualizacin desde este paso...
goto LBLEND

:LBLMSG_ALREADY_RUN
echo.
echo La actualizacin se ha realizado y ha finalizado satisfactoriamente...
echo Desea iniciar una nueva a partir de un determinado paso? 
goto LBLEND

:LBLMSG_LAST_STEP_PASSED
echo.
echo La ltima ejecucin se detuvo satisfactoriamente en el paso %2...
echo Desea reiniciar la actualizacin desde el paso %3 actual o desde otro anterior? 
goto LBLEND

:LBLMSG_LAST_STEP_PASSED_RESUME
echo.
echo La ltima ejecucin se ha detenido correctamente en el paso %2...
echo Reiniciando la actualizacin desde el paso actual %3...
goto LBLEND

:LBLMSG_ENTER_NEXT_STEP
echo.
echo Especifique el nmero de paso [%2-%3] desde el que desee reiniciar la actualizacin o pulse la tecla [Intro] para cancelar:
goto LBLEND

:LBLMSG_INTEGER_STEP_NUMBER
echo.
echo '%2' no es un nmero. Especifique un nmero de paso vlido.
goto LBLEND

:LBLMSG_INVALID_STEP_NUMBER
echo.
echo '%2' no es un nmero de paso vlido. Especifique un nmero de paso vlido.
goto LBLEND

:LBLMSG_MAX_STEP_NUMBER
echo.
echo El ltimo paso es el paso %2; por tanto, no puede reiniciar la actualizacin en el paso %3.
goto LBLEND

:LBLMSG_NUM_MAX_STEP_NUMBER
echo.
echo El paso %2 an no se ha ejecutado; por tanto, no puede reiniciar la actualizacin en el paso %3.
goto LBLEND


REM **********************
REM * Mensajes de pasos  *
REM **********************

:LBLMSG_STEP_0
echo Paso 0: Actualizar archivos de configuracin
echo ---------------------------
goto LBLEND

:LBLMSG_STEP_1_ADD
echo Paso 1: Aadir tablas
echo ------------------
goto LBLEND

:LBLMSG_STEP_2_UPGRADE_DATA_WAREHOUSE
echo Paso 2: Actualizar esquema de depsito de datos
echo -----------------------------------------------
goto LBLEND

:LBLMSG_STEP_2_REBUILD_QUERY_AND_INDEXES
echo Paso %2: Volver a crear consulta e ndices de bsqueda
echo ------------------------------------------------------
goto LBLEND

:LBLMSG_STEP_3_UPGRADE_DATA_WAREHOUSE
echo Paso 3: Actualizar esquema de depsito de datos
echo ------------------------------------------------
goto LBLEND

:LBLMSG_RM_APPLICATION_FINALIZE )
echo Paso %2: Finalizar aplicacin RM
echo -------------------------------
goto LBLEND

:LBLMSG_JTS_APPLICATION_FINALIZE )
echo Paso %2: Finalizar aplicacin JTS
echo -------------------------------
goto LBLEND

:LBLMSG_RM_REINDEX_ALL )
echo Paso %2: Reindexar aplicacin RM
echo --------------------------------
goto LBLEND

:LBLMSG_FULL_TEXT_INDICES_STEP
echo Paso %2: Volver a crear ndices de texto
echo ----------------------------------------
goto LBLEND

:LBLMSG_JFS_INDICES_STEP
echo Paso %2: Volver a crear ndices de consulta y bsqueda
echo ------------------------------------------------------
goto LBLEND

:LBLMSG_JTS_MERGE_LPA_JTS_STEP
echo Paso %2: Fusionar LPA con JTS
echo -----------------------------------------
goto LBLEND

:LBLMSG_JTS_FIX_LPA_FRONTSIDE_URLS_STEP
echo Step %2: Corrija el URL frontal de las reas de almacenamiento LPA
echo ------------------------------------------------------------------
goto LBLEND

:LBLMSG_RM_REMOVE_LPA_FRIEND_STEP
echo Paso %2: Eliminar amigo LPA de RM
echo -----------------------------------------
goto LBLEND

:LBLMSG_OVERALL_MIGRATION_FAILED
echo.
echo La actualizacin %2 ha fallado en el paso %3.  Corrija el problema y vuelva a ejecutar el script empezando por el paso %3.
echo.
goto LBLEND

:LBLMSG_OVERALL_MIGRATION_SUCCESS_JTS
echo.
echo La actualizacin %2 ha sido satisfactoria.  Ahora podr actualizar las aplicaciones en su entorno.
echo.
goto LBLEND

:LBLMSG_OVERALL_MIGRATION_SUCCESS_RM
echo.
echo La actualizacin %2 ha sido satisfactoria.  Ahora podr iniciar los servidores del despliegue.
echo.
goto LBLEND

:LBLMSG_OVERALL_MIGRATION_SUCCESS_RM_FROM_V4 )
echo.
echo a parte fuera de lnea de la actualizacin de RM ha sido satisfactoria. Queda un
echo paso necesario para finalizar la migracin, pero necesita que todos los servidores
echo que enlazan con RM (como RTC, RQM, JRS) estn en lnea. Cuando haga falta, abra
echo todos los servidores (incluido RM). Se recomienda iniciar sesin en cada servidor
echo y asegurarse de que funcionan correctamente. A continuacin, ejecute el mandato siguiente:
echo.
call %MSG_FILE_PATH% STEP_DIR_CMD %2 %3
setlocal EnableDelayedExpansion
set THREE=%3
set THREE=!THREE:~1,-1!
echo     !THREE!
setlocal DisableDelayedExpansion
echo.
goto LBLEND

:LBLMSG_OVERALL_MIGRATION_SUCCESS_CCM_QM
echo.
echo La actualizacin %2 ha sido satisfactoria.  Ahora podr iniciar los servidores del despliegue.
echo.
goto LBLEND

REM ****************************************
REM * Mensajes mientras se ejecuta un paso *
REM ****************************************

:LBLMSG_STEP_DIR_CMD
echo.
echo Directorio: %2
echo Mandato:
goto LBLEND

:LBLMSG_ENTER_STEP_ACTION
echo Especifique [E] para ejecutar este paso, [S] para omitirlo o pulse [Intro] para cancelar la ejecucin del script:
goto LBLEND

:LBLMSG_INVALID_STEP_ACTION
echo.
echo '%2'no es una entrada vlida; solo se permiten 'E', 'S' o 'Intro'
echo.
goto LBLEND

:LBLMSG_EDIT_TEAMSERVER_PROPERTIES
echo.
echo Se abrir un editor de rea de notas para permitirle verificar el archivo teamserver.properties de %2.
echo Verifique que la raz del URI pblico indicada por la propiedad com.ibm.team.repository.server.webapp.url es correcta.
echo Verifique que las propiedades de la base de datos son correctas.
echo Cuando haya finalizado, guarde los cambios, si hay alguno, y cierre el editor para continuar ejecutando el script.
echo.
echo Consultar el tema 'Actualizacin de la solucin Rational para CLM' del echo de documentacin de producto para obtener informacin sobre cmo configurar correctamente cada propiedad.
goto LBLEND

:LBLMSG_PAUSE
echo.
echo Escriba [C] para proseguir la ejecucin o pulse [Intro] para cancelar la ejecucin del script:
goto LBLEND

:LBLMSG_INVALID_PAUSE_ACTION
echo.
echo '%2' no es una entrada vlida; solo se permiten 'C' o 'Intro'
echo.
goto LBLEND

:LBLMSG_COPY_TXT_INDICES_INPROGRESS
echo.
echo Copiar ndices de texto de '%2' a '%3'.
echo Esta operacin puede tardar unos minutos...
echo.
goto LBLEND

:LBLMSG_COPY_JFS_INDICES_INPROGRESS
echo.
echo Copiar ndices de consulta y de bsqueda de '%2' a '%3'. 
echo Esta operacin puede tardar unos minutos...
echo.
goto LBLEND

:LBLMSG_COPY_INDICES_FAILED
echo.
echo No se han podido copiar los ndices de texto de '%2' a '%3'. 
echo Compruebe que la propiedad com.ibm.team.fulltext.indexLocation
echo se ha definido en el archivo teamserver.properties.
echo Copie manualmente los ndices de texto en este directorio o
echo ejecute repotools -rebuildTextIndices para volver a crearlos.
echo.
goto LBLEND

:LBLMSG_RM_APP_ID_NOEXIST )
echo.
echo El archivo "%NEW_APP_PARENT_DIR:"=%\RM_APP.ID" no existe
echo Cree este archivo con la nica lnea que contiene el ID de aplicacin de RM
echo e intntelo de nuevo.
echo.
goto LBLEND

REM ********************************************
REM * Mensajes de verificacin de URI pblicos *
REM ********************************************

:LBLMSG_MISSING_PUBLIC_URI
echo.
echo.
echo !!!!!!!!!!!!!!!!!!!!!!!!!!!!!! ERROR !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
echo.
echo No hay ningn URI pblico definido en
echo %3;
echo por lo tanto, no se puede iniciar la actualizacin.
echo.
echo Debe haber un URI pblico en este archivo definido del siguiente modo:
echo https\://hostname.example.com\:puerto/%2
echo.
echo !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
echo.
echo La propiedad del URI pblico com.ibm.team.repository.server.webapp.url debe estar presente en el archivo teamserver.properties.
echo Aada la propiedad al archivo teamserver.properties de la instalacin anterior y establezca el valor para que sea la raz de URI que utilicen todos los clientes para localizar el servidor.
echo La raz de URI pblico es bsica para el correcto funcionamiento de su instalacin nueva. La actualizacin no se realizar correctamente sin esta propiedad.  
echo Para obtener ms informacin, consulte el tema de la documentacin del producto sobre 'Planificacin de sus URI'.
echo.
goto LBLEND

:LBLMSG_COMMENTED_PUBLIC_URI
echo.
echo.
echo !!!!!!!!!!!!!!!!!!!!!!!!!!!!!! ERROR !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
echo.
echo Todos los URI pblicos definidos en
echo %3
echo se han comentado; por lo tanto, no se puede iniciar la actualizacin.
echo.
echo Debe tener un URI pblico sin comentar en este archivo definido del siguiente modo:
echo https\://hostname.example.com\:puerto/%2
echo.
echo !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
echo.
echo La propiedad del URI pblico com.ibm.team.repository.server.webapp.url debe estar presente en el archivo teamserver.properties.
echo Aada la propiedad al archivo teamserver.properties de la instalacin anterior y establezca el valor para que sea la raz de URI que utilicen todos los clientes para localizar el servidor.
echo La raz de URI pblico es bsica para el correcto funcionamiento de su instalacin nueva. La actualizacin no se realizar correctamente sin esta propiedad.
echo Para obtener ms informacin, consulte el tema de la documentacin del producto sobre 'Planificacin de sus URI'.
echo.
goto LBLEND

:LBLMSG_CONTEXT_ROOTS_CANNOT_BE_SAME
echo.
echo La raz de contexto de JTS se establece en: '%2'.
echo La raz de contexto de la aplicacin se establece en: '%3'.
echo Las races de contexto de JTS y la aplicacin no pueden coincidir.
echo.
goto LBLEND

:LBLEND
endlocal
