@echo off
rem *******************************************************************************
rem  Elments sous licence - Proprit d'IBM
rem  (c) Copyright IBM Corporation 2006, 2015. All Rights Reserved.
rem
rem  Note to U.S. Government Users Restricted Rights:
rem  Use, duplication or disclosure restricted by GSA ADP Schedule
rem  Contract with IBM Corp.
rem  *******************************************************************************


REM #############################################################
REM #
REM # Dfinissez les variables d'environnement correspondant
REM # aux paramtres de script ccm_upgrade.bat ainsi que leurs valeurs par dfaut
REM #
REM #===========================================================
REM #
REM # Ce fichier est lu au dbut de l'excution du script
REM # ccm_upgrade.bat. Il associe une variable d'environnement
REM # par paramtre valide  une valeur par dfaut prdfinie.
REM #
REM # Les utilisateurs peuvent modifier la valeur par dfaut
REM # pour lancer le script ccm_upgrade.bat avec leurs propres
REM # valeurs sans avoir  entrer manuellement le paramtre et
REM # sa valeur correspondante sur la ligne de commande.
REM #
REM # AVERTISSEMENT :
REM # Les variables ne doivent pas toutes tre dfinies pour chaque
REM # application.  Lisez avec attention chaque commentaire avant de
REM # modifier la valeur.
REM #
REM #############################################################

rem Paramtre : -oldApplicationHome
rem Syntaxe : -oldApplicationHome <chemin rp>
rem Description :
rem 	Chemin d'accs complet au rpertoire principal de l'application dans l'ancienne installation.
rem Valeur par dfaut :
rem 	<aucune>
rem Contraintes:
rem  - Il s'agit d'un paramtre obligatoire
rem  - <chemin rp> doit correspondre  un rpertoire existant se terminant par 'server\conf'
rem    Exemple : D:\Jazz\IBM\RTC_3.x\jazz\server\conf
rem
set OLD_APPLICATION_HOME=

rem Paramtre : -applicationContextRoot
rem Syntaxe : -applicationContextRoot <racine>
rem Description :
rem 	Racine de contexte d'application.
rem Valeur par dfaut :
rem 	ccm
rem Contraintes :
rem  - <racine> doit correspondre  un nom unique de rpertoire valide (sans barre oblique au dbut)
rem
set APPLICATION_CONTEXT_ROOT=

rem Paramtre : -oldApplicationVersion
rem Syntaxe : -oldApplicationVersion <version>
rem Description :
rem 	Version CCM qui est mise  niveau.  Par dfaut, elle est
rem     dtermine en appliquant la commande repotools -version  l'ancienne application.
rem Valeur par dfaut :
rem 	<aucune>
rem Contraintes :
rem  - doit tre une chane de version complte
rem    exemple :. 3.0.0 ou 3.0.1
rem
set OLD_APPLICATION_VERSION=

rem Paramtre : -updateAppServerFiles
rem Syntaxe : -updateAppServerFiles <yes | no>
rem Description :
rem 	Indique si les fichiers de configuration du serveur d'applications par dfaut (WebSphere Liberty) doivent tre mis  jour.
rem Valeur par dfaut :
rem 	yes
rem Contraintes :
rem  - Les seules valeurs valides sont 'yes' et 'no'
rem
set UPDATE_APPSERVER_FILES=yes

rem Paramtre : -updateTomcatFiles
rem Syntaxe : -updateTomcatFiles <yes | no>
rem Description :
rem 	Indique si les fichiers de configuration Tomcat doivent tre mis  jour.
rem Valeur par dfaut :
rem 	no
rem Contraintes :
rem  - Les seules valeurs valides sont 'yes' et 'no'
rem
set UPDATE_TOMCAT_FILES=no

rem Paramtre : -oldTomcatHome
rem Syntaxe : -oldTomcatHome <chemin rp>
rem Description :
rem 	Chemin d'accs complet au rpertoire racine Tomcat dans l'ancienne installation.
rem Valeur par dfaut :
rem 	<aucune>
rem Contraintes :
rem  - Doit tre un rpertoire existant
rem
set OLD_TOMCAT_HOME=

rem Paramtre : -newApplicationHome
rem Syntaxe : -newApplicationHome <chemin rp>
rem Description :
rem 	Chemin d'accs au rpertoire principal de l'application dans la nouvelle installation.
rem Valeur par dfaut :
rem 	conf
rem Contraintes :
rem  - Admis uniquement pour la mise  niveau de RTC, QM et RM
rem  - Lorsqu'il est admis, il s'agit d'un paramtre obligatoire
rem  - <chemin rp> doit correspondre  un rpertoire existant se terminant par 'server\conf'
rem    Exemple : D:\Jazz\IBM\RTC_3.0\JazzTeamServer\server\conf
rem
set NEW_APPLICATION_HOME="%START_DIR%\conf"

rem Paramtre : -newJTSHome
rem Syntaxe : -newJTSHome <chemin rp>
rem Description :
rem 	Chemin d'accs au rpertoire de configuration du serveur JTS que la nouvelle installation va utiliser.
rem Valeur par dfaut :
rem 	Rpertoire principal de la nouvelle application
rem Contraintes :
rem  - <chemin rp> doit correspondre  un rpertoire existant se terminant par 'server\conf'
rem
set NEW_JTS_HOME=

rem Paramtre : -jtsContextRoot
rem Syntaxe : -jtsContextRoot <racine>
rem Description :
rem 	Racine de contexte du serveur JTS.
rem Valeur par dfaut :
rem 	jts
rem Contraintes :
rem  - <racine> doit correspondre  un nom unique de rpertoire valide (sans barre oblique au dbut)
rem
set JTS_CONTEXT_ROOT=jts

rem Paramtre : -newApplicationTomcatHome
rem Syntaxe : -newApplicationTomcatHome <chemin rp>
rem Description :
rem 	Chemin d'accs au rpertoire racine Tomcat de l'application dans la nouvelle installation.
rem Valeur par dfaut :
rem 	<aucune>
rem
set NEW_TOMCAT_HOME=

rem Paramtre : -newJTSTomcatHome
rem Syntaxe : -newJTSTomcatHome <chemin rp>
rem Description :
rem 	Chemin d'accs au rpertoire racine Tomcat du serveur JTS que la nouvelle application va utiliser.
rem Valeur par dfaut :
rem 	<aucune>
rem
set NEW_JTS_TOMCAT_HOME=

rem Paramtre : -noPrompt
rem Syntaxe : -noPrompt
rem Description :
rem 	Ne pas demander confirmation avant la cration ou la modification des tables
rem Valeur par dfaut :
rem 	<aucune>
rem Contraintes :
rem  - Les seules valeurs valides sont la valeur vide et 'noPrompt'
rem
rem set NO_PROMPT=noPrompt
set NO_PROMPT=

rem Paramtre : -noVerify
rem Syntaxe : -noVerify
rem Description :
rem 	Ne pas vrifier les fichiers teamserver.properties.
rem Valeur par dfaut :
rem 	<aucune>
rem Contraintes :
rem  - Les seules valeurs valides sont la valeur vide et 'noVerify'
rem
rem set NO_VERIFY=noVerify
set NO_VERIFY=

rem Paramtre : -noStepPrompt
rem Syntaxe : -noStepPrompt
rem Description :
rem 	Ne pas demander confirmation avant l'excution d'une tape.
rem Valeur par dfaut :
rem 	false
rem Contraintes :
rem  - Les seules valeurs valides sont 'true' ou 'false'
rem
rem set NO_STEP_PROMPT=true
set NO_STEP_PROMPT=false

rem Paramtre : -noEditor rem Syntaxe : -noEditor rem Description : rem 	Ne pas demander confirmation avant l'excution d'une tape.
rem Valeur par dfaut :
rem 	false
rem Contraintes :
rem  - Les seules valeurs valides sont 'true' ou 'false'
rem
rem set NO_EDITOR=false
set NO_EDITOR=false

rem Paramtre : -noResumePrompt
rem Syntaxe : -noResumePrompt
rem Description :
rem     Ne pas demander confirmation avant la reprise d'une tape.
rem Valeur par dfaut :
rem 	false
rem Contraintes :
rem  - Les seules valeurs valides sont 'true' ou 'false'
rem
rem set NO_RESUME_PROMPT=false
set NO_RESUME_PROMPT=false
