@echo off
rem *******************************************************************************
rem  Licensed Materials - Property of IBM
rem  (c) Copyright IBM Corporation 2006, 2015. All Rights Reserved.
rem
rem  Note to U.S. Government Users Restricted Rights:
rem  Use, duplication or disclosure restricted by GSA ADP Schedule
rem  Contract with IBM Corp.
rem  *******************************************************************************


REM #############################################################
REM #
REM # Umgebungsvariablen gem den Parametern und Standardwerten
REM # im Script jts_upgrade.bat definieren
REM #
REM #===========================================================
REM #
REM # Diese Datei wird zu Beginn der Ausfhrung des Scripts
REM # jts_upgrade.bat gelesen. Pro gltigem Parameter wird eine
REM # Umgebungsvariable mit vordefiniertem Standardwert gesetzt.
REM #
REM # Benutzer knnen den Standardwert modifizieren und das
REM # Script jts_upgrade.bat mit eigenen Werten starten. Die
REM # Parameter und ihre Werte mssen dann nicht manuell in
REM # der Befehlszeile eingegeben werden.
REM #
REM # WARNUNG:
REM # Nicht alle Variablen mssen fr jede Anwendung gesetzt
REM # werden. Modifizieren Sie einen Wert erst, nachdem Sie
REM # sorgfltig den zugehrigen Kommentar gelesen haben.
REM #
REM #############################################################

rem Parameter: -oldJTSHome
rem Syntax: -oldJTSHome <Verzeichnispfad>
rem Beschreibung:
rem Vollstndiger Pfad zum JTS-Ausgangsverzeichnis in der alten Installation.
rem Standardwert:
rem 	<ohne>
rem Einschrnkungen:
rem  - <Verzeichnispfad> muss ein vorhandenes Verzeichnis sein, das mit 'server/conf' endet.
rem  - Nur fr RM- und JTS-Upgrades gltig
rem
set OLD_JTS_HOME=

rem Parameter: -jtsContextRoot
rem Syntax: -jtsContextRoot <Stammverzeichnis>
rem Beschreibung:
rem 	Das JTS-Kontextstammverzeichnis
rem Standardwert:
rem 	jts
rem Einschrnkungen:
rem  - <Stammverzeichnis> muss ein gltiger Verzeichnisname sein, d. h. ohne vorangestellten Schrgstrich.
rem
set JTS_CONTEXT_ROOT=jts

rem Parameter: -lpaContextRoot
rem Syntax: -lpaContextRoot <Stammverzeichnis>
rem Beschreibung:
rem 	LPA-Kontextstammverzeichnis
rem Standardwert:
rem 	admin
rem Einschrnkungen:
rem  - <Stammverzeichnis> muss ein gltiger Verzeichnisname sein, d. h. ohne vorangestellten Schrgstrich.
rem
set LPA_CONTEXT_ROOT=admin

rem Parameter: -oldJTSVersion
rem Syntax: -oldJTSVersion <Version>
rem Beschreibung:
rem     Die JTS-Version, fr die das Upgrade durchgefhrt wird. Standardmig
rem     wird dies durch Ausfhren von repotools -version fr den alten JTS ermittelt.
rem Standardwert:
rem 	<ohne>
rem Einschrnkungen:
rem  -  Es muss sich um eine vollstndige Versionszeichenfolge handeln,
rem    z. B. 3.0.0 oder 3.0.1
rem
set OLD_JTS_VERSION=

rem Parameter: -updateAppServerFiles
rem Syntax: -updateAppServerFiles <yes | no>
rem Beschreibung:
rem 	Angabe, ob die Konfigurationsdateien fr den Standardanwendungsserver (WebSphere Liberty) aktualisiert werden sollen.
rem Standardwert:
rem 	yes
rem Einschrnkungen:
rem  - Gltig sind nur die Werte 'yes' und 'no'.
rem
set UPDATE_APPSERVER_FILES=yes

rem Parameter: -updateTomcatFiles
rem Syntax: -updateTomcatFiles <yes | no>
rem Beschreibung:
rem 	Angabe, ob die Tomcat-Konfigurationsdateien aktualisiert werden sollen.
rem Standardwert:
rem 	no
rem Einschrnkungen:
rem  - Gltig sind nur die Werte 'yes' und 'no'.
rem
set UPDATE_TOMCAT_FILES=no

rem Parameter: -oldTomcatHome
rem Syntax: -oldTomcatHome <Verzeichnispfad>
rem Beschreibung:
rem 	Vollstndiger Pfad zum Tomcat-Stammverzeichnis der alten Installation.
rem Standardwert:
rem 	<ohne>
rem Einschrnkungen:
rem  - Das Verzeichnis muss vorhanden sein.
rem
set OLD_TOMCAT_HOME=

rem Parameter: -newJTSHome
rem Syntax: -newJTSHome <Verzeichnispfad>
rem Beschreibung:
rem 	Pfad zum JTS-Konfigurationsverzeichnis der neuen Installation.
rem Standardwert:
rem 	conf
rem Einschrnkungen:
rem  - <Verzeichnispfad> muss ein vorhandenes Verzeichnis sein, das mit 'server\conf' endet.
rem
set NEW_JTS_HOME="%START_DIR%\conf"

rem Parameter: -newTomcatHome
rem Syntax: -newTomcatHome <Verzeichnispfad>
rem Beschreibung:
rem 	Pfad zum Tomcat-Ausgangsverzeichnis der neuen Installation.
rem Standardwert:
rem 	<ohne>
rem
set NEW_TOMCAT_HOME=

rem Parameter: -noPrompt
rem Syntax: -noPrompt
rem Beschreibung:
rem 	Vor dem Erstellen oder Modifizieren der Tabellen keine Besttigung anfordern
rem Standardwert:
rem 	<ohne>
rem Einschrnkungen:
rem  - Die einzigen gltigen Werte sind ein leerer Wert und 'noPrompt'.
rem
rem set NO_PROMPT=noPrompt
set NO_PROMPT=

rem Parameter: -noVerify
rem Syntax: -noVerify
rem Beschreibung:
rem 	Keine Verifizierung der Dateien mit Team-Server-Eigenschaften.
rem Standardwert:
rem 	<ohne>
rem Einschrnkungen:
rem  - Gltig sind nur ein leerer Wert und 'noVerify'.
rem
rem set NO_VERIFY=noVerify
set NO_VERIFY=

rem Parameter: -noStepPrompt
rem Syntax: -noStepPrompt
rem Beschreibung:
rem 	Vor Ausfhrung eines Schritts keine Besttigung anfordern.
rem Standardwert:
rem 	false
rem Einschrnkungen:
rem  - Gltig sind nur die Werte 'true' und 'false'.
rem
rem set NO_STEP_PROMPT=true
set NO_STEP_PROMPT=false


rem Parameter: -noStepPrompt
rem Syntax: -noStepPrompt
rem Beschreibung:
rem 	Keine Besttigung fr die Ausfhrung eines Schritts anfordern
rem Standardwert:
rem 	false
rem Einschrnkungen:
rem  - Gltig sind nur die Werte 'true' und 'false'.
rem
rem set NO_EDITOR=false
set NO_EDITOR=false


rem Parameter: -noResumePrompt
rem Syntax: -noResumePrompt
rem Beschreibung:
rem     Keine Besttigung fr die Wiederaufnahme eines Schritts anfordern.
rem Standardwert:
rem 	false
rem Einschrnkungen:
rem  - Gltig sind nur die Werte 'true' und 'false'.
rem
rem set NO_RESUME_PROMPT=false
set NO_RESUME_PROMPT=false
