@echo off
rem *******************************************************************************
rem  Materiais Licenciados - Propriedade da IBM
rem  (c) Copyright IBM Corporation 2006, 2015. Todos os direitos reservados.
rem
rem  Nota sobre Direitos Restritos para Usurios do Governo dos Estados Unidos:
rem  Uso, duplicao ou divulgao restritos pelo documento GSA ADP Schedule
rem  Contract com a IBM Corp.
rem  *******************************************************************************


REM #############################################################
REM #
REM # Defina as variveis de ambiente correspondentes aos
REM # parmetros de script jts_upgrade.bat e seus valores padro
REM #
REM #===========================================================
REM #
REM # Este arquivo  lido no incio da execuo do script
REM # jts_upgrade.bat. Ele configura uma varivel de ambiente
REM # por parmetro vlido com um valor padro predefinido.
REM #
REM # Os usurios podem desejar modificar o valor padro para
REM # ativar o script jts_upgrade.bat com seus prprios valores
REM # sem precisar inserir o parmetro e seus
REM # valores correspondentes manualmente na linha de comandos.
REM #
REM # AVISO:
REM # Nem todas as variveis precisam ser configuradas para todo
REM # aplicativo.  Leia cada comentrio cuidadosamente antes de modificar
REM # o valor.
REM #
REM #############################################################

rem Parmetro: -oldJTSHome
rem Uso: -oldJTSHome <dir path>
rem Descrio:
rem 	Caminho completo do diretrio inicial do JTS na instalao antiga.
rem Padro:
rem 	<nenhum>
rem Restries:
rem  - <dir path> deve ser um diretrio existente terminando com 'server\conf'
rem  - Somente vlido por upgrades do RM e JTS
rem
set OLD_JTS_HOME=

rem Parmetro: -jtsContextRoot
rem Uso: -jtsContextRoot <root>
rem Descrio:
rem A raiz de contexto JTS
rem Padro:
rem 	jts
rem Restries:
rem  - <root> deve ser um nico nome de diretrio vlido (isto , sem barra  esquerda)
rem
set JTS_CONTEXT_ROOT=jts

rem Parmetro: -lpaContextRoot
rem Uso: -lpaContextRoot <root>
rem Descrio:
rem 	A raiz de contexto do LPA
rem Padro:
rem 	admin
rem Restries:
rem  - <root> deve ser um nico nome de diretrio vlido (por exemplo, sem barra  esquerda)
rem
set LPA_CONTEXT_ROOT=admin

rem Parmetro: -oldJTSVersion
rem Uso: -oldJTSVersion <version>
rem Descrio:
rem     A verso do JTS que est sendo atualizada.  Por padro,
rem     isto  determinado executando repotools -version com relao ao JTS antigo.
rem Padro:
rem 	<nenhum>
rem Restries:
rem  - deve ser uma sequncia de verso completa
rem    por exemplo, 3.0.0 ou 3.0.1
rem
set OLD_JTS_VERSION=

rem Parmetro: -updateAppServerFiles
rem Uso: -updateAppServerFiles <yes | no>
rem Descrio:
rem 	Se deseja atualizar os arquivos de configurao do servidor de aplicativos padro (WebSphere Liberty).
rem Padro:
rem 	yes
rem Restries:
rem  - Os nicos valores vlidos so 'yes' e 'no'
rem
set UPDATE_APPSERVER_FILES=yes

rem Parmetro: -updateTomcatFiles
rem Uso: -updateTomcatFiles <yes | no>
rem Descrio:
rem 	Se  necessrio atualizar os arquivos de configurao tomcat.
rem Padro:
rem 	no
rem Restries:
rem  - Os nicos valores vlidos so 'yes' e 'no'
rem
set UPDATE_TOMCAT_FILES=no

rem Parmetro: -oldTomcatHome
rem Uso: -oldTomcatHome <dir path>
rem Descrio:
rem 	Caminho completo para o diretrio raiz do Tomcat na instalao antiga.
rem Padro:
rem 	<nenhum>
rem Restries:
rem  - Deve ser um diretrio existente
rem
set OLD_TOMCAT_HOME=

rem Parmetro: -newJTSHome
rem Uso: -newJTSHome <dir path>
rem Descrio:
rem 	Caminho para o diretrio de configurao do servidor JTS da nova instalao.
rem Padro:
rem 	conf
rem Restries:
rem  - <dir path> deve ser um diretrio existente terminado com 'server\conf'
rem
set NEW_JTS_HOME="%START_DIR%\conf"

rem Parmetro: -newTomcatHome
rem Uso: -newTomcatHome <dir path>
rem Descrio:
rem 	Caminho para o diretrio inicial do Tomcat da nova instalao.
rem Padro:
rem 	<nenhum>
rem
set NEW_TOMCAT_HOME=

rem Parmetro: -noPrompt
rem Uso: -noPrompt
rem Descrio:
rem 	No solicite antes de criar ou modificar as tabelas
rem Padro:
rem 	<nenhum>
rem Restries:
rem  - Os nicos valores vlidos so empty ou 'noPrompt'
rem
rem set NO_PROMPT=noPrompt
set NO_PROMPT=

rem Parmetro: -noVerify
rem Uso: -noVerify
rem Descrio:
rem  No execute a verificao de arquivos teamserver.properties.
rem Padro:
rem 	<nenhum>
rem Restries:
rem  - Os nicos valores vlidos so vazio ou 'noVerify'
rem
rem set NO_VERIFY=noVerify
set NO_VERIFY=

rem Parmetro: -noStepPrompt
rem Uso: -noStepPrompt
rem Descrio:
rem 	No avisar antes de executar uma etapa.
rem Padro:
rem 	false
rem Restries:
rem  - Os nicos valores vlidos so 'true' e 'false'
rem
rem set NO_STEP_PROMPT=true
set NO_STEP_PROMPT=false

rem Parmetro: -noEditor
rem Uso: -noEditor
rem Descrio:
rem     No solicitar antes de executar uma etapa.
rem Padro:
rem     false
rem Restries:
rem  - Os nicos valores vlidos so 'true' ou 'false'
rem
rem set NO_EDITOR=false
set NO_EDITOR=false

rem Parmetro: -noResumePrompt
rem Uso: -noResumePrompt
rem Descrio:
rem     No exibir um prompt antes da continuao de uma etapa.
rem Padro:
rem     false
rem Restries:
rem  - Os nicos valores vlidos so 'true' ou 'false'
rem
rem set NO_RESUME_PROMPT=false
set NO_RESUME_PROMPT=false
