@echo off
rem *******************************************************************************
rem  Licensed Materials - Property of IBM
rem  (c) Copyright IBM Corporation 2015. All Rights Reserved.
rem
rem  Note to U.S. Government Users Restricted Rights:
rem  Use, duplication or disclosure restricted by GSA ADP Schedule
rem  Contract with IBM Corp.
rem  *******************************************************************************


REM #############################################################
REM #
REM # Umgebungsvariablen gem den Parametern und Standardwerten
REM # im Script ldx_upgrade.bat definieren
REM #
REM #===========================================================
REM #
REM # Diese Datei wird zu Beginn der Ausfhrung des Scripts
REM # ldx_upgrade.bat gelesen. Pro gltigem Parameter wird eine
REM # Umgebungsvariable mit vordefiniertem Standardwert gesetzt.
REM #
REM # Benutzer knnen den Standardwert modifizieren, um das
REM # Script ldx_upgrade.bat mit eigenen Werten zu starten. Die
REM # Parameter und ihre Werte mssen dann nicht manuell in
REM # der Befehlszeile eingegeben werden.
REM #
REM # WARNUNG:
REM # Nicht alle Variablen mssen fr jede Anwendung gesetzt
REM # werden. Modifizieren Sie einen Wert erst, nachdem Sie
REM # sorgfltig den zugehrigen Kommentar gelesen haben.
REM #
REM #############################################################

rem Parameter: -oldApplicationHome
rem Syntax: -oldApplicationHome <Verzeichnispfad>
rem Beschreibung:
rem Vollstndiger Pfad zum Ausgangsverzeichnis der Anwendung in der alten Installation.
rem Standardwert:
rem 	<ohne>
rem Einschrnkungen:
rem  - Dies ist ein obligatorischer Parameter.
rem  - <Verzeichnispfad> muss ein vorhandenes Verzeichnis sein, das mit 'server\conf' endet,
rem    z. B. D:\Jazz\IBM\RTC_3.x\jazz\server\conf
rem
set OLD_APPLICATION_HOME=

rem Parameter: -newApplicationHome
rem Syntax: -newApplicationHome <Verzeichnispfad>
rem Beschreibung:
rem 	Pfad zum Ausgangsverzeichnis fr Anwendungen in der neuen Installation.
rem Standardwert:
rem 	conf
rem Einschrnkungen:
rem  - Nur fr RTC-, QM- und RM-Upgrades akzeptiert und
rem  - in diesen Fllen ein obligatorischer Parameter
rem  - <Verzeichnispfad> muss ein vorhandenes Verzeichnis sein, das mit 'server\conf' endet,
rem    z. B. D:\Jazz\IBM\RTC_3.0\JazzTeamServer\server\conf
rem
set NEW_APPLICATION_HOME="%START_DIR%\conf"
