@echo off
rem *******************************************************************************
rem  Materiales bajo licencia - Propiedad de IBM
rem  (c) Copyright IBM Corporation 2015. Reservados todos los derechos.
rem
rem  Note to U.S. Government Users Restricted Rights:
rem  Use, duplication or disclosure restricted by GSA ADP Schedule
rem  Contract with IBM Corp.
rem  *******************************************************************************


REM #############################################################
REM #
REM # Defina las variables de entornos que contienen los parmetros
REM # del script ldx_upgrade.bat y sus valores predeterminados
REM #
REM #===========================================================
REM #
REM # Este archivo se lee al principio de la ejecucin del script
REM # ldx_upgrade.bat. Define una variable de entorno por
REM # cada parmetro vlido con un valor predeterminado
REM #
REM # Los usuarios puede que quieran modificar el valor predeterminado
REM # para poder iniciar el script ldx_upgrade.bat con sus propios
REM # valores sin tener que especificar el parmetro y su valor
REM # correspondiente manualmente en la lnea de mandatos.
REM #
REM # AVISO:
REM # No es necesario definir todas las variables para cada
REM # aplicacin.  Lea cada comentario detenidamente antes de modificar
REM # el valor.
REM #
REM #############################################################

rem Parmetro: -oldApplicationHome
rem Uso: -oldApplicationHome <va acceso dir>
rem Descripcin:
rem 	Va de acceso completa al directorio de inicio de la aplicacin en la instalacin anterior.
rem Valor predeterminado:
rem 	<ninguno>
rem Restricciones:
rem  - es un parmetro obligatorio
rem  - <va acceso dir> debe ser un directorio existente terminado en 'server\conf'
rem    por ej. D:\Jazz\IBM\RTC_3.x\jazz\server\conf
rem
set OLD_APPLICATION_HOME=

rem Parmetro: -newApplicationHome
rem Uso: -newApplicationHome <va acceso dir>
rem Descripcin:
rem 	Va de acceso al directorio de inicio de la aplicacin de la nueva instalacin.
rem Valor predeterminado:
rem 	conf
rem Restricciones:
rem  - Solo se acepta en actualizaciones RTC, QM y RM
rem  - Cuando se acepta, es un parmetro obligatorio
rem  - <va_acceso_dir> debe ser un directorio existente que termine en 'server\conf'
rem    por ej. D:\Jazz\IBM\RTC_3.0\JazzTeamServer\server\conf
rem
set NEW_APPLICATION_HOME="%START_DIR%\conf"
