@echo off
rem *******************************************************************************
rem  Licensed Materials - Property of IBM
rem  (c) Copyright IBM Corporation 2015. Todos os direitos reservados.
rem
rem  Nota sobre Direitos Restritos para Usurios do Governo dos Estados Unidos:
rem  Uso, duplicao ou divulgao restritos pelo documento GSA ADP Schedule
rem  Contract com a IBM Corp.
rem  *******************************************************************************


REM #############################################################
REM #
REM # Defina as variveis de ambiente correspondentes aos
REM # parmetros de script ldx_upgrade.bat e seus valores padro
REM #
REM #===========================================================
REM #
REM # Esse arquivo  lido no incio da execuo do script ldx_upgrade.bat.
REM # Ele configura uma varivel de ambiente
REM # por parmetro vlido com um valor padro predefinido.
REM #
REM # Os usurios talvez queiram modificar o valor padro para ativar
REM # o script ldx_upgrade.bat com seus prprios valores,
REM # sem precisar inserir o parmetro e seu valor
REM # correspondente manualmente na linha de comandos.
REM #
REM # AVISO:
REM # Nem todas as variveis precisam ser configuradas para todo
REM # aplicativo.  Leia cada comentrio cuidadosamente antes de modificar
REM # o valor.
REM #
REM #############################################################

rem Parmetro: -oldApplicationHome
rem Uso: -oldApplicationHome <dir path>
rem Descrio:
rem 	Caminho completo para o diretrio inicial do aplicativo na instalao antiga.
rem Padro:
rem 	<nenhum>
rem Restries:
rem  - este  um parmetro obrigatrio
rem  - <dir path> deve ser um diretrio existente terminando com 'server\conf'
rem    ex. D:\Jazz\IBM\RTC_3.x\jazz\server\conf
rem
set OLD_APPLICATION_HOME=

rem Parmetro: -newApplicationHome
rem Uso: -newApplicationHome <dir path>
rem Descrio:
rem 	Caminho para o diretrio inicial do aplicativo na nova instalao.
rem Padro:
rem 	conf
rem Restries:
rem  - Somente aceito para upgrade do RTC, QM e RM
rem  - Quando aceito, este  um parmetro obrigatrio
rem  - <dir path> deve ser um diretrio existente terminado em 'server\conf'
rem    ex.: D:\Jazz\IBM\RTC_3.0\JazzTeamServer\server\conf
rem
set NEW_APPLICATION_HOME="%START_DIR%\conf"
